byobu (5.124-0ubuntu1) bionic; urgency=medium

  [ Dustin Kirkland ]
  * usr/bin/wifi-status:
    - add a speedometer split
  * debian/control, usr/bin/wifi-status,
    usr/share/byobu/profiles/bashrc:
    - kill the double bracket;  doesn't always print nicely
  * === added directory snap, snap/snapcraft.yaml:
    - initial crack at snap packaging

  [ Ari Pollak ]
  * usr/lib/byobu/include/select-session.py:
    - Fix culling sessions with named groups (#25)
    - https://github.com/dustinkirkland/byobu/pull/25

  [ Charles Alva ]
  * usr/bin/purge-old-kernels:
    - make sure we pass through the -f|-y apt options

  [ Matthias Klose ]
  * Build-depend on dh-python.
  * Drop the alternative python2 dependencies. LP: #1735348.

 -- Dustin Kirkland <kirkland@ubuntu.com>  Mon, 25 Sep 2017 10:28:42 -0500

byobu (5.123-0ubuntu1) artful; urgency=medium

  [ @cripton ]
  * po/es.po:
    - fix typos and errors in the spanish translation
    - https://github.com/dustinkirkland/byobu/pull/21

  [ Sujeevan Vijayakumaran ]
  * usr/bin/wifi-status:
    - use iw and ip rather than ifconfig and iwconfig, which are deprecated
    - https://github.com/dustinkirkland/byobu/pull/24

  [ Javier Merino ]
  * usr/bin/byobu.in:
    - add support for a BYOBU_ALT_TITLE variable, which enables users to
      set an alternate window title for their byobu session
    - https://github.com/dustinkirkland/byobu/pull/23

  [ Mitsuya Shibata ]
  * usr/bin/byobu-ctrl-a.in: LP: #1710780
    - set prefix2 to F12 in screen-compat ctrl-a mode

 -- Dustin Kirkland <kirkland@ubuntu.com>  Mon, 25 Sep 2017 10:28:38 -0500

byobu (5.122-0ubuntu1) artful; urgency=medium

  [ Tiago Stürmer Daitx ]
  * usr/lib/byobu/include/config.py.in, usr/lib/byobu/include/select-
    session.py: LP: #1711026
    - Byobu currently FTBFS on artful during pep8 verification due to
      the newly introduced E722 - ie. a 'try:/except:' block with a
      bare except that should be replaced by a 'try:except Exception:' block.

 -- Dustin Kirkland <kirkland@ubuntu.com>  Thu, 17 Aug 2017 18:44:22 -0500

byobu (5.121-0ubuntu1) artful; urgency=medium

  [ Dustin Kirkland ]
  * usr/bin/wifi-status:
    - timestamp the pings
  * debian/control:
    - lower screen to a suggests

  [ Elan Ruusamäe ]
  * autogen.sh, .bzrignore, configure.ac:
    - modernize autoconf, add .bzrignore
    - my intent is to add autogen.sh as next step as seems you currently
      produce release tarballs manually, so it contains random unneeded
      crap like autom4te.cache

 -- Dustin Kirkland <kirkland@ubuntu.com>  Wed, 09 Aug 2017 16:53:44 -0500

byobu (5.120-0ubuntu1) artful; urgency=medium

  * usr/lib/byobu/include/shutil:
    - revert the last two changes;  that was a wild goose chase

 -- Dustin Kirkland <kirkland@ubuntu.com>  Mon, 05 Jun 2017 11:43:52 -0500

byobu (5.119-0ubuntu1) artful; urgency=medium

  * usr/lib/byobu/include/shutil:
    - fix regression in distro detection

 -- Dustin Kirkland <kirkland@ubuntu.com>  Thu, 01 Jun 2017 17:18:44 -0500

byobu (5.118-0ubuntu1) artful; urgency=medium

  * usr/lib/byobu/include/shutil:
    - use /etc/lsb-release, if it exists
      fixes detection of Linux Mint

 -- Dustin Kirkland <kirkland@ubuntu.com>  Thu, 01 Jun 2017 11:45:46 -0500

byobu (5.117-0ubuntu1) artful; urgency=medium

  * usr/bin/purge-old-kernels, usr/share/man/man1/purge-old-kernels.1: LP: #1686138
    - deprecate the logic in purge-old-kernel, as apt autoremove is supposed
      to work properly now

 -- Dustin Kirkland <kirkland@ubuntu.com>  Thu, 27 Apr 2017 16:26:14 -0500

byobu (5.116-0ubuntu1) zesty; urgency=medium

  [ Dustin Kirkland ]
  * usr/bin/purge-old-kernels:
    - need to do some extra grepping when using efi kernels
  * usr/share/byobu/profiles/tmux:
    - save 100K lines of scrollback, rather than 10K, which I find gets
      eclipsed too often when you actually need it

  [ janvonde ]
  * usr/bin/purge-old-kernels, usr/share/man/man1/purge-old-kernels.1:
    - add a --quiet option for cronjobs
    - add note in the manpage

 -- Dustin Kirkland <kirkland@ubuntu.com>  Sat, 18 Mar 2017 12:05:56 -0500

byobu (5.115-0ubuntu1) zesty; urgency=medium

  * debian/control:
    - depend on net-tools, for ifconfig
  * usr/bin/purge-old-kernels:
    - fix $APT_OPS position, thanks Benjamin J. Stassart

 -- Dustin Kirkland <kirkland@ubuntu.com>  Mon, 06 Feb 2017 12:22:24 -0600

byobu (5.114-0ubuntu1) zesty; urgency=medium

  [ Dustin Kirkland ]
  * usr/bin/purge-old-kernels:
    - use apt-get, rather than apt, for compatibility with trusty/precise apt

  [ Simon Quigley ]
  * usr/lib/byobu/include/select-session.py:
    - fix pep8 error, E305 expected 2 blank lines...

  [ @alexm ]
  * usr/bin/purge-old-kernels:
    - Use dpkg first when APT is broken #16
    - https://github.com/dustinkirkland/byobu/pull/16

 -- Dustin Kirkland <kirkland@ubuntu.com>  Fri, 27 Jan 2017 08:30:59 -0600

byobu (5.113-0ubuntu1) zesty; urgency=medium

  * usr/bin/wifi-status:
    - ping the router, too, to verify at least local connectivity
  * usr/lib/byobu/include/shutil:
    - use a prime here, too
  * usr/lib/byobu/include/select-session.py: LP: #1548384
    - when selecting a session, if only empty sessions exist, then create
      a new one; the bug was that tmux considers a null string argument
      still an argument
  * usr/bin/purge-old-kernels:
    - ensure that we keep the current running kernel
  * usr/share/man/man1/byobu.1:
    - fix minor nitpick about disk/memory measurement documentation
  * usr/share/byobu/desktop/byobu.desktop.old,
    usr/share/byobu/desktop/Makefile.am, usr/share/man/man1/byobu.1: LP: #1639836
    - resurrect byobu-desktop.old, which is needed on Debian and other
      systems, where gnome-terminal may not exist

 -- Dustin Kirkland <kirkland@ubuntu.com>  Wed, 07 Dec 2016 08:18:09 -0600

byobu (5.112-0ubuntu1) yakkety; urgency=medium

  [ Mohamed Elawadi ]
  * usr/bin/byobu.in, usr/bin/byobu-janitor.in, usr/bin/byobu-launch.in,
    usr/bin/byobu-select-profile.in, usr/bin/byobu-status.in,
    usr/lib/byobu/battery, usr/lib/byobu/disk_io,
    usr/lib/byobu/include/common, usr/lib/byobu/include/constants,
    usr/lib/byobu/include/shutil, usr/lib/byobu/ip_address,
    usr/lib/byobu/memory, usr/lib/byobu/release,
    usr/lib/byobu/updates_available:
    - https://github.com/dustinkirkland/byobu/pull/15
    - Fixing BYOBU_TEST issues
    - The first issue was that command -v, which and type were always
      returning an error code when executed without an extra argument.
      so BYOBU_TEST was always falling to which because it was the last one.
    - The second issue was, command -v didn't work because of a different
      reason. When executed in a shell (at least my shell) using variable
      substitution, the shell was trying to find a binary called
      "command -v" so it was failing.

 -- Dustin Kirkland <kirkland@ubuntu.com>  Fri, 16 Sep 2016 10:13:05 -0500

byobu (5.111-0ubuntu1) yakkety; urgency=medium

  [ Dustin Kirkland ]
  * usr/lib/byobu/battery:
    - battery color when black-on-red is hard to read; change to
      white on red.
    - test 256 colors with vim (:runtime syntax/colortest.vim) and
      http://www.robmeerman.co.uk/_media/unix/256colors2.pl
      + seem to be working okay here

  [ Jeffery To ]
  * usr/bin/byobu.in, usr/share/byobu/profiles/tmux:
    - use screen-256color if possible, for both screen and tmux
    - allow the user to override our term choices, by setting
      BYOBU_TERM, BYOBU_DEFAULT_TERM and/or BYOBU_COLOR_TERM

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 09 Aug 2016 15:23:17 -0500

byobu (5.110-0ubuntu1) yakkety; urgency=medium

  [ Dustin Kirkland ]
  * usr/lib/byobu/logo:
    - added a logo for AlpineLinux, which has published an apk for Byobu
  * usr/share/byobu/status/status, usr/share/byobu/status/statusrc:
   - default to showing disk space
   - fix DISTRO to BYOBU_DISTRO in template
  * debian/control: LP: #1596364
    - add |xterm to suggests
  * usr/bin/purge-old-kernels: LP: #1595977
    - modify the kernel purge algorithm slightly to better handle efi
      and virtual kernels
  * usr/bin/purge-old-kernels: LP: #1532153
    - run autoremove afterwards, to clean up anything else
  * usr/lib/byobu/include/select-session.py: LP: #1583590
    - fix default window selection by just hitting enter
  * usr/share/man/man1/byobu.1:
    - add some whitespace in the manpage

  [ ironstorm ]
  * usr/lib/byobu/cpu_temp: LP: #1587139
    - add cpu temp support for rpi1, rpi2, and rpi3

 -- Dustin Kirkland <kirkland@ubuntu.com>  Fri, 29 Jul 2016 12:29:04 -0500

byobu (5.109-0ubuntu1) yakkety; urgency=medium

  [ Dustin Kirkland ]
  * usr/lib/byobu/include/icons, usr/lib/byobu/reboot_required,
    usr/lib/byobu/updates_available:
    - add an checkbox icon
    - fix formatting again
  * usr/share/byobu/desktop/byobu.desktop.old,
    usr/share/byobu/desktop/Makefile.am:
    - deprecated

  [ Grant Likely ]
  * usr/lib/byobu/include/select-session.py:
    - Add support for tmux grouped sessions
    - select-session.py: Pass command name in argument list

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 05 Jul 2016 10:47:22 -0500

byobu (5.108-0ubuntu1) yakkety; urgency=medium

  [ Dustin Kirkland ]
  * usr/lib/byobu/updates_available:
    - remove trailing whitespace
  * usr/lib/byobu/battery:
    - only use POWER_SUPPLY_CAPACITY if neither POWER_SUPPLY_ENERGY_NOW nor
      POWER_SUPPLY_CHARGE_NOW are available; important for summing
      multiple batteries

  [ Kevin Mark and Dustin Kirkland ]
  * usr/lib/byobu/uptime:
    - fix uptime status on MacOS

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 31 May 2016 10:03:12 -0500

byobu (5.107-0ubuntu1) yakkety; urgency=medium

  * usr/bin/manifest:
    - remove http, breaks pastebinit
  * usr/bin/manifest:
    - fix manifest url
  * usr/bin/wifi-status:
    - use tmux target pane

 -- Dustin Kirkland <kirkland@ubuntu.com>  Mon, 09 May 2016 18:26:20 -0500

byobu (5.106-0ubuntu1) xenial; urgency=medium

  * usr/lib/byobu/include/tmux-send-command-to-all-panes:
    - fix breakage on sending command to all panes

 -- Dustin Kirkland <kirkland@ubuntu.com>  Thu, 14 Apr 2016 11:21:49 -0500

byobu (5.105-0ubuntu1) xenial; urgency=medium

  [ Dustin Kirkland ]
  * usr/share/man/man1/byobu.1:
    - update examples
  * debian/control:
    - pastebinit needs to be in the recommends
  * usr/lib/byobu/swap, usr/share/man/man1/byobu.1:
    - switch swap to black on green, white on green
      was unreadable
  * usr/bin/byobu-ctrl-a.in:
    - silence stderr
  * usr/share/byobu/profiles/bashrc:
    - fix color comment
  * usr/bin/byobu-janitor.in:
    - no longer default to enabling ec2 status, LP: #1564320
    - institute better timeouts for metadata wgets, LP: #1564320
  * usr/bin/byobu-select-session.in: LP: #1555446
    - exec the select-session command, to keep from having an sh
      hanging around
  * Applications/Byobu.app/Contents/MacOS/Byobu, AUTHORS,
    debian/copyright, debian/source_byobu.py, etc/profile.d/Z97-
    byobu.sh.in, experimental/byobu-classroom, po/bg.po, po/sv.po,
    usr/bin/byobu-config.in, usr/bin/byobu-ctrl-a.in, usr/bin/byobu-
    disable.in, usr/bin/byobu-disable-prompt.in, usr/bin/byobu-
    enable.in, usr/bin/byobu-enable-prompt.in, usr/bin/byobu-export.in,
    usr/bin/byobu.in, usr/bin/byobu-janitor.in, usr/bin/byobu-
    keybindings, usr/bin/byobu-launcher.in, usr/bin/byobu-launcher-
    install.in, usr/bin/byobu-launcher-uninstall.in, usr/bin/byobu-
    launch.in, usr/bin/byobu-layout.in, usr/bin/byobu-prompt.in,
    usr/bin/byobu-quiet.in, usr/bin/byobu-reconnect-sockets.in,
    usr/bin/byobu-select-backend.in, usr/bin/byobu-select-profile.in,
    usr/bin/byobu-select-session.in, usr/bin/byobu-shell.in,
    usr/bin/byobu-silent.in, usr/bin/byobu-status-detail.in,
    usr/bin/byobu-status.in, usr/bin/manifest, usr/lib/byobu/apport,
    usr/lib/byobu/arch, usr/lib/byobu/battery, usr/lib/byobu/color,
    usr/lib/byobu/cpu_count, usr/lib/byobu/cpu_freq,
    usr/lib/byobu/cpu_temp, usr/lib/byobu/custom, usr/lib/byobu/date,
    usr/lib/byobu/disk, usr/lib/byobu/disk_io, usr/lib/byobu/distro,
    usr/lib/byobu/ec2_cost, usr/lib/byobu/entropy,
    usr/lib/byobu/fan_speed, usr/lib/byobu/hostname,
    usr/lib/byobu/include/colors, usr/lib/byobu/include/common,
    usr/lib/byobu/include/config.py.in, usr/lib/byobu/include/constants,
    usr/lib/byobu/include/cycle-status, usr/lib/byobu/include/dirs.in,
    usr/lib/byobu/include/icons, usr/lib/byobu/include/mondrian,
    usr/lib/byobu/include/notify_osd, usr/lib/byobu/include/select-
    session.py, usr/lib/byobu/include/shutil, usr/lib/byobu/include/tmux-
    detach-all-but-current-client, usr/lib/byobu/include/tmux-send-
    command-to-all-panes, usr/lib/byobu/include/tmux-send-command-to-all-
    windows, usr/lib/byobu/include/toggle-utf8.in,
    usr/lib/byobu/ip_address, usr/lib/byobu/load_average,
    usr/lib/byobu/logo, usr/lib/byobu/mail, usr/lib/byobu/memory,
    usr/lib/byobu/menu, usr/lib/byobu/network, usr/lib/byobu/notify_osd,
    usr/lib/byobu/processes, usr/lib/byobu/raid,
    usr/lib/byobu/reboot_required, usr/lib/byobu/release,
    usr/lib/byobu/services, usr/lib/byobu/session, usr/lib/byobu/swap,
    usr/lib/byobu/time, usr/lib/byobu/time_utc, usr/lib/byobu/trash,
    usr/lib/byobu/updates_available, usr/lib/byobu/uptime,
    usr/lib/byobu/users, usr/lib/byobu/whoami,
    usr/lib/byobu/wifi_quality, usr/share/byobu/keybindings/f-
    keys.screen, usr/share/byobu/keybindings/f-keys.screen.disable,
    usr/share/byobu/keybindings/f-keys.tmux,
    usr/share/byobu/keybindings/f-keys.tmux.disable,
    usr/share/byobu/profiles/bashrc, usr/share/byobu/profiles/byoburc,
    usr/share/byobu/profiles/classroom, usr/share/byobu/profiles/common,
    usr/share/byobu/profiles/NONE, usr/share/byobu/profiles/screenrc,
    usr/share/byobu/profiles/tmux, usr/share/byobu/profiles/tmuxrc,
    usr/share/byobu/status/status, usr/share/byobu/status/statusrc,
    usr/share/byobu/tests/byobu-time-notifications.in, usr/share/dbus-
    1/services/us.kirkland.terminals.byobu.service,
    usr/share/man/man1/byobu-export.1:
    - update byobu.co email addresses to byobu.org
  * CONTRIBUTING:
    - added a contributing file

  [ Mark King ]
  * usr/lib/byobu/battery:
    - Use `POWER_SUPPLY_CAPACITY` for battery if available

 -- Dustin Kirkland <kirkland@ubuntu.com>  Thu, 07 Apr 2016 18:50:55 -0500

byobu (5.104-0ubuntu1) xenial; urgency=medium

  * debian/control:
    - suggest pastebinit, drop w3m

 -- Dustin Kirkland <kirkland@ubuntu.com>  Sun, 28 Feb 2016 23:46:22 -0600

byobu (5.103-0ubuntu1) xenial; urgency=medium

  * usr/bin/Makefile.am, usr/bin/manifest, usr/bin/tmpfsffs,
    usr/share/man/man1/Makefile.am, usr/share/man/man1/manifest.1:
    - added the manifest command
  * debian/control, usr/bin/Makefile.am, usr/bin/purge-old-kernels,
    usr/share/man/man1/Makefile.am, usr/share/man/man1/purge-old-
    kernels.1:
    - move purge-old-kernels over from bikeshed into byobu
  * usr/lib/byobu/include/select-session.py: LP: #1550687
    - make sure input/eval is compatible with both python2 and 3
  * usr/share/byobu/keybindings/f-keys.screen,
    usr/share/byobu/keybindings/f-keys.tmux: LP: #1543903
    - use $EDITOR rather than 'view'
  * usr/lib/byobu/include/icons, usr/lib/byobu/reboot_required,
    usr/share/man/man1/byobu.1:
    - add an indicator for an unattended upgrade in progress

 -- Dustin Kirkland <kirkland@ubuntu.com>  Sun, 28 Feb 2016 23:24:31 -0600

byobu (5.102-0ubuntu1) xenial; urgency=medium

  [ Dustin Kirkland ]
  * usr/share/byobu/keybindings/mouse.tmux.disable,
    usr/share/byobu/keybindings/mouse.tmux.enable: LP: #1514377
    - use tmux 2.1's new 'mouse' option, add some comments,
      support old and new
  * configure.ac, debian/control, NEWS, README, usr/lib/byobu/rcs_cost,
    usr/share/appdata/byobu.appdata.xml, usr/share/man/man1/byobu.1,
    usr/share/man/man1/byobu-config.1, usr/share/man/man1/byobu-ctrl-
    a.1, usr/share/man/man1/byobu-enable.1, usr/share/man/man1/byobu-
    janitor.1, usr/share/man/man1/byobu-keybindings.1,
    usr/share/man/man1/byobu-launcher.1, usr/share/man/man1/byobu-
    launcher-install.1, usr/share/man/man1/byobu-launcher-uninstall.1,
    usr/share/man/man1/byobu-layout.1, usr/share/man/man1/byobu-
    prompt.1, usr/share/man/man1/byobu-quiet.1, usr/share/man/man1/byobu-
    reconnect-sockets.1, usr/share/man/man1/byobu-screen.1,
    usr/share/man/man1/byobu-select-backend.1, usr/share/man/man1/byobu-
    select-profile.1, usr/share/man/man1/byobu-select-session.1,
    usr/share/man/man1/byobu-shell.1, usr/share/man/man1/byobu-silent.1,
    usr/share/man/man1/byobu-status.1, usr/share/man/man1/byobu-status-
    detail.1, usr/share/man/man1/byobu-tmux.1, usr/share/man/man1/byobu-
    ugraph.1, usr/share/man/man1/byobu-ulevel.1:
    - replace http://byobu.co links to newly registered http://byobu.org

  [ Jeffrey To ]
  * usr/share/byobu/keybindings/tmux-screen-keys.conf:
    - This adds '-c "#{pane_current_path}"' to new-window/split-window calls
      in tmux-screen-keys.conf, matching similar calls in f-keys.tmux.

 -- Dustin Kirkland <kirkland@ubuntu.com>  Thu, 04 Feb 2016 16:29:44 -0600

byobu (5.101-0ubuntu1) xenial; urgency=medium

  * usr/lib/byobu/arch:
    - need a trailing whitespace
  * README: LP: #1526844
    - add a note about installing coreutils
  * usr/bin/byobu-shell.in: LP: #1500109
    - respect ~/.hushlogin file

 -- Dustin Kirkland <kirkland@ubuntu.com>  Thu, 14 Jan 2016 08:55:21 +0200

byobu (5.100-0ubuntu1) xenial; urgency=medium

  [ David Personette ]
  * usr/lib/byobu/include/config.py.in,
    usr/lib/byobu/include/ec2instancespricing.py,
    usr/lib/byobu/include/select-session.py:
    - https://github.com/dustinkirkland/byobu/pull/11
    - Python scripts 'futurize'd to support python3

  [ Dustin Kirkland ]
  * usr/share/applications/byobu.desktop:
    - Revert upstream .desktop changes to match against
      gnome-terminal-server, LP: #1512498
  * === added directory usr/share/byobu/desktop, === added directory
    usr/share/dbus-1, === added directory usr/share/dbus-1/services,
    configure.ac, debian/control, debian/postinst, debian/postrm,
    Makefile.am, usr/share/applications/byobu.desktop =>
    usr/share/byobu/desktop/byobu.desktop,
    usr/share/applications/Makefile.am =>
    usr/share/byobu/desktop/Makefile.am,
    usr/share/byobu/desktop/byobu.desktop.old, usr/share/dbus-
    1/services/Makefile.am, usr/share/dbus-
    1/services/us.kirkland.terminals.byobu.service: LP: #1512498, #1503418
    - huge work around the mess that is gnome-terminal-server
    - install two different desktop files to /usr/share/byobu/desktops/*
    - in postinst, symlink the correct one into /usr/share/applications
    - clean up that conditionally installed symlink in postinst
    - suggest gnome-terminal package, as our new desktop file hardcodes
      gnome-terminal (this kind of sucks)
    - in byobu.desktop, exec gnome-terminal with a --app-id hint, and
      drop the Terminal=true, as gnome-terminal will take care of that
    - install a dbus service, as new gnome-terminal expects to launch
      via dbus
    - fqdn namespace that service to us.kirkland.terminals.byobu
      + this is stupid, btw
  * usr/lib/byobu/include/select-session.py:
    - fix regression introduced by r2448

 -- Dustin Kirkland <kirkland@ubuntu.com>  Wed, 02 Dec 2015 13:44:20 -0600

byobu (5.99-0ubuntu1) xenial; urgency=medium

  * usr/share/byobu/pixmaps/byobu.svg:
    - cleaned up vector image from Nobuto Murata
  * configure.ac, debian/install, debian/postinst, debian/postrm,
    etc/profile.d/Makefile.am, usr/share/byobu/profiles/Makefile.am,
    usr/share/byobu/profiles/Z97-byobu.sh.in => etc/profile.d/Z97-
    byobu.sh.in:
    - fix some recent regressions on byobu auto launching

 -- Dustin Kirkland <kirkland@ubuntu.com>  Sat, 14 Nov 2015 16:59:53 -0600

byobu (5.98-0ubuntu1) xenial; urgency=medium

  [ Dustin Kirkland ]
  * usr/bin/vigpg:
    - specify stdin for input file
  * usr/bin/vigpg:
    - get vigpg working with the new release of gpg in wily
    - clean up encrypted copies of the file
  * usr/share/applications/byobu.desktop: LP: #1503418
    - use byobu icon rather than gnome-terminal

  [ Roman Inflianskas ]
  * usr/lib/byobu/include/config.py.in:
    - fix help for openSUSE

 -- Dustin Kirkland <kirkland@ubuntu.com>  Wed, 28 Oct 2015 09:48:44 +0900

byobu (5.97-0ubuntu1) wily; urgency=medium

  * usr/bin/byobu-launcher.in: LP: #1338260
    - fix byobu autolaunch for TERM=screen-256color users

 -- Dustin Kirkland <kirkland@ubuntu.com>  Mon, 31 Aug 2015 13:32:36 -0500

byobu (5.96-0ubuntu1) wily; urgency=medium

  * configure.ac, debian/install, debian/postinst, debian/postrm,
    etc/profile.d/Makefile.am, etc/profile.d/Z97-byobu.sh.in =>
    usr/share/byobu/profiles/Z97-byobu.sh.in, usr/bin/byobu.in,
    usr/bin/byobu-launcher-install.in,
    usr/lib/byobu/include/config.py.in,
    usr/share/byobu/profiles/Makefile.am:
    - fix some discrepancies between Z97- and Z98-

 -- Dustin Kirkland <kirkland@ubuntu.com>  Mon, 31 Aug 2015 12:33:09 -0500

byobu (5.95-0ubuntu1) wily; urgency=medium

  [ Dustin Kirkland ]
  * usr/lib/byobu/battery:
    - sum together all batteries
  * usr/bin/byobu.in:
    - ensure we start tmux with unicode support, LP: #1268072
  * usr/bin/byobu.in, usr/share/man/man1/byobu.1: LP: #1483394
    - byobu -h|--help enters manpage, place this code with -v|--version
  * usr/bin/byobu-shell.in: LP: #1458941
    - find the motd
  * usr/share/byobu/keybindings/f-keys.tmux.disable: LP: #1453037
    - ensure that we source user's keybindings
  * experimental/byobu-classroom, usr/bin/byobu-ctrl-a.in, usr/bin/byobu-
    disable-prompt.in, usr/bin/byobu-janitor.in, usr/bin/byobu-launcher-
    uninstall.in, usr/bin/byobu-quiet.in, usr/bin/byobu-silent.in,
    usr/bin/byobu-status.in, usr/lib/byobu/include/constants,
    usr/share/byobu/keybindings/f-keys.screen: LP: #1068580
    - create BYOBU_SED_INLINE variable, to handle inline sed's, using
      --follow-symlinks when possible (not always available)
  * usr/lib/byobu/logo:
    - fix minor logic typo (reversed logic)
  * usr/bin/byobu.in: LP: #1369783
    - respect user's custom default-command and/or default-shell
      in the first window launched
  * usr/bin/byobu-launcher.in: LP: #1338260
    - add some helpful information about nested sessions
  * debian/control:
    - bump standards

  [ Fortunato Ventre ]
  * usr/lib/byobu/include/constants:
    - Fix check for sed's follow-symlinks feature
      + https://github.com/dustinkirkland/byobu/pull/9

 -- Dustin Kirkland <kirkland@ubuntu.com>  Mon, 31 Aug 2015 12:03:12 -0500

byobu (5.94-0ubuntu1) wily; urgency=medium

  * debian/control, usr/bin/vigpg, usr/share/man/man1/vigpg.1:
    - after the Lastpass breach, more people could use vigpg,
      so move it over to Bybou from Bikeshed
  * usr/bin/Makefile.am, usr/share/man/man1/Makefile.am:
    - add vigpg to build
  * usr/share/man/man1/vigpg.1:
    - fix typo

 -- Dustin Kirkland <kirkland@ubuntu.com>  Wed, 17 Jun 2015 20:21:39 -0500

byobu (5.93-0ubuntu1) wily; urgency=medium

  * usr/bin/byobu.in: LP: #1417323
    - fix broken mv call
  * usr/lib/byobu/swap:
    - clear swap status when swap usage returns to zero

 -- Dustin Kirkland <kirkland@ubuntu.com>  Thu, 21 May 2015 08:27:04 -0700

byobu (5.92-0ubuntu1) vivid; urgency=medium

  * usr/bin/byobu-launcher-install.in: LP: #1396959
    - silence warnings if byobu-launch doesn't exist (e.g., uninstalled it)
  * usr/bin/byobu-config.in: LP: #1383669
    - revert commit to LP: #1316050, which hardcoded LANG=C
    - this should fix rendering of Japanese characters in the menu
  * usr/share/byobu/keybindings/f-keys.tmux: LP: #1350813
    - handle tmux 1.9's default path changes, per:
      https://sourceforge.net/p/tmux/tmux-code/ci/1.9/tree/CHANGES

 -- Dustin Kirkland <kirkland@ubuntu.com>  Mon, 23 Mar 2015 12:50:56 -0500

byobu (5.91-0ubuntu1) vivid; urgency=medium

  [ Thibaut Broggi ]
  * po/fr.po:
    - Improve french translation
    - Remove some spelling mistakes and I made it more coherent
      (sometimes the word "exécuter" was used, sometimes it was
      "lancer", or "utiliser" ; all of this words mean the same
      thing in this context).

  [ Dustin Kirkland ]
  * README:
    - improve readme build instructions, with thanks to:
      + https://github.com/dustinkirkland/byobu/pull/8

 -- Dustin Kirkland <kirkland@ubuntu.com>  Sat, 07 Mar 2015 18:59:35 -0500

byobu (5.90-0ubuntu1) vivid; urgency=medium

  [ Mike Miller ]
  * usr/lib/byobu/include/select-session.py: LP: #1411122
    - don't print when attaching and restoring environment variables

 -- Dustin Kirkland <kirkland@ubuntu.com>  Thu, 15 Jan 2015 08:09:24 -0600

byobu (5.89-0ubuntu1) vivid; urgency=medium

  * debian/rules, usr/bin/byobu.in, usr/bin/byobu-launcher.in,
    usr/bin/ctail, usr/lib/byobu/include/select-session.py:
    - silence some checkbashisms false positives
    - handle nesting a bit differently
    - allow nesting, by default
    - detect the infinite loop situation, where we're ssh'ing into
      ourselves, and handle it gracefully
    - ensure we have access to 256 colors, even when nesting

 -- Dustin Kirkland <kirkland@ubuntu.com>  Mon, 12 Jan 2015 17:39:37 -0600

byobu (5.88-0ubuntu1) vivid; urgency=medium

  [ Ruben Laguna ]
  * usr/share/byobu/keybindings/f-keys.tmux: LP: #1392693
    - The previous binding will not work with shells that don't allow
      variables as commands (fish shell being one of those)
    - Use `sh -c` to explicitly use a POSIX shell to interpret the command

  [ dmayle ]
  * usr/bin/byobu.in:
    - Don't pollute output with title if calling from script
    - https://github.com/dustinkirkland/byobu/pull/6

 -- Dustin Kirkland <kirkland@ubuntu.com>  Thu, 08 Jan 2015 16:01:24 -0600

byobu (5.87-0ubuntu1) utopic; urgency=medium

  [ Fazle AREFIN ]
  * usr/share/byobu/keybindings/f-keys.tmux,
    usr/share/byobu/keybindings/f-keys.tmux.disable,
    usr/share/doc/byobu/help.tmux.txt: LP: #1375794
    - enable toggling of sending input to all splits

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 30 Sep 2014 08:38:35 -0500

byobu (5.86-0ubuntu1) utopic; urgency=medium

  * usr/bin/byobu.in:
    - bikeshed scripts broke and quit incrementing the version number,
      when I moved byobu to byobu.in

 -- Dustin Kirkland <kirkland@ubuntu.com>  Thu, 14 Aug 2014 00:34:44 -0500

byobu (5.85-0ubuntu1) utopic; urgency=medium

  [ Pedro Romano ]
  * usr/lib/byobu/include/select-session.py:
    - This branch adds named sessions starting with an underscore also as
      hidden sessions in alternative to named sessions starting with a dot,
      since tmux doesn't support session names starting with a dot. In the
      process it also adds support for hidden session in tmux if the
      session names start with an underscore, adding this feature to tmux
      based byobu.

  [ Srdjan Grubor ]
  * usr/bin/byobu-layout.in:
    - add a list-layouts command

  [ Dustin Kirkland ]
  * usr/bin/byobu.in, usr/share/man/man1/byobu.1: LP: #907363
    - fix custom window support for byobu-tmux

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 05 Aug 2014 23:21:29 +0200

byobu (5.84-0ubuntu1) utopic; urgency=medium

  * usr/lib/byobu/include/dirs.in:
    - make the custom scripts bin dir
  * usr/lib/byobu/custom:
    - ensure we clear the cache for custom scripts
  * usr/bin/byobu-status.in:
    - restore the ability to toggle date and time on and off from the config
      interface, as well as hand editing the config file

 -- Dustin Kirkland <kirkland@ubuntu.com>  Mon, 28 Jul 2014 09:12:11 +0100

byobu (5.83-0ubuntu1) utopic; urgency=medium

  [ Dustin Kirkland ]
  * usr/bin/byobu-config.in: LP: #1316050
    - hard code LANG=C before launching byobu-config
  * usr/lib/byobu/include/dirs.in: LP: #1346869
    - be little smarter about detecting a usable /dev/shm
  * === added directory usr/share/appdata,
    usr/share/appdata/byobu.appdata.xml: LP: #1322556
  * usr/share/byobu/profiles/tmuxrc: LP: #1315204
    - fix a couple of spots that should use $BYOBU_CONFIG_DIR
  * usr/lib/byobu/apport: LP: #1308696
    - clear out the apport cache files, to detect when the crashes
      have been cleared

 -- Dustin Kirkland <kirkland@ubuntu.com>  Sat, 26 Jul 2014 16:13:20 -0500

byobu (5.82-0ubuntu1) utopic; urgency=medium

  * usr/bin/byobu-ctrl-a.in:
    - add bindkey line back, this line is *essential*; there was a
      syntax error in it previously, but removing the line was not
      the correct fix for LP: #1313209, #814172

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 22 Jul 2014 07:21:54 -0700

byobu (5.81-0ubuntu1) utopic; urgency=medium

  * usr/bin/byobu-enable.in, usr/share/man/man1/byobu-enable.1:
    - no need to launch byobu in byobu-enable (no idea why I did it
      that way originally)
  * debian/control, usr/bin/ctail, usr/share/man/man1/ctail.1:
    - move the ctail command over to byobu, from bikeshed
    - ctail will tail and colorize log files
  * debian/control, usr/bin/wifi-status, usr/share/man/man1/wifi-
    status.1:
    - move the wifi-status command to byobu, from bikeshed
    - fantastic demonstration of byobu split screens
  * debian/links, usr/bin/col1, usr/share/man/man1/col1.1:
    - move the col1..col9 utilities over from bikeshed
    - super handy, minimal way of awking out a particular column
  * usr/bin/Makefile.am, usr/share/man/man1/Makefile.am:
    - update automake files to install new utilities
  * usr/bin/ctail:
    - use command -v to test for ccze existence
  * debian/control, etc/profile.d/Z97-byobu.sh.in (properties changed:
    +x to -x):
    - update package description to better reflect modern Byobu
    - fix lintian complaint about profile script

 -- Dustin Kirkland <kirkland@ubuntu.com>  Sun, 06 Jul 2014 15:51:15 -0500

byobu (5.80-0ubuntu1) utopic; urgency=medium

  * usr/lib/byobu/include/mondrian:
    - simplify and cleanup the mondrian squares easter egg, and idempotent
  * usr/bin/byobu-reconnect-sockets.in:
    - let's make sure that we name our temp directory

 -- Dustin Kirkland <kirkland@ubuntu.com>  Mon, 28 Apr 2014 09:36:53 -0700

byobu (5.79-0ubuntu1) unstable; urgency=medium

  [ Dustin Kirkland ]
  * usr/bin/byobu-ctrl-a.in: LP: #1313209
    - fix syntax error, remove unnecessary bindkey line
    - also fixes LP: #814172
  * usr/share/byobu/profiles/tmuxrc:
    - tmux windows still aren't working right; disable for now

  [ Kosuke Asami ]
  * usr/lib/byobu/include/config.py.in: LP: #1303218

 -- Dustin Kirkland <kirkland@ubuntu.com>  Sun, 27 Apr 2014 09:22:25 -0500

byobu (5.78-0ubuntu1) unstable; urgency=medium

  * usr/share/byobu/profiles/dircolors:
    - give executables just a little more pop
    - use a light grey underline for symlinks
    - add whitespace before inline comment
  * usr/share/byobu/profiles/bashrc:
    - Enable Ubuntu-themed dircolors on Ubuntu systems
  * usr/bin/byobu-janitor.in: LP: #1311919
    - ensure that windows.tmux exists;  fixes warning with F5
  * usr/bin/byobu-ctrl-a.in: LP: #1311177, #1274720
    - revert r2317 as this is breaking ctrl-a in byobu-screen in a bad way

 -- Dustin Kirkland <kirkland@ubuntu.com>  Wed, 23 Apr 2014 18:24:21 -0500

byobu (5.77-0ubuntu1) trusty; urgency=medium

  * usr/share/byobu/profiles/dircolors,
    usr/share/byobu/profiles/Makefile.am,
    usr/share/byobu/profiles/tmuxrc:
    - add a dircolors file
  * usr/share/byobu/profiles/bashrc, usr/share/byobu/profiles/dircolors:
    - LP: #1299964
    - swap orange and aubergine on the command prompt
    - aubergine is now the directory, orange is the hostname
    - still working on dircolors, use an aubergine (like our prompt)
      for directories
  * usr/lib/byobu/logo: LP: #1299964
    - use an orange background for the UTF-8, 256-colour Ubuntu logo

 -- Dustin Kirkland <kirkland@ubuntu.com>  Sun, 30 Mar 2014 20:42:08 -0500

byobu (5.76-0ubuntu1) trusty; urgency=medium

  * usr/share/byobu/profiles/tmux:
    - use nice, subtle, thin pane border, a separate color from the active
      highlighted one
  * usr/share/byobu/keybindings/f-keys.tmux,
    usr/share/doc/byobu/help.tmux.txt: LP: #1294139
    - change Shift-F11 to zoom in/out of splits

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 18 Mar 2014 23:25:05 +0900

byobu (5.75-0ubuntu1) trusty; urgency=medium

  [ Dustin Kirkland ]
  * debian/control:
    - bump standards
  * usr/lib/byobu/include/shutil, usr/lib/byobu/release: LP: #1278016
    - /etc/issue might be modified to display corporate banners or
      legal warnings; try to use /etc/os-release if available
  * usr/bin/byobu-janitor.in, usr/lib/byobu/include/colors,
    usr/lib/byobu/include/constants, usr/lib/byobu/include/Makefile.am,
    usr/lib/byobu/include/shutil, usr/share/byobu/profiles/tmux:
    - split the color definitions into their own file
    - have the constants source that file
    - use that file when creating the user's local color palette
    - use a bit more orange
  * usr/bin/byobu-launcher-uninstall.in, usr/bin/byobu-launch.in: LP: #1292228
    - allow byobu-launch to pass arguments through to byobu-launcher
    - fix up the uninstallation of byobu launcher
  * usr/lib/byobu/include/select-session.py: LP: #1279533
    - quick hack to fix crashes when python can't figure out the encoding
  * usr/bin/byobu-layout.in: LP: #1278277
    - fix layout saving, which broke in tmux 1.8
    - incrementally rearrange while building our windows up to restore,
      as sometimes we run out of room; tiling in between seems to work
  * usr/bin/byobu-janitor.in, usr/lib/byobu/include/colors,
    usr/lib/byobu/include/constants:
    - fix profile color breakage
  * usr/bin/byobu-ctrl-a.in: LP: #814172
    - fix issues with F5 refresh in byobu-screen, when the user has changed
      the default escape key
  * usr/share/byobu/profiles/bashrc: LP: #1259621
    - ensure that if the root user is in byobu, and we're using the
      fancy new colored prompt, that we use a # to indicate root
  * usr/share/man/man1/byobu.1: LP: #1248901
    - add note to manpage about putty resizing to 1-character tall and
      causing byobu-screen to crash

  [ Kosuke Asami ]
  * usr/lib/byobu/battery: LP: #1289157, #1289157
    - Mac OS X battery indicator support

 -- Dustin Kirkland <kirkland@ubuntu.com>  Mon, 17 Mar 2014 13:00:02 +0900

byobu (5.74-0ubuntu1) trusty; urgency=low

  [ Dustin Kirkland ]
  * usr/lib/byobu/include/ec2instancespricing.py: LP: #1286367
    - merged in updated instance pricing script from
      https://github.com/erans/ec2instancespricing
  * usr/share/byobu/profiles/tmux: LP: #1273685
    - remove double sourcing of local .tmux.conf
  * usr/lib/byobu/battery: LP: #1270451
    - add support for yet another batter type (Android)
    - thanks to Felix Krull for the initial patch
  * usr/share/byobu/profiles/tmux: LP: #1270551
    - enable ctrl-left and ctrl-right to move among words

  [ Chris Johnston ]
  * usr/share/man/man1/byobu-layout.1: LP: #1288738
    - fix manpage typo

  [ Mike Miller ]
  * usr/lib/byobu/logo: LP: #1278006
    - fix RHEL detection for logo

  [ Daniel Hahler ]
  * usr/bin/byobu-keybindings: LP: #1258093
    - fix toggling of f-keys
  * usr/share/byobu/profiles/tmux: LP: #1258534
    - ensure that we respect BYOBU_NO_TITLE in tmux

  [ Ryo ONODERA ]
  * configure.ac, etc/profile.d/Z97-byobu.sh => etc/profile.d/Z97-
    byobu.sh.in, usr/bin/byobu-config => usr/bin/byobu-config.in,
    usr/bin/byobu-ctrl-a => usr/bin/byobu-ctrl-a.in, usr/bin/byobu-
    disable-prompt => usr/bin/byobu-disable-prompt.in, usr/bin/byobu-
    disable => usr/bin/byobu-disable.in, usr/bin/byobu-enable-prompt =>
    usr/bin/byobu-enable-prompt.in, usr/bin/byobu-enable =>
    usr/bin/byobu-enable.in, usr/bin/byobu-export => usr/bin/byobu-
    export.in, usr/bin/byobu-janitor => usr/bin/byobu-janitor.in,
    usr/bin/byobu-launcher-install => usr/bin/byobu-launcher-install.in,
    usr/bin/byobu-launcher-uninstall => usr/bin/byobu-launcher-
    uninstall.in, usr/bin/byobu-launcher => usr/bin/byobu-launcher.in,
    usr/bin/byobu-launch => usr/bin/byobu-launch.in, usr/bin/byobu-
    layout => usr/bin/byobu-layout.in, usr/bin/byobu-prompt =>
    usr/bin/byobu-prompt.in, usr/bin/byobu-quiet => usr/bin/byobu-
    quiet.in, usr/bin/byobu-reconnect-sockets => usr/bin/byobu-
    reconnect-sockets.in, usr/bin/byobu-select-backend => usr/bin/byobu-
    select-backend.in, usr/bin/byobu-select-profile => usr/bin/byobu-
    select-profile.in, usr/bin/byobu-select-session => usr/bin/byobu-
    select-session.in, usr/bin/byobu-shell => usr/bin/byobu-shell.in,
    usr/bin/byobu-silent => usr/bin/byobu-silent.in, usr/bin/byobu-
    status-detail => usr/bin/byobu-status-detail.in, usr/bin/byobu-
    status => usr/bin/byobu-status.in, usr/bin/byobu-ugraph =>
    usr/bin/byobu-ugraph.in, usr/bin/byobu-ulevel => usr/bin/byobu-
    ulevel.in, usr/bin/byobu => usr/bin/byobu.in,
    usr/lib/byobu/include/config.py =>
    usr/lib/byobu/include/config.py.in, usr/lib/byobu/include/dirs =>
    usr/lib/byobu/include/dirs.in, usr/lib/byobu/include/toggle-utf8 =>
    usr/lib/byobu/include/toggle-utf8.in, usr/share/byobu/tests/byobu-
    time-notifications => usr/share/byobu/tests/byobu-time-
    notifications.in: LP: #1264978, #1289157
    - use @prefix@ rather than hardcoding /usr, makes code
      more portable and easier to build with ./config --prefix

  [ Arminius Silvanus ]
  * usr/share/byobu/profiles/bashrc: LP: #1280550
    - test the $BASH variable, rather than $SHELL, to tell if we're
      running in a bash environment

  [ Jan Klepek ]
  * usr/lib/byobu/include/config.py: LP: #1286249
    - fall back to using the distro status file, fixes
      crash in config if status file disappears

 -- Dustin Kirkland <kirkland@ubuntu.com>  Sun, 16 Mar 2014 12:46:33 -0700

byobu (5.73-0ubuntu1) trusty; urgency=low

  * usr/lib/byobu/include/Makefile.am, usr/lib/byobu/include/tmux-send-
    command-to-all-panes, usr/lib/byobu/include/tmux-send-command-to-
    all-windows, usr/share/byobu/keybindings/f-keys.tmux,
    usr/share/byobu/keybindings/f-keys.tmux.disable,
    usr/share/doc/byobu/help.tmux.txt:
    - add two new keybindings for byobu-tmux, Shift-F9 and Ctrl-F9
    - these will prompt you for a command, and then run that command
      in all splits or windows (respectively)

 -- Dustin Kirkland <kirkland@ubuntu.com>  Mon, 17 Feb 2014 15:06:58 -0600

byobu (5.72-0ubuntu1) trusty; urgency=low

  * usr/lib/byobu/include/constants:
    - make sure we export this variable, so that we only need to
      do the expensive test once

 -- Dustin Kirkland <kirkland@ubuntu.com>  Wed, 12 Feb 2014 14:30:38 -0600

byobu (5.71-0ubuntu1) trusty; urgency=low

  * usr/bin/byobu-janitor, usr/lib/byobu/date,
    usr/lib/byobu/include/constants, usr/lib/byobu/include/shutil,
    usr/lib/byobu/time, usr/share/byobu/profiles/tmux,
    usr/share/byobu/profiles/tmuxrc, usr/share/man/man1/byobu.1:
    - LP: #1059127
    - fix longstanding "date and time flash on and off" bug
    - this isn't a great fix, but it's a start
    - basically, we need to use the tmux status native support
      for timestamps
    - support configuration through ~/.byobu/datetime.tmux
    - this will be a difference between byobu-tmux and byobu-screen,
      which is a bummer
    - also, there's more work to be done, in order to enable/disable
      this via F9/byobu-config
  * usr/lib/byobu/include/constants: LP: #1278446
    - ensure that we pick a python that has a proper snack module
      installed

 -- Dustin Kirkland <kirkland@ubuntu.com>  Mon, 10 Feb 2014 15:38:22 -0600

byobu (5.70-0ubuntu1) trusty; urgency=low

  * usr/share/byobu/keybindings/f-keys.tmux:
    - fix navigation among sessions
  * usr/share/byobu/keybindings/f-keys.tmux,
    usr/share/byobu/keybindings/f-keys.tmux.disable,
    usr/share/doc/byobu/help.tmux.txt:
    - change the rarely used Ctrl-F8 keybinding to rename the current
       session
    - move the restore-a-split-layout to Shift-Alt-F8
  * usr/lib/byobu/session, usr/share/byobu/keybindings/f-keys.screen,
    usr/share/byobu/keybindings/f-keys.screen.disable,
    usr/share/byobu/status/status: LP: #1255139
    - add support for screen session names in the status item
    - only display when more than one session in tmux, always displayed by
      default in screen, where we have more real estate
    - support the Ctrl-F8 hotkey in screen too, to rename session

 -- Dustin Kirkland <kirkland@ubuntu.com>  Thu, 16 Jan 2014 17:48:33 -0600

byobu (5.69-0ubuntu1) trusty; urgency=low

  * debian/control:
    - revert build-dep on python-support, lintian is dumb sometimes

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 17 Dec 2013 14:27:41 -0700

byobu (5.68-0ubuntu1) trusty; urgency=low

  * usr/lib/byobu/include/shutil, usr/lib/byobu/Makefile.am,
    usr/lib/byobu/session, usr/share/byobu/status/status,
    usr/share/man/man1/byobu.1: LP: #1255139
    - add a new status item, to show the session name
  * usr/lib/byobu/include/icons, usr/lib/byobu/session:
    - use an icon for the session status item
  * debian/control, debian/rules, README, usr/bin/byobu-config,
    usr/bin/byobu-config => usr/lib/byobu/include/config.py,
    usr/bin/byobu-select-session, usr/bin/byobu-select-session =>
    usr/lib/byobu/include/select-session.py,
    usr/lib/byobu/include/constants, usr/lib/byobu/include/Makefile.am:
    - LP: #1253458
    - introduce a new BYOBU_PYTHON environment variable, that defines
      your desired python interpreter
    - prefer python, then python2, then python3
  * debian/control:
    - silence lintian warning with a build-dep on python-support
  * usr/bin/byobu-ugraph:
    - clean up trailing whitespace
  * usr/share/man/man1/byobu-ugraph.1, usr/share/man/man1/byobu-
    ulevel.1, usr/share/man/man1/Makefile.am:
    - add manpages, silences lintian warning
  * usr/share/applications/byobu.desktop:
    - have the desktop file just launch the byobu executable
    - fixes situation where user runs byobu-disable, which touches
      the auto launch disable flag, but user tries to click on byobu
      desktop icon

 -- Dustin Kirkland <kirkland@ubuntu.com>  Mon, 16 Dec 2013 22:29:49 -0700

byobu (5.67-0ubuntu1) trusty; urgency=low

  * usr/bin/byobu, usr/lib/byobu/include/constants:
    - support global variable for default window name
  * usr/bin/byobu-config:
    - fix broken fix for LP: #1255484

 -- Dustin Kirkland <kirkland@ubuntu.com>  Mon, 02 Dec 2013 18:46:26 -0600

byobu (5.66-0ubuntu1) trusty; urgency=low

  * usr/share/byobu/keybindings/f-keys.screen,
    usr/share/byobu/keybindings/f-keys.screen.disable,
    usr/share/byobu/keybindings/f-keys.tmux,
    usr/share/byobu/keybindings/f-keys.tmux.disable,
    usr/share/doc/byobu/help.tmux.txt:
    - change the printscreen hotkey from Shift-F9 to Shift-F7
    - Shift-F7 should be more memorable, in that F7 has long been
      used to enter scrollback mode
  * usr/lib/byobu/memory: LP: #1255491
    - fix the name of the __memory_detail() function
  * usr/bin/byobu-config: LP: #1255484
    - reload-required should always be in run-dir, not config-dir
  * usr/lib/byobu/updates_available: LP: #1255493
    - fix updates_available for pkcon
    - Thanks, kealthou@gmail.com
  * usr/lib/byobu/custom: LP: #1255490
    - ignore backup files, ending in ~

 -- Dustin Kirkland <kirkland@ubuntu.com>  Fri, 29 Nov 2013 09:46:46 -0600

byobu (5.65-0ubuntu1) trusty; urgency=low

  * debian/control: LP: #888770
    - recommend run-one, which is useful for some long-running status
      items, now that it has been MIR-approved

 -- Dustin Kirkland <kirkland@ubuntu.com>  Mon, 18 Nov 2013 12:31:10 -0600

byobu (5.64-0ubuntu1) trusty; urgency=low

  * usr/share/byobu/profiles/bashrc:
    - adjust whitespace
  * usr/bin/byobu:
    - handle the backend better
  * etc/byobu/backend, usr/lib/byobu/include/common:
    - really default to tmux, at this point
    - tmux was the default in the previous LTS
  * usr/lib/byobu/include/common:
    - simplify backend detection

 -- Dustin Kirkland <kirkland@ubuntu.com>  Fri, 08 Nov 2013 13:32:21 -0600

byobu (5.63-0ubuntu1) trusty; urgency=low

  * usr/bin/byobu: LP: #1244981
    - let's use our symlink for SSH_AUTH_SOCK, for consistency across
      sessions
  * usr/bin/byobu-status: LP: #1233407
    - ensure status icons are customizable by end users
  * usr/share/byobu/profiles/bashrc:
    - Ubuntu themed grep colors, from Nick Moffit
  * usr/bin/byobu-select-profile:
    - point straight to the right section
  * usr/share/byobu/profiles/bashrc:
    - save a fork, use a function for exit status, from Nick Moffit
  * usr/share/byobu/profiles/bashrc:
    - add an Ubuntu color theme for less pager (manpages)

 -- Dustin Kirkland <kirkland@ubuntu.com>  Thu, 07 Nov 2013 11:55:13 -0600

byobu (5.62-0ubuntu1) trusty; urgency=low

  * usr/share/byobu/keybindings/f-keys.tmux:
    - as it turns out, showing the current window name when renaming
      is really annoying
  * usr/bin/byobu-janitor, usr/lib/byobu/menu,
    usr/share/byobu/profiles/screenrc: LP: #1244509
    - customizations of screen configuration should go in
      $BYOBU_CONFIG_DIR/.screenrc, which will be sourced last; rather than
      ~/.screenrc (which should be reserved for screen-without-byobu)
  * usr/bin/byobu-reconnect-sockets, usr/bin/byobu-select-session:
    - LP: #1243017
    - add a few environment variables to restore, including upstart
      to ensure upstart commands resume working in a session restart
  * README, usr/bin/byobu-config, usr/bin/byobu-select-session,
    usr/lib/byobu/include/ec2instancespricing.py:
    - LP: #996559, LP: #988471, LP: #1237071
    - Okay, this is the last time I'm going back and forth on this;
      for real ;-)
    - In our 3 python scripts, we are going to use #!/usr/bin/python
      + The vast majority of Byobu users are getting it from their
        distro, and the package itself appropriately depends on python
    - Advanced users, developers, and others who want to run a different
      python in their environment will need to sed update three scripts
    - I've left a hint in the README to that effect

 -- Dustin Kirkland <kirkland@ubuntu.com>  Fri, 01 Nov 2013 15:27:48 -0500

byobu (5.61-0ubuntu1) unstable; urgency=low

  * usr/lib/byobu/logo:
    - use a UTF-8 approximation of the Byobu logo, 〣
      Unicode Character 'HANGZHOU NUMERAL THREE' (U+3023)
  * usr/share/byobu/pixmaps/byobu-banner.svg,
    usr/share/byobu/pixmaps/byobu.svg:
    - add a new banner image
    - use a green color for the branches in the logo
  * usr/bin/byobu-select-session: LP: #1241785
    - rework session selecting, especially when nesting
    - support an environment variable BYOBU_NESTING=1 which users can
      set to force nesting (rather than modifying the TERM variable
      which other programs rely upon)
    - add an interactive step, where users can immediately choose to
      run in a nested session

 -- Dustin Kirkland <kirkland@ubuntu.com>  Fri, 18 Oct 2013 16:29:54 -0500

byobu (5.60-0ubuntu1) saucy; urgency=low

  * usr/share/byobu/profiles/bashrc, usr/share/man/man1/byobu-prompt.1:
    - only display error code when non-zero
    - document behavior in manpage

 -- Dustin Kirkland <kirkland@ubuntu.com>  Sat, 21 Sep 2013 09:42:28 -0500

byobu (5.59-0ubuntu1) saucy; urgency=low

  * usr/share/byobu/profiles/bashrc:
    - use MATHEMATICAL RIGHT DOUBLE ANGLE BRACKET (U+27EB, Pe): ⟫
    - I've tested this to display properly in:
      + gnome-terminal, xterm, uxterm, terminator, konsole
    - Still doesn't look right in putty
  * usr/bin/byobu, usr/bin/byobu-status, usr/share/byobu/keybindings/f-
    keys.tmux: LP: #1215210
    - default window name to -
    - this is a compromise and I see no other way around this
  * usr/share/byobu/profiles/bashrc:
    - allow disable of utf8 prompt via BYOBU_CHARMAP variable
  * usr/lib/byobu/logo:
    - support Unicode logo for CentOS
  * usr/bin/byobu-status, usr/lib/byobu/include/constants,
    usr/lib/byobu/include/icons, usr/lib/byobu/include/Makefile.am,
    usr/lib/byobu/include/toggle-utf8, usr/share/byobu/keybindings/f-
    keys.tmux, usr/share/byobu/keybindings/f-keys.tmux.disable,
    usr/share/doc/byobu/help.tmux.txt:
    - add a new keybiding, Alt-F5, to toggle UTF-8 on and off
  * usr/share/byobu/profiles/bashrc:
    - prepend previous command's exit status on the fancy Byobu
      prompt;  thanks for the wonderful idea, Martin Pitt!

 -- Dustin Kirkland <kirkland@ubuntu.com>  Thu, 19 Sep 2013 12:23:39 -0500

byobu (5.58-0ubuntu1) saucy; urgency=low

  * usr/share/byobu/keybindings/f-keys.tmux,
    usr/share/byobu/keybindings/f-keys.tmux.disable,
    usr/share/byobu/keybindings/Makefile.am,
    usr/share/byobu/keybindings/mouse.tmux.disable,
    usr/share/byobu/keybindings/mouse.tmux.enable,
    usr/share/doc/byobu/help.tmux.txt:
    - add support for a new keybinding, Alt-F12, to toggle on/off
      tmux mouse support
    - display a message when toggling either on or off mouse or
      F-keys support
  * usr/share/byobu/keybindings/f-keys.screen,
    usr/share/byobu/keybindings/f-keys.screen.disable,
    usr/share/byobu/keybindings/f-keys.tmux,
    usr/share/byobu/keybindings/f-keys.tmux.disable,
    usr/share/doc/byobu/help.tmux.txt: LP: #1218680
    - byobu-screen has long supported Ctrl-A-~ which saves your scrollback
      buffer to a file
    - byobu-tmux had never quite implemented this
    - Add a new keybinding to both byobu-screen and byobu-tmux that adds
      this support, Shift-F9
  * usr/share/byobu/keybindings/f-keys.tmux: LP: #1224352
    - show current window name when prompting for rename-window

 -- Dustin Kirkland <kirkland@ubuntu.com>  Thu, 12 Sep 2013 10:53:24 -0500

byobu (5.57-0ubuntu1) saucy; urgency=low

  * usr/bin/byobu, usr/share/byobu/profiles/bashrc:
    - try to ensure that 256 colors stick, per feedback from Josh
      Poulson in G+

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 03 Sep 2013 14:40:07 -0500

byobu (5.56-0ubuntu1) saucy; urgency=low

  * usr/lib/byobu/battery:
    - fix battery status caching issues when battery is full, or
      plugged into AC
  * usr/lib/byobu/network: LP: #1203601
    - fix issue where /proc/net/dev isn't read correctly; use an
      intermediate cache file
  * usr/lib/byobu/cpu_temp: LP: #1167176
    - reorder cpu temp detection, as the previous order seemed to
      pick up GPU temps before CPU temps
  * usr/share/byobu/keybindings/f-keys.screen.disable:
    - drop a couple of keys that don't exist; should fix F5 refresh
      errors in byobu-screen, partial fix for LP: #814172

 -- Dustin Kirkland <kirkland@ubuntu.com>  Fri, 16 Aug 2013 16:29:09 -0500

byobu (5.55-0ubuntu1) saucy; urgency=low

  * usr/lib/byobu/distro, usr/lib/byobu/include/common,
    usr/lib/byobu/logo, usr/share/byobu/profiles/bashrc:
    - save a couple of forks in the fast path
    - load BYOBU_DISTRO into the environment as we need this in
      multiple places

 -- Dustin Kirkland <kirkland@ubuntu.com>  Sat, 10 Aug 2013 09:23:02 +0100

byobu (5.54-0ubuntu1) saucy; urgency=low

  * usr/bin/byobu-janitor: LP: #1208844
    - only enable the byobu prompt by default if the bashrc is stock;
      ie, hasn't been locally modified

 -- Dustin Kirkland <kirkland@ubuntu.com>  Wed, 07 Aug 2013 12:49:24 +0100

byobu (5.53-0ubuntu1) saucy; urgency=low

  * usr/bin/byobu-launch, usr/lib/byobu/ec2_cost,
    usr/lib/byobu/hostname, usr/lib/byobu/include/shutil,
    usr/lib/byobu/ip_address: LP: #1208853
    - revert this recent commit, as it appears to have some unintended
      consequences, and it was just cleaning up some false positive
      bashism hits
  * usr/share/byobu/profiles/bashrc: LP: #1208844
    - revert override of term
  * usr/bin/byobu-prompt, usr/bin/Makefile.am, usr/share/man/man1/byobu-
    disable-prompt.1, usr/share/man/man1/byobu-enable-prompt.1,
    usr/share/man/man1/byobu-enable-prompt.1 =>
    usr/share/man/man1/byobu-prompt.1, usr/share/man/man1/Makefile.am:
    - add some documentation and an interactive utility for toggling
      on and off the byobu-prompt, which is hinted in the inline
      bashrc comment

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 06 Aug 2013 22:56:33 +0100

byobu (5.52-0ubuntu1) saucy; urgency=low

  * usr/bin/byobu-janitor:
    - ensure byobu can be purged without breaking a bashrc
  * usr/bin/byobu-launch, usr/lib/byobu/ec2_cost,
    usr/lib/byobu/hostname, usr/lib/byobu/include/shutil,
    usr/lib/byobu/ip_address:
    - work around checkbashisms false positives
  * usr/bin/byobu-janitor:
    - fix error in echo

 -- Dustin Kirkland <kirkland@ubuntu.com>  Mon, 05 Aug 2013 09:22:59 +0100

byobu (5.51-0ubuntu1) saucy; urgency=low

  * usr/bin/byobu-disable-prompt, usr/bin/byobu-enable-prompt,
    usr/share/byobu/profiles/bashrc,
    usr/share/byobu/profiles/Makefile.am,
    usr/share/byobu/profiles/ps1.sh:
    - use a common bashrc file
  * usr/share/byobu/profiles/bashrc:
    - allow override via a $DISTRO env variable
  * usr/bin/byobu-disable-prompt, usr/bin/byobu-enable-prompt,
    usr/share/byobu/profiles/bashrc:
    - don't put profile reloads in the bash history
    - use a ~/.byobu/prompt file as a redirect, and to enable
      end user customizations
    - fix a bash error
  * usr/bin/byobu-enable-prompt, usr/bin/byobu-janitor:
    - enable the new byobu colored prompt by default, on new logins
  * usr/bin/byobu-janitor:
    - enable users to remove the line from their ~/.bashrc

 -- Dustin Kirkland <kirkland@ubuntu.com>  Mon, 05 Aug 2013 08:38:26 +0100

byobu (5.50-0ubuntu1) saucy; urgency=low

  * usr/share/applications/byobu.desktop:
    - ensure TERM gets full color when launching from desktop
  * usr/bin/byobu-enable-prompt:
    - the @ symbol in the color prompt was hard to read
  * usr/bin/byobu-disable-prompt:
    - clean up all byobu-prompt lines
  * usr/bin/byobu-disable-prompt, usr/bin/byobu-enable-prompt:
    - use ubuntu themed colors for the prompt if running on
      Ubuntu
  * usr/bin/byobu-enable-prompt, usr/lib/byobu/distro,
    usr/lib/byobu/include/shutil, usr/lib/byobu/logo:
    - use a common get_distro function in a couple of places
  * usr/lib/byobu/wifi_quality, usr/share/man/man1/byobu.1:
    - make wifi status a little easier to read
  * usr/bin/byobu-disable-prompt, usr/bin/byobu-enable-prompt:
    - ensure we're in a tmux shell
    - ensure we're in a bash shell
    - don't double-reload

 -- Dustin Kirkland <kirkland@ubuntu.com>  Fri, 02 Aug 2013 17:30:09 -0500

byobu (5.49-0ubuntu1) saucy; urgency=low

  * usr/bin/byobu-enable-prompt:
    - fix TERM
  * debian/postinst, usr/bin/byobu-enable-prompt: LP: #1205560
    - soften requirements on touching the reload flag
  * usr/share/byobu/status/status:
    - add the second profile a more complete one, the config I used most
      of the time

 -- Dustin Kirkland <kirkland@ubuntu.com>  Sun, 28 Jul 2013 19:51:37 -0500

byobu (5.48-0ubuntu1) saucy; urgency=low

  * usr/bin/byobu-disable-prompt, usr/bin/byobu-enable-prompt,
    usr/bin/Makefile.am, usr/share/byobu/profiles/ps1.sh,
    usr/share/man/man1/byobu-disable-prompt.1,
    usr/share/man/man1/byobu-enable-prompt.1,
    usr/share/man/man1/Makefile.am:
    - add a utility that installs and uninstalls a nicer color prompt
      into the local shell configuration
  * usr/bin/byobu-enable-prompt, usr/lib/byobu/include/shutil:
    - workaround for LP: #817690
    - add override for TERM in byobu-enable-prompt
  * usr/lib/byobu/include/common: LP: #1180427
    - silence STERR too on BYOBU_TEST

 -- Dustin Kirkland <kirkland@ubuntu.com>  Fri, 26 Jul 2013 16:51:18 -0500

byobu (5.47-0ubuntu1) saucy; urgency=low

  * No changes
  * Re-release due to some minor breakage in my release script

 -- Dustin Kirkland <kirkland@ubuntu.com>  Wed, 17 Jul 2013 09:36:17 -0500

byobu (5.46-0ubuntu1) saucy; urgency=low

  [ Chow Loong Jin ]
  * usr/bin/byobu: LP: #1173354
    - if tput colors is 256, use screen-256color in byobu-screen

  [ Dustin Kirkland ]
  * usr/share/byobu/keybindings/f-keys.tmux: LP: #1190290
    - handle spaces in windows and layouts properly
  * usr/lib/byobu/include/common: LP: #1180427
    - handle zsh's interpretation of "command -v", let it fall through
      to use 'type' for BYOBU_TEST
  * usr/bin/byobu-config: LP: #1177997
    - use decimal for os.makedirs() permission for compatibility
      with older+newer python versions
  * usr/bin/byobu: LP: #1195726
    - zeroing out window titles in byobu-screen is causing other problems,
      especially when the user defines shelltitle in ~/.screenrc
  * usr/share/byobu/profiles/tmux:
    - let's try tmux's automatic titles again

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 16 Jul 2013 18:19:06 -0500

byobu (5.45-0ubuntu1) saucy; urgency=low

  * usr/lib/byobu/ec2_cost, usr/lib/byobu/hostname,
    usr/lib/byobu/include/shutil, usr/lib/byobu/ip_address:
    - fix regression, must hook wget -o- to stdout

 -- Dustin Kirkland <kirkland@ubuntu.com>  Mon, 15 Jul 2013 15:52:53 -0500

byobu (5.44-0ubuntu1) saucy; urgency=low

  * usr/lib/byobu/wifi_quality:
    - minor fix for wifi quality printing, sometimes = and sometimes :
  * usr/lib/byobu/ec2_cost, usr/lib/byobu/hostname,
    usr/lib/byobu/include/shutil, usr/lib/byobu/ip_address,
    usr/lib/byobu/updates_available:
    - ensure input/output/stderr are handled properly for background process

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 09 Jul 2013 09:05:18 -0500

byobu (5.43-0ubuntu1) saucy; urgency=low

  * usr/bin/byobu-select-profile:
    - fix random background color setting for tmux

 -- Dustin Kirkland <kirkland@ubuntu.com>  Sun, 02 Jun 2013 00:15:07 -0500

byobu (5.42-0ubuntu1) saucy; urgency=low

  * usr/bin/Makefile.am:
    - install byobu-ulevel
    - install byobu-ugraph
  * usr/lib/byobu/wifi_quality:
    - clear wifi status indicator when there is no wifi connection
  * usr/bin/byobu-select-session: LP: #1182776
    - skip sessions that are just whitespace
  * usr/lib/byobu/include/shutil, usr/lib/byobu/wifi_quality,
    usr/share/man/man1/byobu.1: LP: #1182528
    - fix status colors on Red Hat, Mac OS X, and elsewhere
    - seems that the #nnnnnn style coloring isn't working everywhere
      + should probably get to the bottom of this...

 -- Dustin Kirkland <kirkland@ubuntu.com>  Wed, 22 May 2013 18:01:26 -0500

byobu (5.41-0ubuntu1) saucy; urgency=low

  * usr/share/byobu/profiles/tmux:
    - need to use prefix
  * usr/share/byobu/profiles/tmux:
    - run byobu-janitor in a new session, rather than a new window
      + on Mac (tmux 1.8), it seems that the tmux session does not
        yet exist, so this fails

 -- Dustin Kirkland <kirkland@ubuntu.com>  Thu, 09 May 2013 09:06:03 -0500

byobu (5.40-0ubuntu1) saucy; urgency=low

  * usr/share/byobu/profiles/tmux: LP: #1177728
    - use byobu's tmux-screen-keys.conf
  * debian/postinst: LP: #1174537
    - drop the env python changes in the postinst
  * debian/control, usr/bin/byobu-select-profile: LP: #1166416
    - hardcode a use of gawk (for hex calculations)
  * usr/share/doc/byobu/help.tmux.txt: LP: #1143342
    - rephrase window rename help text
  * usr/bin/byobu-config: LP: #1166058
    - handle non-existant keybindings file
  * usr/bin/byobu-config: LP: #1125469
    - define error() function
  * debian/control:
    - lintian fixes

 -- Dustin Kirkland <kirkland@ubuntu.com>  Wed, 08 May 2013 13:36:03 -0500

byobu (5.39-0ubuntu1) saucy; urgency=low

  * usr/bin/byobu:
    - fix minor syntax error

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 07 May 2013 22:01:37 -0500

byobu (5.38-0ubuntu1) saucy; urgency=low

  [ Dustin Kirkland ]
  * usr/bin/byobu-janitor: LP: #1173620
    - there is no "grey" in tmux
  * usr/bin/byobu-launch:
    - append, rather than prepend, $PROMPT_COMMAND, as double-semi-colons
      are illegal, thanks to Christian Mäder in github for patch
  * usr/bin/byobu, usr/lib/byobu/include/Makefile.am,
    usr/lib/byobu/include/tmux-detach-all-but-current-client,
    usr/share/byobu/keybindings/f-keys.tmux,
    usr/share/byobu/keybindings/f-keys.tmux.disable,
    usr/share/doc/byobu/help.tmux.txt: LP: #939870
    - add a new keybinding, Alt-F6, which detaches all other clients
      + often used to maximize your tmux session, since tmux reduces
        the available size of your terminal to the smallest connected
        session
  * usr/bin/byobu: LP: #1176956
    - handle unlimted ulimits
  * usr/share/man/man1/byobu.1: LP: #1121414
    - document PuTTY UTF-8 configuration
      + thanks to Chris Holmes
  * usr/bin/byobu-keybindings, usr/bin/Makefile.am,
    usr/share/man/man1/byobu-keybindings.1,
    usr/share/man/man1/Makefile.am: LP: #1118755
    - added a new executable and manpage: byobu-keybindings
    - this is a command line utility for toggling Byobu's keybindings
      on an off
    - useful when Shift-F12 is not usable (Linux console tty), and
      when ctrl-a-! is not usable (tmux)
  * usr/bin/byobu-ctrl-a: LP: #1045070
    - check if the user has already chosen an escape sequence and if so,
      don't bother them with the ctrl-a question

  [ Reinhard Tartler ]
  * usr/bin/byobu-reconnect-sockets, usr/lib/byobu/include/shutil: LP: #1162432
    - fix reconnect on zsh

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 07 May 2013 17:16:29 -0500

byobu (5.37-0ubuntu1) raring; urgency=low

  * usr/lib/byobu/distro:
    - must escape whitespace
  * usr/bin/byobu-janitor, usr/share/byobu/keybindings/Makefile.am,
    usr/share/byobu/keybindings/tmux-screen-keys.conf,
    usr/share/byobu/profiles/tmux, usr/share/byobu/profiles/tmuxrc:
    - fix a number of warnings/errors when launching Byobu on Mac OS X
    - ship a copy of screen-keys.conf, snapshot from tmux
      + unfortunately, this gets installed (or doesn't) in various different
        places by version of Linux/UNIX
    - touch a couple of byobu/tmux configuration files that should exist
      + otherwise, tmux 1.8 shows errors on launch
    - deprecate a couple of tmux configuration options that have gone
      away with tmux 1.7+
      + note that this might (?) annoy users of byobu from source or PPAs
        running the backports in PPAs or building from source

 -- Dustin Kirkland <kirkland@ubuntu.com>  Sun, 21 Apr 2013 11:10:59 -0500

byobu (5.36-0ubuntu1) raring; urgency=low

  * usr/share/doc/byobu/help.tmux.txt:
    - fix typos
  * usr/lib/byobu/distro:
    - fix distro printing for RHEL

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 09 Apr 2013 12:10:26 -0500

byobu (5.35-0ubuntu1) raring; urgency=low

  * usr/bin/byobu:
    - these ulimit tests are bash-specific
  * usr/lib/byobu/raid:
    - fix degraded raid detection regression

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 26 Mar 2013 11:24:36 -0500

byobu (5.34-0ubuntu1) raring; urgency=low

  [ Dustin Kirkland ]
  * debian/rules:
    - check bash syntax at build time, to avoid LP: #1119446, #1119345 again
  * usr/lib/byobu/include/constants:
    - ensure that we have something in BYOBU_ULIMIT

  [ Lukas Stabe <lukas@stabe.de> ]
  * usr/lib/byobu/logo:
    - display logo surrounded by spaces on OSX
  * usr/lib/byobu/time_binary:
    - fix time_binary printing "\n" and killing other output
  * usr/lib/byobu/updates_available:
    - make updates_available aware of homebrew
  * usr/lib/byobu/time, usr/share/byobu/status/statusrc:
    - add an option to time to hide seconds

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 12 Mar 2013 23:14:22 -0500

byobu (5.33-0ubuntu1) raring; urgency=low

  * usr/bin/byobu-launch: LP: #1119446, #1119345
    - fix shell syntax regression

 -- Dustin Kirkland <kirkland@ubuntu.com>  Fri, 08 Feb 2013 14:48:00 -0600

byobu (5.32-0ubuntu1) raring; urgency=low

  [ Dustin Kirkland ]
  * usr/lib/byobu/mail: LP: #1118364
    - support maildir format
  * debian/rules, usr/bin/byobu, usr/bin/byobu-launch,
    usr/lib/byobu/include/common, usr/lib/byobu/include/constants:
    - clean up some bashisms (better portability)
    - checkbashisms at build time, show but don't fail

  [ Lukas Stabe ]
  * usr/bin/byobu-launcher-install:
    - better fish launcher conditional, per actual fish user

 -- Dustin Kirkland <kirkland@ubuntu.com>  Thu, 07 Feb 2013 18:11:38 -0600

byobu (5.31-0ubuntu1) raring; urgency=low

  * configure.ac, Makefile.am, === removed directory
    usr/share/byobu/ec2, usr/lib/byobu/ec2_cost,
    usr/lib/byobu/include/ec2instancespricing.py,
    usr/lib/byobu/include/Makefile.am, usr/share/byobu/ec2/Makefile.am,
    usr/share/byobu/ec2/rates.ap-northeast-1,
    usr/share/byobu/ec2/rates.ap-southeast-1,
    usr/share/byobu/ec2/rates.eu-west-1, usr/share/byobu/ec2/rates.us-
    east-1, usr/share/byobu/ec2/rates.us-west-1,
    usr/share/byobu/ec2/rates.us-west-2:
    - use a smarter algorithm for estimating ec2 cost
    - include ec2instancespricing.py from
      https://github.com/erans/ec2instancespricing
  * debian/postinst, usr/bin/byobu-config, usr/bin/byobu-select-session,
    usr/lib/byobu/include/ec2instancespricing.py: LP: #996559, #988471
    - use env for shebang in development tree
    - fix this up in the postinst
      + seems racy -- there's got to better way of handling this???
  * usr/bin/byobu-launcher-install, usr/bin/byobu-launcher-uninstall:
    - LP: #1002137
    - support fish shell in the installer
  * usr/bin/byobu-select-session:
    - fix python exception
  * usr/bin/byobu, usr/share/byobu/keybindings/f-keys.tmux: LP: #1103449
    - fix regression, re-enable blank window titles in both screen and tmux

 -- Dustin Kirkland <kirkland@ubuntu.com>  Wed, 06 Feb 2013 23:16:18 -0600

byobu (5.30-0ubuntu1) raring; urgency=low

  * usr/share/byobu/keybindings/f-keys.tmux:
    - use $BYOBU_SHELL_TITLE in tmux too
  * usr/share/byobu/windows/Makefile.am:
    - fix lintian warning, install as DATA rather than SCRIPTS
  * debian/po/de.po, debian/po/en_GB.po, debian/po/es.po,
    debian/po/pt.po, debian/po/ru.po, debian/po/templates.pot,
    debian/po/POTFILES.in:
    - re-add this file, not sure when/how it got removed, fixes lintian
  * usr/share/man/man1/byobu.1, usr/share/man/man1/byobu-quiet.1,
    usr/share/man/man1/byobu-silent.1:
    - fix lintian info messages
  * NEWS:
    - point to byobu.co in NEWS file
  * usr/bin/byobu-select-profile:
    - find a suitable hash sum utility (fixes Mac OS X)
  * usr/lib/byobu/uptime:
    - handle multiple white space with a single digit hour on Mac OS X
  * usr/bin/byobu-select-profile, usr/bin/byobu-ugraph,
    usr/lib/byobu/include/cycle-status, usr/lib/byobu/ip_address,
    usr/lib/byobu/memory:
    - the sed found in Mac OS X seems to really prefer a -e before expression
  * usr/share/byobu/pixmaps/Byobu.png:
    - image added for Mac OS X packaging
  * usr/bin/byobu-config:
    - throw an error message when we can't import snack
  * Applications/Byobu.app/Contents/MacOS/Byobu:
    - add an application launcher for Mac OS X

 -- Dustin Kirkland <kirkland@ubuntu.com>  Mon, 28 Jan 2013 02:21:12 -0600

byobu (5.29-0ubuntu1) raring; urgency=low

  [ Dustin Kirkland ]
  * README:
    - update build docs referencing git repo
  * usr/lib/byobu/cpu_freq, usr/lib/byobu/date, usr/lib/byobu/entropy,
    usr/lib/byobu/include/shutil, usr/lib/byobu/ip_address,
    usr/lib/byobu/load_average, usr/lib/byobu/memory,
    usr/lib/byobu/menu, usr/lib/byobu/processes, usr/lib/byobu/time,
    usr/lib/byobu/time_utc, usr/lib/byobu/uptime, usr/lib/byobu/users:
    - finally got my hands on a Mac OS X box!
    - fixed a bunch of status scripts to work on Mac OS X
  * AUTHORS, debian/copyright, po/bg.po, po/sv.po, README,
    usr/bin/byobu-layout, usr/bin/byobu-reconnect-sockets,
    usr/bin/byobu-select-session, usr/lib/byobu/entropy,
    usr/lib/byobu/include/cycle-status, usr/lib/byobu/include/mondrian,
    usr/lib/byobu/menu, usr/share/byobu/keybindings/f-keys.screen,
    usr/share/byobu/keybindings/f-keys.screen.disable,
    usr/share/byobu/keybindings/f-keys.tmux,
    usr/share/byobu/keybindings/f-keys.tmux.disable:
    - updated email address from kirkland@ubuntu.com to kirkland@byobu.co
  * debian/copyright, debian/source_byobu.py, etc/profile.d/Z97-
    byobu.sh, experimental/byobu-classroom, usr/bin/byobu,
    usr/bin/byobu-config, usr/bin/byobu-ctrl-a, usr/bin/byobu-disable,
    usr/bin/byobu-enable, usr/bin/byobu-export, usr/bin/byobu-janitor,
    usr/bin/byobu-launch, usr/bin/byobu-launcher, usr/bin/byobu-
    launcher-install, usr/bin/byobu-launcher-uninstall, usr/bin/byobu-
    quiet, usr/bin/byobu-select-backend, usr/bin/byobu-select-profile,
    usr/bin/byobu-shell, usr/bin/byobu-silent, usr/bin/byobu-status,
    usr/bin/byobu-status-detail, usr/lib/byobu/apport,
    usr/lib/byobu/arch, usr/lib/byobu/battery, usr/lib/byobu/color,
    usr/lib/byobu/cpu_count, usr/lib/byobu/cpu_freq,
    usr/lib/byobu/cpu_temp, usr/lib/byobu/custom, usr/lib/byobu/date,
    usr/lib/byobu/disk, usr/lib/byobu/disk_io, usr/lib/byobu/distro,
    usr/lib/byobu/ec2_cost, usr/lib/byobu/fan_speed,
    usr/lib/byobu/hostname, usr/lib/byobu/include/common,
    usr/lib/byobu/include/constants, usr/lib/byobu/include/dirs,
    usr/lib/byobu/include/notify_osd, usr/lib/byobu/include/shutil,
    usr/lib/byobu/ip_address, usr/lib/byobu/load_average,
    usr/lib/byobu/logo, usr/lib/byobu/mail, usr/lib/byobu/memory,
    usr/lib/byobu/network, usr/lib/byobu/notify_osd,
    usr/lib/byobu/processes, usr/lib/byobu/raid, usr/lib/byobu/rcs_cost,
    usr/lib/byobu/reboot_required, usr/lib/byobu/release,
    usr/lib/byobu/services, usr/lib/byobu/swap, usr/lib/byobu/time,
    usr/lib/byobu/time_utc, usr/lib/byobu/trash,
    usr/lib/byobu/updates_available, usr/lib/byobu/uptime,
    usr/lib/byobu/users, usr/lib/byobu/whoami,
    usr/lib/byobu/wifi_quality, usr/share/byobu/profiles/byoburc,
    usr/share/byobu/profiles/classroom, usr/share/byobu/profiles/common,
    usr/share/byobu/profiles/NONE, usr/share/byobu/profiles/screenrc,
    usr/share/byobu/profiles/tmux, usr/share/byobu/profiles/tmuxrc,
    usr/share/byobu/status/status, usr/share/byobu/status/statusrc,
    usr/share/byobu/tests/byobu-time-notifications,
    usr/share/man/man1/byobu.1, usr/share/man/man1/byobu-config.1,
    usr/share/man/man1/byobu-ctrl-a.1, usr/share/man/man1/byobu-
    enable.1, usr/share/man/man1/byobu-export.1,
    usr/share/man/man1/byobu-janitor.1, usr/share/man/man1/byobu-
    launcher.1, usr/share/man/man1/byobu-launcher-install.1,
    usr/share/man/man1/byobu-launcher-uninstall.1,
    usr/share/man/man1/byobu-layout.1, usr/share/man/man1/byobu-quiet.1,
    usr/share/man/man1/byobu-reconnect-sockets.1,
    usr/share/man/man1/byobu-screen.1, usr/share/man/man1/byobu-select-
    backend.1, usr/share/man/man1/byobu-select-profile.1,
    usr/share/man/man1/byobu-select-session.1, usr/share/man/man1/byobu-
    shell.1, usr/share/man/man1/byobu-silent.1,
    usr/share/man/man1/byobu-status.1, usr/share/man/man1/byobu-status-
    detail.1, usr/share/man/man1/byobu-tmux.1:
    - updated email address from kirkland@ubuntu.com to kirkland@byobu.co
  * usr/bin/byobu-select-session: LP: #1098102
    - fix regression with Python2.6 compatibility, use Popen instead of
      check_output

  [ Przemek Wesolek ]
  * usr/bin/byobu-status: LP: #1003938
    - go through cat due to possible tmux/epoll bug

 -- Dustin Kirkland <kirkland@ubuntu.com>  Sat, 19 Jan 2013 14:17:58 -0600

byobu (5.28-0ubuntu1) raring; urgency=low

  * usr/bin/byobu, usr/share/byobu/profiles/common: LP: #1031925
    - 'byobu-screen -t foo' was hanging
    - seems that screen's shelltitle command in our common profile
      conflicts with the -t option on the command line
    - add a hack to byobu that detects this, and avoids hanging
    - set title to . otherwise (seems we need one printable character here)
  * usr/bin/byobu-ctrl-a: LP: #1004031
    - fix some bad problems introduced by single quotes
    - escape double quotes instead
    - clean up keybindings file with better sed's
  * usr/lib/byobu/menu: LP: #881993
    - merge, and update a little
    - make sure we get the second-to-last byte on that line

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 15 Jan 2013 19:26:37 -0600

byobu (5.27-0ubuntu1) raring; urgency=low

  * usr/bin/byobu-config: LP: #1097922, #1098102
    - ensure byobu-config works even if ~/.profile doesn't exist
  * usr/bin/byobu-ctrl-a: LP: #1098229
    - fix typo that breaks ctrl-a selection behavior
  * usr/bin/byobu: LP: #1026595
    - fix readlink detection; we were using BYOBU_TEST before it was defined
    - instead, try to greadlink -f .; operationally the same
  * usr/lib/byobu/include/dirs: LP: #1025998
    - more XDG annoyances
    - use $HOME/.config/byobu as BYOBU_CONFIG_DIR if it exists
  * === added symlink usr/bin/byobu-screen, === added symlink
    usr/bin/byobu-tmux, === target is byobu: LP: #1022882
    - add symlinks to repo, makes it easier to use byobu straight out of
      bzr
  * usr/bin/byobu-select-profile: LP: #946112
    - fix byobu interactive color selection in tmux
  * usr/lib/byobu/distro, usr/lib/byobu/release: LP: #1004722
    - use sw_vers utility on Mac to determine distro and release

 -- Dustin Kirkland <kirkland@ubuntu.com>  Mon, 14 Jan 2013 15:27:34 -0600

byobu (5.26-0ubuntu1) raring; urgency=low

  [ Iain Lane ]
  * usr/bin/byobu-select-session:
    - Handle `screen -ls' returning 1. (LP: #1098341)

 -- Dustin Kirkland <kirkland@ubuntu.com>  Thu, 10 Jan 2013 16:36:21 -0600

byobu (5.25-0ubuntu1) raring; urgency=low

  * usr/bin/byobu-status:
    - move tmux-specific width code into tmux case block
  * usr/bin/byobu-config, usr/bin/byobu-ctrl-a,
    usr/share/doc/byobu/help.screen.txt:
    - update python code for python3 compatibility
  * usr/bin/byobu-select-session:
    - update python code for python3 compatibility

 -- Dustin Kirkland <kirkland@ubuntu.com>  Wed, 09 Jan 2013 15:17:35 -0600

byobu (5.24-0ubuntu1) raring; urgency=low

  * usr/lib/byobu/logo: LP: #1094716
    - use the Apple unicode logo, rather than the Apple option symbol
    - this is only visible from Mac terminals (much like the Ubuntu logo
      is only visible from Ubuntu terminals)

 -- Dustin Kirkland <kirkland@ubuntu.com>  Wed, 09 Jan 2013 09:49:44 -0600

byobu (5.23-0ubuntu1) raring; urgency=low

  [ Dustin Kirkland ]
  * configure.ac, debian/control, debian/copyright, README,
    usr/lib/byobu/rcs_cost, usr/share/man/man1/byobu.1,
    usr/share/man/man1/byobu-config.1, usr/share/man/man1/byobu-ctrl-
    a.1, usr/share/man/man1/byobu-enable.1, usr/share/man/man1/byobu-
    janitor.1, usr/share/man/man1/byobu-launcher.1,
    usr/share/man/man1/byobu-launcher-install.1,
    usr/share/man/man1/byobu-launcher-uninstall.1,
    usr/share/man/man1/byobu-layout.1, usr/share/man/man1/byobu-quiet.1,
    usr/share/man/man1/byobu-reconnect-sockets.1,
    usr/share/man/man1/byobu-screen.1, usr/share/man/man1/byobu-select-
    backend.1, usr/share/man/man1/byobu-select-profile.1,
    usr/share/man/man1/byobu-select-session.1, usr/share/man/man1/byobu-
    shell.1, usr/share/man/man1/byobu-silent.1,
    usr/share/man/man1/byobu-status.1, usr/share/man/man1/byobu-status-
    detail.1, usr/share/man/man1/byobu-tmux.1:
    - point to the new byobu.co website rather than the launchpad landing
      page
  * usr/share/byobu/profiles/common: LP: #1089008
    - re-enable shift-pgup/shift-pgdn in the terminal buffer in screen,
      to match our default in tmux
  * === added directory usr/share/byobu/pixmaps/highcontrast,
    debian/install, usr/share/byobu/pixmaps/highcontrast/byobu.svg:
    - add a byobu high contrast icon, LP: #1082241
    - simplify, removing detail
  * usr/lib/byobu/distro, usr/lib/byobu/logo: LP: #1094716
    - try to improve logo printing and distro detection on Mac
  * debian/control, debian/rules, usr/bin/byobu-config, usr/bin/byobu-
    select-session: LP: #1043048
    - get our python code pep8 compliant
      + except use tabs instead of spaces, and allow lines longer than
        80 characters
    - this should get byobu's python code working better with python3
  * debian/postrm:
    - fix lintian error

  [ Dustin Kirkland and Philip Muškovac ]
  * usr/lib/byobu/battery: LP: #1090831
    - some batteries use "CHARGE" while others use "ENERGY"

  [ Antonio Lorusso ]
  * usr/bin/byobu-status: LP: #1018538, #1073145, #1020674
    - fix select/copy/paste in iTerm2 and KDE

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 08 Jan 2013 22:39:54 -0600

byobu (5.22-0ubuntu1) raring; urgency=low

  [ Dustin Kirkland ]
  * usr/bin/byobu-config, usr/bin/byobu-ctrl-a: LP: #1019743
    - fix escape sequence setting in config with tmux
  * debian/postinst, debian/postrm: LP: #1050249
    - clean up obsolete config file
  * usr/share/byobu/keybindings/f-keys.screen:
    - create a new shell when splitting a window in byobu-screen
  * usr/lib/byobu/memory: LP: #1059307
    - drop fo_cached calculation, which was not actually used
    - change foreground color of free memory percentage to yellow,
      if its over 90% used
    - use a better variable name for memory usage
  * usr/lib/byobu/custom, usr/share/man/man1/byobu.1:
    - fix color for custom scripts; default to no color changes
  * usr/bin/byobu-janitor, usr/lib/byobu/include/shutil: LP: #1071287
    - ensure that we re-check metadata service availability each time
      byobu-janitor runs
    - move metadata_available flag to more ephemeral run dir
    - drop timeout on metadata check to 5 seconds
  * usr/lib/byobu/release: LP: #1068581
    - simplify and use lsb_release -s -r when necessary
  * usr/lib/byobu/include/constants: LP: #1068580
    - test for the sed --follow-symlink option and only use it when
      available
  * usr/share/man/man1/byobu.1: LP: #1059237
    - document that you can copy status scripts to ~/.byobu/bin and
      modify them locally
  * usr/lib/byobu/include/shutil: LP: #1059232
    - fix tmux color clearing
  * usr/lib/byobu/include/common:
    - remove trailing whitespace

  [ Jake Biesinger and Dustin Kirkland ]
  * usr/share/byobu/keybindings/common, usr/share/byobu/keybindings/f-
    keys.screen, usr/share/byobu/keybindings/f-keys.screen.disable,
    usr/share/byobu/keybindings/f-keys.tmux,
    usr/share/byobu/keybindings/f-keys.tmux.disable,
    usr/share/doc/byobu/help.tmux.txt: LP: #945069
    - unbind ctrl-left/right/up/down in byobu
      + previously was used to resize splits
      + some users unfortunately expect ctrl-left/right to move the
        cursor around words
    - resizing splits is something that happens relatively infrequently,
      so bind these to shift-alt-up/down/left/right
    - use alt-left/right to move between windows
    - use alt-up/down to move between sessions
    - source the disable bindings just before sourcing the byobu bindings,
      this enables a clean undo of bindings
    - document the changes in the help text

 -- Dustin Kirkland <kirkland@ubuntu.com>  Mon, 05 Nov 2012 13:48:11 +0100

byobu (5.21-0ubuntu1) quantal; urgency=low

  [ Dustin Kirkland ]
  * usr/lib/byobu/users:
    - clear cache on 0 users

  [ Patrick Marlier ]
  * usr/lib/byobu/users:
    - fix typo in user detailed counting

  [ Daniel Hahler ]
  * usr/lib/byobu/include/common:
    - clear stderr in byobu test

 -- Dustin Kirkland <kirkland@ubuntu.com>  Wed, 11 Jul 2012 12:02:31 -0500

byobu (5.20-0ubuntu1) quantal; urgency=low

  [ Dustin Kirkland ]
  * usr/bin/byobu-status: LP: #998812
    - fix upgrades to the new width handling, where some things
      were undefined
  * usr/lib/byobu/updates_available: LP: #976928, #1010505, #999151
    - use flock when running apt-check or apt-get
      + ideally we'd use run-one here, but not yet in main or other distros
    - depend on util-linux, which provides flock
    - drop run-one usage, use flock directly instead
  * debian/control, usr/share/byobu/windows/common:
    - fix some lintian warnings and errors
  * usr/lib/byobu/raid: LP: #1006971
    - ensure raid status cache gets cleared out when done rebuilding
  * debian/postrm: LP: #996873
    - at package removal, ensure that we remove the auto-launch symlink
      if it exists
  * usr/bin/byobu, usr/lib/byobu/include/constants, usr/lib/byobu/logo,
    usr/share/man/man1/byobu.1: LP: #938920, #995412
    - fix "infinite scrolling" of status line, when using multibyte
      utf-8 characters in status
    - detect character map, and only enable utf-8 when possible
  * usr/bin/byobu, usr/bin/byobu-launch, usr/bin/byobu-status,
    usr/lib/byobu/disk_io, usr/lib/byobu/distro,
    usr/lib/byobu/include/common, usr/lib/byobu/include/constants,
    usr/lib/byobu/release, usr/lib/byobu/updates_available: LP: #996285
    - create new BYOBU_TEST global, which is one of:
      [command -v, type, which]
    - command -v doesn't exist in busybox, type does
  * usr/lib/byobu/ec2_cost, usr/lib/byobu/include/shutil,
    usr/lib/byobu/rcs_cost: LP: #1013220
    - gracefully silence status notifications that require /proc/net/route
      when it's not really there (cygwin, mac)
  * usr/share/byobu/profiles/tmux: LP: #1012348
    - fix status activity/alert bolding
    - seems upstream tmux changed the option name from "alert" to "activity"
  * usr/share/man/man1/byobu.1: LP: #977225
    - add documentation about the status line background colors
  * usr/lib/byobu/include/constants: LP: #954031
    - use the sed --follow-symlinks option to keep from recreating files,
      especially .profile and .bashrc

  [ Dustin Kirkland and Daniel Lee ]
  * usr/lib/byobu/disk_io, usr/lib/byobu/mail, usr/lib/byobu/network:
    - LP: #962730, #998202
    - clear out cache on a few other status notifications where we go
      from activity, to none

  [ https://launchpad.net/~ktyubuntu ]
  * usr/lib/byobu/logo: LP: #1004712
    - fix Red Hat logo detection
  * usr/lib/byobu/logo: LP: #1004722
    - add apple distro and logo

 -- Dustin Kirkland <kirkland@ubuntu.com>  Sun, 24 Jun 2012 16:25:31 -0500

byobu (5.19-0ubuntu1) quantal; urgency=low

  * usr/bin/byobu-config, usr/bin/byobu-select-session: LP: #988471
    - per Barry Warsaw, scripts should NOT use 'env python'; sorry
  * === added directory usr/share/sounds, === added directory
    usr/share/sounds/byobu, usr/share/sounds/byobu/byobu.ogg: LP: #999716
    - add byobu sound to repo, as pronounced by Fumihito YOSHIDA
  * usr/lib/byobu/updates_available:
    - use run-one, rather than run-this-one (which isn't working well)

 -- Dustin Kirkland <kirkland@ubuntu.com>  Fri, 08 Jun 2012 17:25:18 -0500

byobu (5.18-0ubuntu1) quantal; urgency=low

  [ Dustin Kirkland ]
  * usr/bin/byobu-status: LP: #997766
    - handle status wider than terminal more gracefully

  [ Daniel Hahler ]
  * usr/bin/byobu-config: LP: #996559
    - use env for python version

 -- Dustin Kirkland <kirkland@ubuntu.com>  Fri, 11 May 2012 15:42:59 -0700

byobu (5.17-0ubuntu1) precise; urgency=low

  [ Dustin Kirkland ]
  * usr/bin/byobu-status:
    - performance improvement, testing for directory existence before
      mkdir -p saves time
    - localize a couple of function variables
  * usr/bin/byobu: LP: #966686
    - ensure that the MOTD gets printed on byobu-tmux first launches
  * usr/lib/byobu/include/constants: LP: #940224
    - revert r1927

  [ Fumihito YOSHIDA (hito) ]
  * usr/lib/byobu/logo: LP: #952724
    - handle VTE_CJK_WIDTH=1 for asian locales

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 03 Apr 2012 19:22:02 -0500

byobu (5.16-0ubuntu1) precise; urgency=low

  * usr/lib/byobu/updates_available: LP: #942469
    - fix regression clearing updates_available status
    - and fix a typo in that commit
  * usr/lib/byobu/reboot_required, usr/lib/byobu/updates_available:
    - powersave flag and reload flag suffered from the same problem
      as LP: #942469
  * usr/bin/byobu: LP: #949385
    - namespace a few environment variables more appropriately

 -- Dustin Kirkland <kirkland@ubuntu.com>  Thu, 23 Feb 2012 15:01:55 -0600

byobu (5.15-0ubuntu1) precise; urgency=low

  * usr/bin/byobu, usr/lib/byobu/include/constants:
    - fix 256 color support
    - default to colors specified in the Ubuntu brand guidelines
      + http://design.canonical.com/the-toolkit/ubuntu-brand-guidelines/

 -- Dustin Kirkland <kirkland@ubuntu.com>  Thu, 23 Feb 2012 15:01:45 -0600

byobu (5.14-0ubuntu1) precise; urgency=low

  * usr/bin/byobu-status, usr/lib/byobu/battery, usr/lib/byobu/cpu_freq,
    usr/lib/byobu/custom, usr/lib/byobu/disk, usr/lib/byobu/disk_io,
    usr/lib/byobu/distro, usr/lib/byobu/ec2_cost, usr/lib/byobu/entropy,
    usr/lib/byobu/fan_speed, usr/lib/byobu/hostname,
    usr/lib/byobu/load_average, usr/lib/byobu/memory,
    usr/lib/byobu/network, usr/lib/byobu/processes, usr/lib/byobu/raid,
    usr/lib/byobu/rcs_cost, usr/lib/byobu/swap, usr/lib/byobu/uptime,
    usr/lib/byobu/wifi_quality:
    - help ensure that a status is printed
    - this fixes byobu status on some slower systems
    - use the last cached status, if the current one doesn't return

 -- Dustin Kirkland <kirkland@ubuntu.com>  Thu, 23 Feb 2012 08:04:04 -0600

byobu (5.13-0ubuntu1) precise; urgency=low

  * usr/lib/byobu/include/mondrian:
    - simply speed up using perl
  * usr/bin/byobu: LP: #937175
    - check tput for 256 color support before defaulting to that in tmux mode
  * usr/lib/byobu/disk_io: LP: #934893, #936393
    - initialize the x1 value correctly
  * usr/lib/byobu/ec2_cost, usr/share/byobu/status/statusrc,
    usr/share/man/man1/byobu.1: LP: #929907
    - disable the ec2_cost plugin if not running in EC2,
      allow override with EC2_ESTIMATE=1 in ~/.byobu/statusrc
  * usr/lib/byobu/include/shutil: LP: #930656
    - support network interface detection on Mac OSX
    - untested by me, but sort of suggested by a user
  * etc/byobu/backend, usr/lib/byobu/include/common,
    usr/lib/byobu/include/constants: LP: #937174
    - fix upgrades while within a running byobu-screen session

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 21 Feb 2012 23:22:32 -0600

byobu (5.12-0ubuntu1) precise; urgency=low

  * usr/share/byobu/keybindings/f-keys,
    usr/share/byobu/keybindings/screen-escape-keys:
    - keybindings for screen to match tmux for consistency
  * usr/bin/byobu-ctrl-a:
    - fix regression in byobu-screen ctrl-a handling
  * usr/lib/byobu/menu, usr/share/byobu/keybindings/common,
    usr/share/byobu/keybindings/f-keys, usr/share/byobu/keybindings/f-
    keys.tmux, usr/share/byobu/keybindings/f-keys =>
    usr/share/byobu/keybindings/f-keys.screen,
    usr/share/byobu/keybindings/Makefile.am,
    usr/share/byobu/keybindings/screen-escape-keys =>
    usr/share/byobu/keybindings/f-keys.screen.disable:
    - keybindings for screen to match tmux for consistency

 -- Dustin Kirkland <kirkland@ubuntu.com>  Thu, 16 Feb 2012 23:58:33 -0600

byobu (5.11-0ubuntu1) precise; urgency=low

  [ Ryan Thompson ]
  * usr/bin/byobu-reconnect-sockets, usr/bin/byobu-select-session: LP: #924545
    - add to the list of environment variables to update on reconnect

  [ Dustin Kirkland ]
  * usr/bin/byobu-status:
    - clear first window name
  * usr/share/byobu/status/status:
    - disable a few status items in the first tmux status line to ensure
      that the status line fits in 80x25 terminals
    - press shift-f5 for more status

 -- Dustin Kirkland <kirkland@ubuntu.com>  Wed, 15 Feb 2012 22:22:04 -0600

byobu (5.10-0ubuntu1) precise; urgency=low

  * usr/bin/byobu-ctrl-a: LP: #931345
    - fix ctrl-a support for tmux 1.5 and 1.6

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 14 Feb 2012 14:37:47 -0600

byobu (5.9-0ubuntu1) precise; urgency=low

  * usr/bin/byobu-status:
    - fix broken status expiration, which wasn't working and probably
      had a huge performance penalty :-(
  * usr/bin/byobu-ctrl-a, usr/share/byobu/keybindings/f-keys.tmux,
    usr/share/byobu/keybindings/f-keys.tmux.disable,
    usr/share/byobu/profiles/tmuxrc: LP: #923134
    - get byobu-ctrl-a working within tmux, like screen
    - prompt the user for ctrl-a to work in Screen/escape mode, or emacs
      mode

 -- Dustin Kirkland <kirkland@ubuntu.com>  Sun, 12 Feb 2012 11:07:40 -0600

byobu (5.8-0ubuntu1) precise; urgency=low

  [ Daniel Hahler ]
  * debian/rules:
    - autoconf into debian rules

  [ Daniel Hahler ]
  * usr/bin/byobu-reconnect-sockets: LP: #923169
    - better fix for zsh, set compatibility options instead

  [ Dustin Kirkland ]
  * debian/control:
    - suggest ttf-ubuntu-font-family which provides the  character
  * usr/share/byobu/profiles/tmux:
    - drop the brackets around the open windows, saves ~4 horizontal
      characters;  trying to get default tmux to fit in 80x25
  * usr/lib/byobu/users:
    - do a better job counting ssh users
  * usr/share/byobu/status/status:
    - move wifi_quality to second right status
  * usr/bin/byobu-status, usr/lib/byobu/include/constants:
    - use printf instead of echo, saves a few forks
  * usr/lib/byobu/cpu_freq, usr/lib/byobu/cpu_temp,
    usr/lib/byobu/custom, usr/lib/byobu/date, usr/lib/byobu/disk_io,
    usr/lib/byobu/ec2_cost, usr/lib/byobu/logo, usr/lib/byobu/network,
    usr/lib/byobu/rcs_cost, usr/lib/byobu/time_binary,
    usr/lib/byobu/include/common, usr/lib/byobu/include/mondrian,
    usr/lib/byobu/include/shutil:
    - use printf where possible, saves some forks
  * usr/lib/byobu/release, usr/share/byobu/status/statusrc,
    usr/share/man/man1/byobu.1:
    - based on suggestion from Scott Moser, support an abbreviated
      version of the release string
    - support a statusrc configuration variable of RELEASE_ABBREVIATED=N
      where N is the number of characters from the front of the release
      string to display

 -- Dustin Kirkland <kirkland@ubuntu.com>  Sun, 12 Feb 2012 10:01:31 -0600

byobu (5.7-0ubuntu1) precise; urgency=low

  [ Ryan Thompson ]
  * usr/bin/byobu-reconnect-sockets: LP: #923169
    - nasty hack for compatibility with zsh sourcing this file

  [ Colin Watson ]
  * debian/control, debian/rules: LP: #923197
    - minimize our perl dependencies

 -- Dustin Kirkland <kirkland@ubuntu.com>  Mon, 30 Jan 2012 18:12:46 -0600

byobu (5.6-0ubuntu1) precise; urgency=low

  [ Dustin Kirkland ]
  * usr/lib/byobu/ip_address:
    - user@host and ipaddress need some separation, as they're hard to
      differentiate when next to one another
  * usr/bin/byobu-ctrl-a: LP: #922951
    - if the user has already chosen an escape sequence, don't run the
      interactive byobu-ctrl-a program
  * usr/share/byobu/keybindings/f-keys.tmux,
    usr/share/byobu/profiles/tmux:
    - empty default window names
    - easy to change with F8
    - need to save characters in default tmux launch to get it to fit
      in 80x24 terminals
  * experimental/byobu-classroom, usr/bin/byobu-config, usr/bin/byobu-
    ctrl-a, usr/bin/byobu-janitor, usr/bin/byobu-launcher-uninstall,
    usr/bin/byobu-quiet, usr/bin/byobu-silent, usr/bin/byobu-status,
    usr/lib/byobu/cpu_temp, usr/lib/byobu/custom,
    usr/lib/byobu/ec2_cost, usr/lib/byobu/include/constants,
    usr/lib/byobu/logo, usr/lib/byobu/menu, usr/lib/byobu/network,
    usr/share/byobu/keybindings/f-keys: LP: #920661
    - byobu should not set environment variable 'SED'
    - use BYOBU_SED instead
  * usr/bin/byobu, usr/bin/byobu-janitor, usr/lib/byobu/disk_io,
    usr/lib/byobu/include/constants:
    - use BYOBU_READLINK instead of READLINK
  * usr/bin/byobu-select-session: LP: #911500
    - detect and avoid some circular byobu-inside-byobu infinite loops
  * usr/bin/byobu, usr/bin/byobu-ctrl-a, usr/bin/byobu-reconnect-
    sockets, usr/lib/byobu/color, usr/lib/byobu/date,
    usr/lib/byobu/include/shutil, usr/lib/byobu/time:
    - make check for BYOBU_BACKEND explitly tmux|screen

  [ Ryan Thompson ]
  * usr/bin/byobu-select-session: LP: #919391
    - read only integers
  * usr/bin/byobu-select-session: LP: #908944
    - use attach_session function

 -- Dustin Kirkland <kirkland@ubuntu.com>  Sat, 28 Jan 2012 15:19:02 -0600

byobu (5.5-0ubuntu1) precise; urgency=low

  * usr/lib/byobu/ec2_cost, usr/lib/byobu/network:
    - fix input-field-separator problems with /proc/net/dev parsing
    - get them in the right order on flip flag

 -- Dustin Kirkland <kirkland@ubuntu.com>  Wed, 18 Jan 2012 19:57:10 -0600

byobu (5.4-0ubuntu1) precise; urgency=low

  [ Alexander Chernyakhovsky and Dustin Kirkland ]
  * === added directory debian/source, debian/control, debian/install,
    debian/rules, debian/source/format: LP: #917682
    - switch to dh7 format for build

  [ Dustin Kirkland ]
  * debian/install, debian/links, === removed symlink
    usr/share/byobu/keybindings/common, === target was uf-keys,
    usr/share/byobu/keybindings/common:
    - re-establish a symlink for the icon/art; note, this should
      really be handled in the autohell build for portability;
      using debian/links is hacky
    - drop common as a link;  instead, use "source"

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 17 Jan 2012 12:56:18 -0600

byobu (5.3-0ubuntu1) precise; urgency=low

  [ Daniel Hahler ]
  * usr/bin/Makefile.am:
    - fix safe link creation

  [ Dustin Kirkland ]
  * usr/share/byobu/profiles/tmux:
    - add some whitespace
  * usr/bin/byobu, usr/share/byobu/profiles/tmux: LP: #908766, #900309
    - TERM must be 'screen', to work with: a) 256 colors, and
      b) vim/mutt with bce;  tmux does not support bce properly
  * usr/bin/byobu: LP: #914424
    - use READLINK
  * usr/share/byobu/profiles/tmux:
    - add some comments
  * usr/lib/byobu/ec2_cost, usr/lib/byobu/network: LP: #914098
    - fix regression from r1839, add colon to IFS
  * usr/share/man/man1/byobu.1: LP: #913817
    - mention byobu-select-backend prominently in the manpage
  * usr/bin/byobu-status, usr/share/man/man1/byobu.1: LP: #898065
    - support ip_address4 and ip_address6 in the status line
    - allows for users to see both ipv4 and ipv6 addresses simultaneously
      rather than one or the other
  * etc/profile.d/Z97-byobu.sh:
    - support LC_TERMTYPE=[byobu|byobu-screen|byobu-tmux]
  * etc/profile.d/Z97-byobu.sh, usr/bin/byobu-launcher: LP: #897711
    - allow nesting, if LC_BYOBU > 1
  * usr/bin/byobu, usr/bin/byobu-janitor, usr/lib/byobu/include/common,
    usr/lib/byobu/include/constants:
    - for users upgrading from an older version of byobu, where they were
      previously using a screen backend, keep them using a screen backend
    - for new users, default to tmux backend
  * usr/bin/byobu, usr/share/byobu/profiles/common: LP: #882067
    - maximize the number of windows we can fit in byobu-screen by dropping
      the $SHELL window title
    - users can override by setting 'shelltitle' in ~/.screenrc
    - fixes a problem where screen hangs when interactively setting shelltitle
    - always easy to name a window with F8

  [ Dustin Kirkland and Ryan Thompson ]
  * usr/bin/byobu-reconnect-sockets, usr/bin/byobu-select-session: LP: #908944
    - improve support for importing X11 environment variables

 -- Dustin Kirkland <kirkland@ubuntu.com>  Sun, 15 Jan 2012 13:54:14 -0600

byobu (5.2-0ubuntu1) precise; urgency=low

  [ Dustin Kirkland ]
  * icons/byobu_multi.svg, === removed directory icons,
    - save some space in the tarball
  * usr/lib/byobu/logo:
    - add a linux mint logo
  * usr/lib/byobu/include/layout => usr/bin/byobu-layout,
    usr/share/byobu/keybindings/f-keys.tmux, usr/share/man/man1/byobu-
    layout.1:
    - move the layout library utility to a generally usable byobu-layout
      in the system path
    - add specific named layout support to both save and restore operations
    - add a manpage
  * usr/bin/Makefile.am, usr/lib/byobu/include/Makefile.am,
    usr/share/man/man1/Makefile.am:
    - install the byobu-layout tool and manpage
  * usr/lib/byobu/ec2_cost, usr/lib/byobu/network:
    - use /proc/net/dev for network transfer calculations
    - fixes issue with ifconfig format changes
  * usr/share/byobu/keybindings/f-keys.tmux,
    usr/share/byobu/keybindings/f-keys.tmux.disable,
    usr/share/doc/byobu/help.tmux.txt: LP: #912637
    - change prev/next window keybinding from alt-left/right to
      ctrl-shift-left/right;  seems alt-left-right are used by irssi
  * README: LP: #911825
    - add note about tmux version required
  * usr/lib/byobu/include/common: LP: #911149
    - when backend is not automatically set, check if screen or tmux
      is installed on the system before setting the default backend
  * debian/control: LP: #910187
    - depend on tmux | screen, recommend tmux and screen
    - hopefully this solves dependency resolution on hardy
  * usr/bin/byobu, usr/share/byobu/profiles/tmux: LP: #908766
    - use screen-bce instead of screen-256color, to support background
      colors correctly
  * usr/bin/byobu-config: LP: #910638
    - ensure that config dir exists before touching reload flag

  [ Daniel Hahler ]
  * usr/bin/byobu-ctrl-a, usr/share/byobu/profiles/tmux: LP: #910779
    - don't use BYOBU_PREFIX for tmux paths

 -- Dustin Kirkland <kirkland@ubuntu.com>  Sun, 08 Jan 2012 20:28:02 -0600

byobu (5.1-0ubuntu1) precise; urgency=low

  * usr/bin/byobu-select-backend:
    - switch the order of the listed backends
  * debian/control: LP: #909221
    - depend on tmux, recommend screen
  * usr/lib/byobu/cpu_freq, usr/lib/byobu/include/shutil: LP: #909325
    - use a leading zero on fpdiv operations, for consistency with
      awk-based math

 -- Dustin Kirkland <kirkland@ubuntu.com>  Thu, 29 Dec 2011 12:28:49 -0600

byobu (5.0-0ubuntu1) precise; urgency=low

  * etc/byobu/backend, usr/bin/byobu, usr/bin/byobu-config,
    usr/bin/byobu-select-session, usr/lib/byobu/include/common:
    - bump up to the 5.x series
    - change default backend from screen to tmux
  * usr/share/byobu/keybindings/f-keys.tmux,
    usr/share/byobu/keybindings/f-keys.tmux.disable,
    usr/share/doc/byobu/help.tmux.txt:
    - put all of the status line functions under *-F5
    - put all of the split arrangement functions under *-F8
  * usr/lib/byobu/include/cycle-status,
    usr/lib/byobu/include/Makefile.am, usr/share/byobu/keybindings/f-
    keys.tmux, usr/share/byobu/status/status: LP: #887140
    - support multiple toggle-able status lines
    - define one or more tmux_right lines in ~/.byobu/status
    - press Shift-F5 to toggle through

 -- Dustin Kirkland <kirkland@ubuntu.com>  Sat, 24 Dec 2011 17:35:00 -0600

byobu (4.55-0ubuntu1) precise; urgency=low

  [ Dustin Kirkland ]
  * usr/lib/byobu/entropy, usr/lib/byobu/include/shutil,
    usr/lib/byobu/Makefile.am, usr/share/byobu/status/status,
    usr/share/man/man1/byobu.1:
    - add a system entropy status item
    - must use cat, can't use read in dash here
    - use yellow on grey
  * usr/bin/byobu-janitor: LP: #867746
    - revert previous change, don't automatically set monochrome mode
      until we have a better way of detecting it
  * usr/lib/byobu/menu: LP: #881993
    - fix escape key determination
  * usr/bin/byobu-janitor: LP: #899271
    - clean up some old upgrade cruft
    - sed -i -e changes symlinks to local files, avoid this with readlink

  [ Will Ellwood ]
  * usr/lib/byobu/disk: LP: #904824
    - fix escaping issue

 -- Dustin Kirkland <kirkland@ubuntu.com>  Sun, 18 Dec 2011 21:34:54 -0600

byobu (4.54-0ubuntu1) precise; urgency=low

  * usr/lib/byobu/include/layout, usr/lib/byobu/include/Makefile.am,
    usr/share/byobu/keybindings/f-keys.tmux,
    usr/share/byobu/keybindings/f-keys.tmux.disable,
    usr/share/doc/byobu/help.tmux.txt: LP: #902416
    - new feature to save layouts using ctrl-shift-F8, and restore layouts
      using shift-F8
  * usr/bin/Makefile.am: LP: #901904
    - ensure re-installation works

 -- Dustin Kirkland <kirkland@ubuntu.com>  Fri, 09 Dec 2011 20:37:56 -0600

byobu (4.53-0ubuntu1) precise; urgency=low

  [ Dustin Kirkland ]
  * usr/share/byobu/profiles/common: LP: #900812
    - start screen with at least a 1 second message wait
  * usr/bin/byobu, usr/bin/byobu-ctrl-a, usr/bin/byobu-disable,
    usr/bin/byobu-enable, usr/bin/byobu-export, usr/bin/byobu-janitor,
    usr/bin/byobu-launch, usr/bin/byobu-launcher, usr/bin/byobu-
    launcher-install, usr/bin/byobu-launcher-uninstall, usr/bin/byobu-
    quiet, usr/bin/byobu-reconnect-sockets, usr/bin/byobu-select-
    backend, usr/bin/byobu-select-profile, usr/bin/byobu-shell,
    usr/bin/byobu-silent, usr/bin/byobu-status, usr/bin/byobu-status-
    detail, usr/bin/byobu-ugraph, usr/bin/byobu-ulevel,
    usr/lib/byobu/include/dirs, usr/share/byobu/profiles/byoburc:
    - big changeset to solve a few bugs, LP: #897473, #861291, #897048
    - take over ~/.byoburc, and use it for storing global byobu shell
      configuration, namely BYOBU_PREFIX when necessary
      + note that some users might have previously used ~/.byoburc to
        store byobu-only screen configuration
      + these users should now use ~/.byobu/.screenrc instead (also
        because byobu now supports both screen and tmux)
    - on first run, if byobu is running outside of its normal location
      in /usr/bin/byobu, it will automatically detect and append the
      correct BYOBU_PREFIX value and store it in ~/.byoburc
    - ~/.byoburc is now read by all usr/bin/* in order to find the
      correct prefix
  * usr/lib/byobu/include/dirs: LP: #780081
    - use ~/.local/share/byobu as BYOBU_CONFIG_DIR, if it happens to exist
  * usr/lib/byobu/include/dirs: LP: #899271
    - allow explicit BYOBU_CONFIG_DIR selection in ~/.byoburc
  * usr/lib/byobu/users, usr/share/byobu/status/statusrc,
    usr/share/man/man1/byobu.1: LP: #900663
    - add support for a USERS_DISTINCT=1 status configuration setting
      to count the number of distinct users, rather than open ssh sessions

  [ Andrew McCarthy ]
  * usr/bin/byobu-status: LP: #898801
    - fix status detailing, skip include, as it's a directory

 -- Dustin Kirkland <kirkland@ubuntu.com>  Thu, 08 Dec 2011 12:15:15 -0600

byobu (4.52-0ubuntu1) precise; urgency=low

  * debian/control:
    - demote run-one to a suggests, until such time as its MIR is approved

 -- Dustin Kirkland <kirkland@ubuntu.com>  Mon, 05 Dec 2011 08:59:05 -0600

byobu (4.51-0ubuntu1) precise; urgency=low

  * usr/bin/byobu-janitor: LP: #894430
    - whitelist archlinux for status colors
    - if tmux exists, then don't bother with color disabling
  * usr/lib/byobu/include/mondrian: LP: #894432
    - drop dependency on 'rand' command
  * usr/lib/byobu/include/mondrian, usr/share/byobu/keybindings/f-
    keys.tmux: LP: #894432
    - fix two old references to /usr/bin/byobu-mondrian
  * usr/bin/byobu-select-session, usr/share/byobu/keybindings/f-
    keys.tmux, usr/share/byobu/profiles/tmux: LP: #894440
    - fix a few hardcoded references to /usr -> $BYOBU_PREFIX

 -- Dustin Kirkland <kirkland@ubuntu.com>  Sat, 26 Nov 2011 17:50:22 -0600

byobu (4.50-0ubuntu1) precise; urgency=low

  * usr/bin/byobu-mondrian:
    - clean up code, fix idempotence
  * usr/bin/byobu-mondrian => usr/lib/byobu/include/modrian,
    usr/lib/byobu/include/Makefile.am, usr/share/byobu/keybindings/f-
    keys.tmux, usr/share/byobu/keybindings/f-keys.tmux.disable,
    usr/share/doc/byobu/help.tmux.txt:
    - install mondrian
  * usr/share/byobu/profiles/tmux:
    - fix action bar color
  * usr/lib/byobu/include/mondrian:
  * usr/lib/byobu/ec2_cost, usr/lib/byobu/hostname,
    usr/lib/byobu/include/shutil, usr/lib/byobu/ip_address: LP: #894038
    - background all wgets, as these can be expensive (cough OpenStack cough)
    - sleep for 0.02 seconds after each wget, as most EC2 wgets take less
      than 0.01 seconds, but some might take longer
    - after backgrounded wget and sleep, attempt to read the results of the
      wget from a cache file;  if this succeeds, proceed and use it
    - if not, fail through gracefully, and pick up the results from the
      cach file on the next run
  * usr/share/byobu/keybindings/f-keys.tmux,
    usr/share/byobu/keybindings/f-keys.tmux.disable,
    usr/share/man/man1/byobu.1: LP: #888248
    - add Alt-Insert in tmux for "paste"
    - document scrollback/copy/paste procedures
  * usr/bin/byobu-janitor: LP: #867746
    - create a whitelist of distros carrying the LP: #315871 fix
    - default to monochrome for other distros on initial profile creation

 -- Dustin Kirkland <kirkland@ubuntu.com>  Wed, 23 Nov 2011 13:41:26 -0600

byobu (4.49-0ubuntu1) precise; urgency=low

  * usr/bin/byobu-select-session:
    - fix 256-color tmux reattaches

 -- Dustin Kirkland <kirkland@ubuntu.com>  Fri, 18 Nov 2011 15:41:32 -0600

byobu (4.48-0ubuntu1) precise; urgency=low

  * debian/control, usr/lib/byobu/updates_available: LP: #878547
    - recommend run-one, MIR pending
    - use run-this-one to ensure that more than one apt-check doesn't
      get run simultaneously
  * usr/bin/byobu-status, usr/lib/byobu/include/constants,
    usr/lib/byobu/include/shutil, usr/share/byobu/profiles/tmux,
    usr/share/byobu/profiles/tmuxrc:
    - add background/foreground/accent/highlight configurability
      for tmux profiles
  * usr/share/byobu/keybindings/f-keys.tmux,
    usr/share/byobu/keybindings/f-keys.tmux.disable,
    usr/share/doc/byobu/help.tmux.txt:
    - add a keybinding, Ctrl-Shift-F3/F4, to move a window right
      or left in the list
  * usr/lib/byobu/ip_address:
    - remove some first-launch noise, when ip address is not yet available
  * debian/control:
    - we really need tmux 1.5 to take advantage of its features
    - N.B.: I have pushed backports of tmux 1.5-1 to ppa:byobu/ppa
  * usr/share/byobu/status/statusrc:
    - fix reference to non-existent variable, MONITORED_INTERFACE; should be
      MONITORED_NETWORK
  * usr/bin/byobu-select-profile, usr/share/byobu/keybindings/f-
    keys.tmux, usr/share/byobu/keybindings/f-keys.tmux.disable,
    usr/share/doc/byobu/help.tmux.txt: LP: #817686
    - add a couple of (tmux-only) modes to byobu-select-profile, which can
      automatically change the background color of the status bar, based
      on the systems hostname, ip address, or just at random
    - map this to Ctrl-F8

 -- Dustin Kirkland <kirkland@ubuntu.com>  Mon, 14 Nov 2011 17:42:59 -0600

byobu (4.47-0ubuntu1) precise; urgency=low

  * etc/profile.d/Z97-byobu.sh:
    - remove unnecessary 'true'
  * usr/share/byobu/ec2/Makefile.am, usr/share/byobu/ec2/rates.ap-
    northeast-1, usr/share/byobu/ec2/rates.ap-southeast-1,
    usr/share/byobu/ec2/rates.eu-west-1, usr/share/byobu/ec2/rates.us-
    east-1, usr/share/byobu/ec2/rates.us-west-1,
    usr/share/byobu/ec2/rates.us-west-2: LP: #888196
    - added new us-west-2 (Oregon) pricing region
  * close LP: #888106, fixed in last release
  * usr/share/byobu/profiles/tmux, usr/share/doc/byobu/help.tmux.txt,
    usr/share/doc/byobu/Makefile.am:
    - add a tmux keybinding help screen, bind to Shift-F1
  * usr/share/byobu/profiles/tmux, usr/share/doc/byobu/help.tmux.txt:
    - add a keybinding Ctrl-Shift-F2 to create a new session
  * usr/share/byobu/profiles/tmux:
    - rearrange to match help text;  would be good to keep these
      coordinated
  * usr/share/byobu/profiles/tmux, usr/share/doc/byobu/help.tmux.txt:
    - Alt-F11 breaks split into new window
    - Shift-F11 puts window into a horizontal split in previous window
    - Ctrl-F11 puts window into a vertical split in previous window
  * usr/share/doc/byobu/help.tmux.txt:
    - fix typo
  * usr/share/byobu/keybindings/f-keys.tmux,
    usr/share/byobu/keybindings/f-keys.tmux.disable,
    usr/share/byobu/keybindings/Makefile.am,
    usr/share/byobu/profiles/tmux, usr/share/doc/byobu/help.tmux.txt:
    - LP: #888247
    - Add Shift-F12 to toggle keybindings on/off
    - Split tmux keybindings to separate file to source
  * usr/bin/byobu-status-detail, usr/lib/byobu/.constants,
    usr/share/byobu/keybindings/f-keys.tmux:
    - set a BYOBU_PAGER environment variable
    - use BYOBU_PAGER in places we need a pager
  * === added directory usr/lib/byobu/include, experimental/byobu-
    classroom, usr/bin/byobu, usr/bin/byobu-ctrl-a, usr/bin/byobu-
    disable, usr/bin/byobu-enable, usr/bin/byobu-export, usr/bin/byobu-
    janitor, usr/bin/byobu-launch, usr/bin/byobu-launcher,
    usr/bin/byobu-launcher-install, usr/bin/byobu-launcher-uninstall,
    usr/bin/byobu-quiet, usr/bin/byobu-reconnect-sockets, usr/bin/byobu-
    select-backend, usr/bin/byobu-select-profile, usr/bin/byobu-shell,
    usr/bin/byobu-silent, usr/bin/byobu-status, usr/bin/byobu-status-
    detail, usr/bin/byobu-ugraph, usr/bin/byobu-ulevel,
    usr/lib/byobu/.common => usr/lib/byobu/include/common (properties
    changed: -x to +x), usr/lib/byobu/.constants =>
    usr/lib/byobu/include/constants, usr/lib/byobu/.dirs =>
    usr/lib/byobu/include/dirs, usr/lib/byobu/Makefile.am,
    usr/lib/byobu/notify_osd, usr/lib/byobu/.notify_osd =>
    usr/lib/byobu/include/notify_osd, usr/lib/byobu/.shutil =>
    usr/lib/byobu/include/shutil, configure.ac, Makefile.am,
    usr/lib/byobu/include/Makefile.am:
    - LP: #833768
    - move dotfiles out of usr/lib/byobu and into usr/lib/byobu/include
    - this was triggering some chrootkit warnings
  * usr/share/doc/byobu/help.tmux.txt:
    - reorder some documentation
  * usr/bin/byobu-launcher-install:
    - close LP: #854764, which was recently fixed
  * usr/bin/byobu-config: LP: #888247
    - deprecate the keybinding set selection from the config menu
    - no additional keybindg sets ever showed up, so this option
      is not worth having
    - deprecate background/foreground color selection; once, this was a
      primary feature of byobu :-)  It's not really any more;  it's
      trivial to change these in ~/.byobu/color now
    - deprecate window management from byobu-config; hard to get this
      right for both screen and tmux;  and I don't perceive that this
      is any longer one of byobu's main features (?)
    - standardize title formatting
    - clean up some whitespace and text
  * usr/bin/byobu-config, usr/share/doc/byobu/help.tmux.txt,
    usr/share/doc/byobu/help.txt => usr/share/doc/byobu/help.screen.txt,
    usr/share/doc/byobu/Makefile.am:
    - show tmux help in tmux, screen help in screen
  * experimental/byobu-classroom, usr/bin/byobu-ctrl-a, usr/bin/byobu-
    enable, usr/bin/byobu-select-backend, usr/bin/byobu-select-profile,
    usr/bin/byobu-ulevel, usr/lib/byobu/custom, usr/lib/byobu/disk,
    usr/share/byobu/tests/byobu-time-notifications: LP: #882814
    - use printf instead of "echo -n" for portability to Mac OSX
  * experimental/byobu-classroom: LP: #882813
    - fix minor use $SED
  * usr/bin/byobu-ctrl-a, usr/bin/byobu-janitor: LP: #882435
    - use BYOBU_PREFIX in a couple of places to allow better portability

 -- Dustin Kirkland <kirkland@ubuntu.com>  Wed, 09 Nov 2011 17:54:07 -0600

byobu (4.46-0ubuntu1) precise; urgency=low

  * debian/control: LP: #887344
    - promote tmux to a 'recommends';  will 'depend' on it soon
  * === added directory etc/profile.d, etc/byobu/Makefile.am,
    etc/profile.d/Makefile.am, etc/profile.d/Z97-byobu.sh, Makefile.am:
    - LP: #586546, #888106
    - Enable any user to remotely opt into launching byobu by default,
      using an LC_BYOBU=1 environment variable, which is transmitted over
      SSH
  * configure.ac, debian/install, etc/byobu/Makefile.am,
    etc/profile.d/Makefile.am:
    - fix installations to /etc
  * usr/bin/byobu, usr/bin/byobu-reconnect-sockets,
    usr/share/byobu/profiles/tmux: LP: #883637
    - fix reconnection to SESSION_MANAGER and DBUS_SESSION_BUS_ADDRESS
    - add C-F5 key to tmux profile
  * usr/bin/byobu-ctrl-a, usr/share/byobu/profiles/tmux: LP: #887387
    - support F12 as escape key in tmux mode
    - reorder byobu-ctrl-a to offer screen first, then emacs mode
    - make byobu-ctrl-a slighty more compatible with tmux (not quite
      there yet...)
  * usr/bin/byobu: LP: #713879
    - add ulimit checks to byobu -v
  * usr/lib/byobu/.constants:
    - don't use UTF8 C an F for now
  * usr/lib/byobu/network: LP: #880410
    - localize some variables, fix variable colision with cpu_temp
  * debian/control:
    - bump standards version
  * debian/install, debian/rules, etc/byobu/Makefile.am,
    etc/profile.d/Makefile.am:
    - fighting with autoconf to get shtuff installing in /etc, argh

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 08 Nov 2011 19:16:13 -0600

byobu (4.45-0ubuntu1) precise; urgency=low

  * usr/share/byobu/profiles/tmux:
    - shift-F11 -> breaks pane out to its own window
  * usr/lib/byobu/.constants:
    - comment out utf8 characters that don't look very good
  * usr/bin/byobu-select-backend, usr/bin/Makefile.am,
    usr/share/man/man1/byobu-select-backend.1,
    usr/share/man/man1/Makefile.am:
    - add a utility to select default byobu backend (screen or tmux)
  * usr/share/man/man1/byobu.1, usr/share/man/man1/byobu-select-
    backend.1:
    - document backend selection

 -- Dustin Kirkland <kirkland@ubuntu.com>  Mon, 31 Oct 2011 09:46:41 -0400

byobu (4.44-0ubuntu1) precise; urgency=low

  [ Dustin Kirkland ]
  * usr/lib/byobu/battery:
    - protect against division by zero

  [ Daniel Hahler ]
  * usr/lib/byobu/battery, usr/lib/byobu/.shutil,
    usr/share/byobu/profiles/tmux, usr/share/byobu/status/statusrc:
    - various fixes and documentation enhancements

 -- Dustin Kirkland <kirkland@ubuntu.com>  Wed, 26 Oct 2011 10:04:58 -0500

byobu (4.43-0ubuntu1) precise; urgency=low

  [ Dustin Kirkland ]
  * usr/bin/byobu, usr/lib/byobu/ip_address, usr/share/man/man1/byobu.1:
    - support IP_EXTERNAL fetching, LP: #873736
    - put ip address in the terminal title bar, since we ran out of room
      for it in tmux
  * usr/bin/byobu-select-session: LP: #869390
    - fix select session to obey BYOBU_BACKEND
  * configure.ac, usr/bin/Makefile.am: LP: #869377
    - provide byobu-tmux and byobu-screen symlinks
  * configure.ac, README: LP: #861291
    - configure should not change files under vcs control
    - compiling users need to ensure that BYOBU_PREFIX is set in
      their environment
  * usr/bin/byobu-launcher-install, usr/bin/byobu-launcher-uninstall:
    - LP: #861534
    - ensure launcher command removed from each file before installing
  * usr/lib/byobu/.dirs:
    - use /dev/shm for cache, LP: #872551, #869279
    - search and use a shared dir when possible
  * usr/lib/byobu/battery: LP: #851100
    - rework the battery logic to use /sys instead of /proc
  * usr/share/man/man1/byobu.1: LP: #713879
    - note too many files open ulimit error in documentation

  [ Daniel Hahler ]
  * usr/bin/byobu, usr/bin/byobu-launcher-install, usr/bin/byobu-
    launcher-uninstall: Use BYOBU_PREFIX explicitly, LP: #861302
  * debian/rules, README: LP: #854868
    - refactor autoconf into debian/rules

  [Scott Moser]
  * usr/lib/byobu/.shutil: fix rounding error in fpdiv, LP: #869282

 -- Dustin Kirkland <kirkland@ubuntu.com>  Sat, 22 Oct 2011 03:21:43 -0500

byobu (4.42-0ubuntu1) precise; urgency=low

  [ Dustin Kirkland ]
  * usr/lib/byobu/.constants, usr/lib/byobu/reboot_required:
    - fix arrows to work better with ubuntu mono font
    - add reboot symbol
  * usr/bin/byobu-launch:
    - enhance shell history syncronization across shells
  * usr/lib/byobu/.constants, usr/lib/byobu/updates_available:
    - use unicode double-bang for security updates where possible
  * usr/lib/byobu/.constants, usr/lib/byobu/cpu_freq,
    usr/lib/byobu/disk, usr/lib/byobu/memory, usr/lib/byobu/swap,
    usr/lib/byobu/wifi_quality:
    - add unicode characters for KB/MB/GB/GHz
  * usr/lib/byobu/wifi_quality:
    - drop comma, save a char
  * usr/lib/byobu/.constants, usr/lib/byobu/network:
    - save a few more chars, drop the "ps" per second

  [Scott Moser]
  * usr/lib/byobu/.shutil: fix rounding error in fpdiv

 -- Dustin Kirkland <kirkland@ubuntu.com>  Fri, 21 Oct 2011 13:43:53 -0500

byobu (4.41-0ubuntu1) precise; urgency=low

  * usr/share/byobu/profiles/tmux:
    - shift-[left,right,up,down] move between panes
    - ctrl-[left,right,up,down] resize panes
    - alt-[left,right] move between windows
    - alt-[up,down] move between sessions

 -- Dustin Kirkland <kirkland@ubuntu.com>  Fri, 14 Oct 2011 14:53:48 -0500

byobu (4.40-0ubuntu1) precise; urgency=low

  * usr/bin/byobu-janitor, usr/share/byobu/profiles/tmux:
    - use screen keys by default (should probably make this configurable)
    - allow local overrides in local tmux.conf
  * usr/lib/byobu/battery, usr/lib/byobu/cpu_freq, usr/lib/byobu/disk,
    usr/lib/byobu/memory, usr/share/man/man1/byobu.1:
    - save a few characters on the status line
  * usr/bin/byobu:
    - support detection of tmux sessions
  * usr/bin/byobu-select-session: LP: #869390
    - fix select session to obey BYOBU_BACKEND

 -- Dustin Kirkland <kirkland@ubuntu.com>  Mon, 10 Oct 2011 09:01:45 -0500

byobu (4.39-0ubuntu1) oneiric; urgency=low

  * usr/lib/byobu/logo:
    - use the new Ubuntu unicode logo where possible

 -- Dustin Kirkland <kirkland@ubuntu.com>  Wed, 05 Oct 2011 18:05:28 -0400

byobu (4.38-0ubuntu1) oneiric; urgency=low

  * usr/share/byobu/profiles/tmux:
    - add window resizing keybindings
    - get scrollback alt-pageup working \o/
    - set history limit to match byobu/screen
    - display pane numbers for 150ms when moving between panes
    - set the pane listing colors
    - set the inactive pane to light grey/white
    - set the clock color
    - get next/prev split working with c-f3/c-f4 and s-f3/s-f4
    - default mode keys to vi (to match screen/byobu)
    - explicitly set a couple of colors, highlight active pane a bit
    - fix broken 256-color detection, use it by default, allow override
    - swap panes around slightly more sensibly
    - shift-f6 detach but don't logout
    - shift-f5 rotate through preset layouts
    - ctrl-f6 kill a pane
    - use magenta/magenta for focused pane
    - s-up -> prev pane; s-down -> next pane
  * usr/lib/byobu/distro, usr/lib/byobu/Makefile.am,
    usr/lib/byobu/release, usr/lib/byobu/.shutil,
    usr/share/byobu/status/status, usr/share/man/man1/byobu.1:
    - split the OS distribution name and version to two separate status
      items;  enable the version (but not the name) in the compact tmux
      status line
  * usr/lib/byobu/raid:
    - fix raid rebuild percentage formatting
  * usr/share/byobu/profiles/tmux:
  * usr/bin/byobu:
  * usr/share/byobu/profiles/tmux:
  * usr/share/byobu/profiles/tmux:
  * usr/share/byobu/profiles/tmux:
  * usr/share/byobu/profiles/tmux:

 -- Dustin Kirkland <kirkland@ubuntu.com>  Wed, 05 Oct 2011 17:42:57 -0400

byobu (4.37-0ubuntu1) oneiric; urgency=low

  * usr/lib/byobu/ec2_cost: LP: #862655
    - fix ec2 cost estimator on OpenStack instances by falling back to
      the approximation calculator

 -- Dustin Kirkland <kirkland@ubuntu.com>  Thu, 29 Sep 2011 14:46:56 -0400

byobu (4.36-0ubuntu1) oneiric; urgency=low

  * usr/bin/byobu-select-profile: LP: #860574
    - fix color selection;  profile is no longer a symlink
  * usr/bin/byobu-launch: LP: #860634
    - disable auto launch of byobu, when a serial console is detected

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 27 Sep 2011 10:59:02 -0400

byobu (4.35-0ubuntu1) oneiric; urgency=low

  * usr/bin/byobu-janitor, usr/share/byobu/status/status: LP: #856467
    - cleaner fix for ensuring ec2_cost is enabled in ec2 instances;
      previous fix just enabled it everywhere
  * debian/postinst, usr/bin/byobu-janitor, usr/bin/byobu-status:
    - smooth upgrades from older byobu (<= 4.0)
  * usr/lib/byobu/reboot_required:
    - fix path
  * usr/bin/byobu-launch, usr/bin/byobu-launcher-install:
    - clean up the variable name used to prevent double sourcing of profile

 -- Dustin Kirkland <kirkland@ubuntu.com>  Fri, 23 Sep 2011 11:09:03 -0500

byobu (4.34-0ubuntu1) oneiric; urgency=low

  [ Theodore Campbell ]
  * usr/lib/byobu/.constants: LP: #846576
    - silence errors

  [ Dustin Kirkland ]
  * usr/lib/byobu/.shutil: LP: #854262
    - fix regressed monochrome support
  * usr/bin/byobu-janitor, usr/share/byobu/status/status:
    - proper fix for ec2 by default in cloud instances
  * usr/bin/byobu-select-session: LP: #855795
    - fix broken select-session support; screen -ls exits 1
  * usr/share/byobu/keybindings/f-keys: LP: #839783
    - Disable screen messages while entering and scrolling around in
      copy/scrollback mode, but re-enable them afterward; print a
      message about Byobu scrollback mode to "eat" the unnecessary
      and misleading screen messages when using alt-pgup and alt-pgdown
  * usr/bin/byobu-launch, usr/bin/byobu-launcher-install: LP: #855002
    - ensure that .profile is not sourced more than once
    - ensure that disabled auto launch is respected, too, and does not
      double-source profile
    - handle both system-wide autolaunch, and per-user autolaunch
  * README: LP: #854868
    - document automake steps

 -- Dustin Kirkland <kirkland@ubuntu.com>  Wed, 21 Sep 2011 18:48:57 -0500

byobu (4.33-0ubuntu1) oneiric; urgency=low

  * usr/lib/byobu/updates_available:
    - localize variables
    - save a fork
    - fix detection of updates, which only worked when there were security
      updates
  * usr/lib/byobu/.shutil: LP: #844994
    - the wget --timeout=1 was not working as desired, without the --tries=1
      option too; so local boots of ubuntu ec2 images that don't have a
      working metadata service might take several minutes for byobu to start
      while that wget tries repeatedly to reach the metadata service;
      big thanks to Ben Howard for helping triage and fix ;-)
  * usr/lib/byobu/apport: LP: #842113
    - fix broken detection of apport bug reports, thanks to lp:~masterpatricko
      for the suggested fix
  * etc/byobu/backend, usr/bin/byobu, usr/lib/byobu/.common,
    usr/lib/byobu/.dirs, usr/share/byobu/status/status,
    usr/share/man/man1/byobu.1: LP: #836090
    - fix handling of byobu backend (screen|tmux) handling; thanks to
      lp:~zorun-42 for the fix
  * usr/lib/byobu/swap: LP: #843446
    - make swap status behave like disk and memory (display usage even if
      zero)

 -- Dustin Kirkland <kirkland@ubuntu.com>  Thu, 08 Sep 2011 14:26:38 -0700

byobu (4.32-0ubuntu1) oneiric; urgency=low

  * usr/bin/byobu-launcher: LP: #835130
    - silence message that some users found noisy
  * usr/bin/byobu, usr/bin/byobu-launch, usr/bin/byobu-launcher,
    usr/share/man/man1/byobu.1: LP: #835152
    - fix a suite of support issues around launching byobu under sudo,
      where files/dirs would be created under the $SUDO_USER's $HOME,
      but would be owned by root
  * usr/lib/byobu/.dirs: LP: #833780
    - save a fork

 -- Dustin Kirkland <kirkland@ubuntu.com>  Fri, 26 Aug 2011 19:07:29 -0500

byobu (4.31-0ubuntu1) oneiric; urgency=low

  * usr/bin/byobu, usr/lib/byobu/.shutil:
    - fix bold color printing
  * usr/bin/byobu-janitor, usr/share/byobu/profiles/common:
    - deprecate backticks file, no longer needed
  * usr/lib/byobu/.dirs: LP: #833780
    - fix breakage when $TMUX is undefined

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 23 Aug 2011 23:23:46 -0500

byobu (4.30-0ubuntu1) oneiric; urgency=low

  * This release fixes two large bugs: LP: #827093, #823581
  * usr/share/byobu/profiles/tmux:
    - go bold on window activity
    - clean up and make window colorings more consistent
  * usr/bin/byobu-status:
    - speed up disabled status runs
  * usr/bin/byobu-statusd, usr/bin/byobu-status-print, usr/bin/byobu-
    status-tmux, usr/bin/Makefile.am, usr/lib/byobu/battery,
    usr/lib/byobu/.constants, usr/lib/byobu/disk,
    usr/lib/byobu/mem_used, usr/lib/byobu/raid, usr/lib/byobu/.shutil,
    usr/lib/byobu/swap, usr/lib/byobu/wifi_quality,
    usr/share/byobu/profiles/tmux:
    - support tmux status, using a cached print mechanism and a list of
      left and right status items
    - drop the failed byobu-statusd experiment and its byobu-status-print
      helper
    - add a PCT constant, required to support both screen and tmux
    - fix a bug/typo in shutil (should be /proc/uptime)
  * usr/bin/byobu-status-tmux, usr/lib/byobu/.constants,
    usr/share/byobu/profiles/common, usr/share/byobu/profiles/tmux,
    usr/share/byobu/status/1, usr/share/byobu/status/2,
    usr/share/byobu/status/3, usr/share/byobu/status/4,
    usr/share/byobu/status/Makefile.am, usr/share/byobu/status/status:
    - separate status cache between screen and tmux (different formatting)
    - make byobu-status-tmux support screen
    - PCT="%%" for both
    - update backticks and caption/hardstatus
    - fix default status
  * usr/share/byobu/profiles/common, usr/share/byobu/profiles/tmux:
    - drop backticks and double printing of date/time in tmux
  * usr/bin/byobu-status, usr/bin/byobu-status-tmux => usr/bin/byobu-
    status, usr/bin/Makefile.am, usr/share/byobu/profiles/common,
    usr/share/byobu/profiles/tmux, usr/share/man/man1/byobu-status.1:
    - transition to the new, faster, less-resource intensive status
      gathering method
  * usr/bin/byobu-config:
    - migrate to toggling on/off the list of status items
    - fix initial seeding of status config
  * experimental/byobu-aggregate-status, usr/bin/byobu-status,
    usr/lib/byobu/logo, usr/lib/byobu/Makefile.am,
    usr/lib/byobu/mem_available => usr/lib/byobu/memory,
    usr/lib/byobu/mem_used, usr/lib/byobu/.shutil,
    usr/share/byobu/status/status, usr/share/man/man1/byobu.1:
    - drop experimental code, no longer necessary
    - test non-zero cache file
    - combine mem_* to memory
    - decrease raid status frequency
    - add trailing space to logo
  * usr/lib/byobu/network:
    - make network calculations drastically cheaper, by using status_freq
      rather than a file stat
  * usr/share/byobu/profiles/tmux:
    - ensure that byobu-janitor runs on reload
  * usr/lib/byobu/custom, usr/lib/byobu/disk_io, usr/lib/byobu/ec2_cost,
    usr/lib/byobu/network, usr/lib/byobu/reboot_required,
    usr/lib/byobu/updates_available:
    - must separate run dirs for tmux/screen run status scripts;
      otherwise, calculated rates are off
  * usr/lib/byobu/.constants:
    - fix wireless utf8 icon bug, default to utf8 for tmux
  * usr/lib/byobu/.shutil:
    - fix tmux color rendering
    - fix underscore, italics, hidden
  * usr/lib/byobu/.dirs:
    - ensure that the cache dir gets created
  * usr/bin/byobu, usr/lib/byobu/.shutil, usr/share/byobu/profiles/tmux:
    - get 256 colors working in tmux
  * usr/lib/byobu/reboot_required, usr/share/man/man1/byobu.1:
    - add .zZ symbol for powernap state, per feedback at LinuxConNA in
      Vancouver
    - fix flag path; simplify coloring
  * usr/lib/byobu/reboot_required:
  * usr/bin/byobu-select-session:
    - add session selection support for tmux
  * usr/bin/byobu, usr/bin/byobu-janitor, usr/lib/byobu/.shutil:
    - flatten bold/dim/bright modifiers when in 8-color mode
  * usr/lib/byobu/ip_address, usr/lib/byobu/.shutil,
    usr/share/byobu/profiles/common, usr/bin/byobu:
    - fix bold printing
  * usr/bin/byobu-select-session:
    - check exist status of session listing
  * usr/lib/byobu/.dirs:
    - fix stray directory creation
  * usr/lib/byobu/.dirs:
    - fall back to the tmux tmpdir

 -- Dustin Kirkland <kirkland@ubuntu.com>  Sun, 21 Aug 2011 21:12:39 -0700

byobu (4.29-0ubuntu1) oneiric; urgency=low

  * usr/bin/byobu:
    - clean up the backend determination a little
  * usr/share/man/man1/Makefile.am:
    - install some missing manpages
  * usr/share/byobu/profiles/common:
    - check raid once per minute
  * usr/share/byobu/profiles/common:
    - back and forth, back and forth on this color issue;
      the previous version looked terrible (too bold) on stock
      Ubuntu/gnome-terminal
  * usr/bin/byobu-janitor, usr/share/byobu/profiles/common: LP: #823581
    - when a status item is disabled, remove the backtick command entirely
      from the current screen configuration;  this *drastically* reduces
      the number of no-op byobu-status calls (60+ per minute, per session)

 -- Dustin Kirkland <kirkland@ubuntu.com>  Thu, 11 Aug 2011 10:31:27 -0500

byobu (4.28-0ubuntu1) oneiric; urgency=low

  * usr/share/byobu/profiles/tmux:
    - purple for pane borders
  * usr/share/man/man1/byobu-screen.1, usr/share/man/man1/byobu-tmux.1,
    usr/share/man/man1/Makefile.am:
    - add manpages

 -- Dustin Kirkland <kirkland@ubuntu.com>  Wed, 10 Aug 2011 18:24:24 -0500

byobu (4.27-0ubuntu1) oneiric; urgency=low

  * usr/share/byobu/profiles/tmux:
    - get motion between panes working, kill all, and profile reload
      (profile reload needs some work)
  * debian/rules, usr/bin/byobu:
    - add byobu-tmux and byobu-screen symlinks

 -- Dustin Kirkland <kirkland@ubuntu.com>  Wed, 10 Aug 2011 17:59:44 -0500

byobu (4.26-0ubuntu1) oneiric; urgency=low

  * usr/bin/byobu:
    - test that there is something in the windows files
  * usr/bin/byobu, usr/bin/byobu-janitor,
    usr/share/byobu/profiles/Makefile.am, usr/share/byobu/profiles/tmux,
    usr/share/byobu/profiles/tmuxrc:
    - initial support for launching tmux
  * usr/bin/byobu-janitor:
    - get the status/statusrc seeding working again, and ec2_cost enabled
      on ec2 systems by default again

 -- Dustin Kirkland <kirkland@ubuntu.com>  Wed, 10 Aug 2011 16:52:34 -0500

byobu (4.25-0ubuntu1) oneiric; urgency=low

  * usr/lib/byobu/fan_speed, usr/share/byobu/status/statusrc,
    usr/share/man/man1/byobu.1:
    - fix fan speed detection for a few models

 -- Dustin Kirkland <kirkland@ubuntu.com>  Thu, 04 Aug 2011 17:57:10 -0500

byobu (4.24-0ubuntu1) oneiric; urgency=low

  * usr/bin/byobu-janitor, usr/lib/byobu/.shutil:
    - get ec2 cost automatically working again in ec2 instances

 -- Dustin Kirkland <kirkland@ubuntu.com>  Mon, 01 Aug 2011 23:46:37 -0500

byobu (4.23-0ubuntu1) oneiric; urgency=low

  * usr/bin/byobu-shell:
    - MOTD message does not need to be Ubuntu-specific
  * usr/bin/byobu-janitor, usr/share/byobu/profiles/common:
    - revert the byobu-statusd changes in the profile
    - it's just not ready yet
    - LP: #814264, #816871
  * usr/bin/byobu-janitor:
    - kill lingering byobu-statusd processes
  * usr/lib/byobu/logo:
    - revert whitespace required by statusd
  * usr/lib/byobu/ip_address, usr/lib/byobu/.shutil:
    - add a get_network_interface function
    - something seems to have changed around the linux 3.0 kernel,
      in the order of /proc/net/dev; now test for 0.0.0.0 mask
  * usr/lib/byobu/ip_address, usr/lib/byobu/network,
    usr/lib/byobu/.shutil:
    - reuse the get_network_interface function across network operations
  * usr/lib/byobu/updates_available:
    - support package kit, LP: #815579
  * usr/bin/byobu-config, usr/bin/byobu-select-session:
    - use python's default parameter for os.getenv(), LP: #816026
  * usr/bin/byobu-config:
    - simple var name updates
  * usr/bin/byobu-janitor, usr/bin/byobu-status,
    usr/lib/byobu/.constants, usr/share/byobu/profiles/tmux:
    - use new color methods, better tmux support
    - quiet killing of statusd
  * usr/lib/byobu/date:
    - need a whitespace

 -- Dustin Kirkland <kirkland@ubuntu.com>  Thu, 28 Jul 2011 01:17:49 -0500

byobu (4.22-0ubuntu1) oneiric; urgency=low

  * usr/bin/byobu-statusd, usr/lib/byobu/.shutil:
    - clean up a regression caused by Scott's last patch (for the once
      run 99999999 notifications)

 -- Dustin Kirkland <kirkland@ubuntu.com>  Sun, 24 Jul 2011 14:23:35 -0500

byobu (4.21-0ubuntu1) oneiric; urgency=low

  [ Scott Moser ]
  * usr/bin/byobu-ctrl-a:
    - support taking an argument screen|emacs on the command line
  * usr/bin/byobu-statusd, usr/lib/byobu/.shutil:
    - avoid forks on the $(date) command
    - partial fix to LP: #814264

 -- Dustin Kirkland <kirkland@ubuntu.com>  Fri, 22 Jul 2011 11:14:34 -0500

byobu (4.20-0ubuntu1) oneiric; urgency=low

  * debian/control:
    - add Antoine Beaupré <anarcat@koumbit.org> as uploader so that he can
      sync and upload new Byobu versions to Debian

 -- Dustin Kirkland <kirkland@ubuntu.com>  Wed, 20 Jul 2011 08:57:48 -0500

byobu (4.19-0ubuntu1) oneiric; urgency=low

  * usr/lib/byobu/.constants:
    - need to export a couple of values for use in the profile

 -- Dustin Kirkland <kirkland@ubuntu.com>  Wed, 20 Jul 2011 08:47:47 -0500

byobu (4.18-0ubuntu1) oneiric; urgency=low

  [ Dustin Kirkland ]
  * usr/bin/byobu, usr/bin/byobu-status:
    - remove some redundancies
  * usr/bin/byobu, usr/bin/byobu-config, usr/bin/byobu-ctrl-a,
    usr/bin/byobu-disable, usr/bin/byobu-launcher, usr/bin/byobu-quiet,
    usr/bin/byobu-reconnect-sockets, usr/bin/byobu-select-profile,
    usr/bin/byobu-select-session, usr/lib/byobu/.constants:
    - use a BYOBU_BACKEND environment variable, to support both screen
      and tmux
  * etc/byobu/socketdir, usr/bin/byobu, usr/lib/byobu/date,
    usr/lib/byobu/notify_osd, usr/share/byobu/keybindings/f-keys,
    usr/share/byobu/keybindings/screen-escape-keys,
    usr/share/byobu/profiles/common, usr/share/byobu/profiles/NONE,
    usr/share/byobu/profiles/tmux, usr/share/byobu/windows/common:
    - use a BYOBU_BACKEND environment variable, to support both screen
      and tmux
  * usr/lib/byobu/.common, usr/lib/byobu/.constants:
    - ensure that libraries only get included once
  * === removed directory usr/sbin, usr/sbin/byobu-classroom =>
    experimental/byobu-classroom:
    - move the classroom to experimental (about to be an ensemble formula)
  * etc/byobu/backend, usr/lib/byobu/.constants:
    - add support for storing byobu backend configuration (screen|tmux)
  * debian/control: start suggesting tmux
  * usr/bin/byobu, usr/lib/byobu/.constants:
    - support tmux -V version
  * usr/lib/byobu/.shutil:
    - update ec2 detection method
  * === added directory usr/share/byobu/status, configure.ac,
    etc/byobu/statusrc, experimental/byobu-status-all => usr/bin/byobu-
    statusd, Makefile.am, usr/bin/byobu-janitor, usr/bin/byobu-status-
    print, usr/bin/Makefile.am, usr/lib/byobu/color,
    usr/lib/byobu/.constants, usr/lib/byobu/Makefile.am,
    usr/lib/byobu/.shutil, usr/share/byobu/profiles/common,
    usr/share/byobu/status/1, usr/share/byobu/status/2,
    usr/share/byobu/status/3, usr/share/byobu/status/4,
    usr/share/byobu/status/Makefile.am:
    - add shared configurations for status ordering
    - install symlinks to status ordering
    - add status script for status colors
    - move color function to shared utils
    - add stub for tmux color support
    - add byobu-statusd, daemon to cache and update status information in the
      run directory as the information expires
    - add byobu-status-print, script to concatenate status per ordered
      configuration
    - move byobu backend support below BYOBU_CONFIG_DIR determination
    - move status frequencies to a shared utility function
    - drop the backtick commands for all the individual status functions
    - add the backtick commands for the 4 quadrants of status
    - update the hardstatus line accordingly
  * usr/bin/byobu-select-session, usr/lib/byobu/.common,
    usr/lib/byobu/.constants, usr/lib/byobu/.dirs,
    usr/lib/byobu/Makefile.am, usr/share/byobu/profiles/common,
    usr/share/byobu/status/1, usr/share/byobu/status/2:
    - fix string bug in select session
    - re-add a couple of necessary backticks
    - update caption line to use new statusd cache
    - significantly reduce the number of mkdir -p commands
  * usr/bin/byobu-status-print:
    - save a few forks
  * usr/lib/byobu/battery, usr/lib/byobu/color, usr/lib/byobu/date,
    usr/lib/byobu/.shutil, usr/lib/byobu/time,
    usr/share/byobu/profiles/Makefile.am, usr/share/byobu/profiles/tmux:
    - create tmux color mappings and functions
    - get date/time working in tmux (need to figure out how to get
      tmux to interpret the time format sequence)
    - install the tmux profile
    - get the tmux profile using the new status print methodology
  * experimental/byobu-classroom, usr/bin/byobu-statusd, usr/bin/byobu-
    status-print, usr/lib/byobu/battery,
    usr/share/byobu/profiles/classroom:
    - fixup byobu-classroom
    - fix whitespace printing in byobu-status-print
  * usr/lib/byobu/logo:
    - print trailing whitespace
  * usr/lib/byobu/network
    - initialize and localize variables
  * usr/share/byobu/profiles/common:
    - switch to run-one, from run-this-one
  * usr/share/byobu/profiles/common:
  * usr/share/byobu/profiles/byoburc, usr/share/byobu/profiles/common,
    usr/share/byobu/profiles/screenrc:
    - move byobu-statusd to the rc profiles, as we don't want to run again
      on profile reload
  * usr/bin/byobu-janitor, usr/bin/byobu-launcher-uninstall,
    usr/lib/byobu/.constants, usr/lib/byobu/disk_io:
    - move the MacOSX support to constants
  * usr/bin/byobu-ctrl-a, usr/bin/byobu-janitor, usr/bin/byobu-quiet,
    usr/bin/byobu-silent, usr/bin/byobu-status, usr/lib/byobu/cpu_temp,
    usr/lib/byobu/custom, usr/lib/byobu/ec2_cost, usr/lib/byobu/logo,
    usr/lib/byobu/menu, usr/lib/byobu/network,
    usr/lib/byobu/updates_available, usr/share/byobu/keybindings/f-keys:
    - comprehensively use $SED for MacOSX compatibility, LP: #812973
  * usr/bin/byobu-launch: LP: #809525
    - no need to search path on sourcing (thanks, Scott Moser)
  * usr/bin/byobu-launcher-install: LP: #809525
    - prevent profile from getting sourced twice (thanks, Scott Moser)
  * usr/bin/byobu-launch: LP: #806609
    - support zsh history append
  * debian/install, etc/byobu/Makefile.am, etc/byobu/statusrc =>
    usr/share/byobu/status/statusrc, usr/bin/byobu-janitor,
    usr/bin/byobu-status, usr/bin/byobu-statusd,
    usr/share/byobu/status/Makefile.am, usr/share/byobu/status/status:
    - LP: #803509
    - rework usage of status and statusrc
    - status now contains the enable/disable bits for each status item
    - statusrc contains auxiliary configuration information
    - remove this stuff from /etc/byobu/statusrc altogether, and move
      it to /usr/share
    - standardize the seeding of the local user's configuration
  * usr/bin/byobu-status, usr/bin/byobu-statusd, usr/lib/byobu/logo:
    - re-source constants in case of upgrades
  * usr/share/byobu/keybindings/f-keys,
    usr/share/byobu/profiles/byoburc, usr/share/byobu/profiles/common,
    usr/share/byobu/profiles/screenrc:
    - killall byobu-statusd owned by user before refreshing
  * usr/bin/byobu-statusd:
    - check that file is readable before sourcing
  * usr/lib/byobu/mem_available:
    - no need to source status here any more
  * usr/share/byobu/keybindings/f-keys, usr/share/byobu/profiles/common:
    - move the kill of statusd to the profile, near the launching of
      statusd

  [ James Spencer ]
  * usr/lib/byobu/.constants:
    - fix syntax error
  * usr/bin/byobu:
    - byobu shouldn't overwrite the screen name if given options to pass
      onto screen which explicitly set the screen name. This patch stops
      this for all the relevant options that I could see in the screen
      manpage.

  [ James Hunt ]
  * usr/bin/byobu-ulevel:
    - Added faces_2 theme.
    - Allow permissive mode to be set via command-line ('-p').
  * usr/lib/byobu/time_binary: remove stray trailing space character in
    output.

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 19 Jul 2011 18:12:53 -0500

byobu (4.17-0ubuntu1) oneiric; urgency=low

  * usr/bin/byobu-launch: LP: #802646
    - ensure that .profile gets sourced if launching byobu by default,
      but also make sure that we won't recurse, using a variable flag
  * usr/lib/byobu/cpu_temp: LP: #799237, #802819
    - fix temperature on Atom D510
  * usr/bin/byobu-status:
    - deprecated RUNDIR
  * debian/postinst, etc/byobu/socketdir, experimental/byobu-aggregate-
    status, experimental/byobu-status-all, === modified symlink
    usr/share/byobu/keybindings/common, === target was uf-keys,
    usr/bin/byobu, usr/bin/byobu-config, usr/bin/byobu-ctrl-a,
    usr/bin/byobu-disable, usr/bin/byobu-enable, usr/bin/byobu-export,
    usr/bin/byobu-janitor, usr/bin/byobu-launch, usr/bin/byobu-launcher,
    usr/bin/byobu-launcher-install, usr/bin/byobu-launcher-uninstall,
    usr/bin/byobu-quiet, usr/bin/byobu-reconnect-sockets, usr/bin/byobu-
    select-profile, usr/bin/byobu-shell, usr/bin/byobu-silent,
    usr/bin/byobu-status, usr/bin/byobu-status-detail, usr/bin/byobu-
    ugraph, usr/bin/byobu-ulevel, usr/lib/byobu/.common,
    usr/lib/byobu/.constants, usr/lib/byobu/custom,
    usr/lib/byobu/disk_io, usr/lib/byobu/ec2_cost,
    usr/lib/byobu/ip_address, usr/lib/byobu/logo,
    usr/lib/byobu/Makefile.am, usr/lib/byobu/mem_available,
    usr/lib/byobu/menu, usr/lib/byobu/network,
    usr/lib/byobu/.notify_osd, usr/lib/byobu/reboot_required,
    usr/lib/byobu/services, usr/lib/byobu/.shutil,
    usr/lib/byobu/updates_available, usr/share/byobu/keybindings/f-keys,
    usr/share/byobu/profiles/common, usr/share/man/man1/byobu.1,
    usr/share/man/man1/byobu-select-session.1: LP: #802122
    - massive reworking to globalize and standardize the use of
      + BYOBU_RUN_DIR, which is typically /var/run/screen/S-$USER/byobu
      + BYOBU_CONFIG_DIR, which is typically $HOME/.byobu
    - this rework should more easily allow us to support users who's
      SOCKETDIR is not /var/run/screen, and XDG_USER_DIRS users
  * usr/lib/byobu/.constants:
    - should probably export those
  * usr/bin/byobu-ctrl-a:
    - whitespace
  * etc/byobu/statusrc, usr/share/byobu/keybindings/f-keys,
    usr/share/byobu/keybindings/screen-escape-keys,
    usr/share/byobu/profiles/byoburc, usr/share/byobu/profiles/common,
    usr/share/byobu/profiles/screenrc, usr/share/man/man1/byobu.1:
    - fix up a few more references to BYOBU_CONFIG_DIR
  * usr/bin/byobu-ctrl-a, usr/bin/byobu-quiet, usr/bin/byobu-select-
    profile, usr/bin/byobu-select-session, usr/bin/byobu-silent,
    usr/bin/byobu-status:
    - fix up a few more $HOME/.$PKG refs to $BYOBU_CONFIG_DIR
  * usr/bin/byobu-janitor, usr/lib/byobu/.constants:
    - LP: #553105, #780081: support XDG user dirs
  * usr/lib/byobu/.shutil:
    - quiet printing of metadata service test
  * usr/bin/byobu-select-session:
    - need to use the screen binary, LP: #800496
  * debian/control:
    - modernized description

 -- Dustin Kirkland <kirkland@ubuntu.com>  Wed, 29 Jun 2011 02:26:23 +0000

byobu (4.16-0ubuntu1) oneiric; urgency=low

  * usr/share/byobu/profiles/tmux:
    - getting tmux keybindings much closer!
  * usr/bin/byobu-status, usr/lib/byobu/apport, usr/lib/byobu/arch,
    usr/lib/byobu/battery, usr/lib/byobu/.constants,
    usr/lib/byobu/cpu_count, usr/lib/byobu/cpu_freq,
    usr/lib/byobu/cpu_temp, usr/lib/byobu/custom, usr/lib/byobu/date,
    usr/lib/byobu/disk, usr/lib/byobu/disk_io, usr/lib/byobu/ec2_cost,
    usr/lib/byobu/fan_speed, usr/lib/byobu/hostname,
    usr/lib/byobu/ip_address, usr/lib/byobu/load_average,
    usr/lib/byobu/logo, usr/lib/byobu/mail, usr/lib/byobu/mem_available,
    usr/lib/byobu/mem_used, usr/lib/byobu/menu, usr/lib/byobu/network,
    usr/lib/byobu/notify_osd, usr/lib/byobu/processes,
    usr/lib/byobu/raid, usr/lib/byobu/rcs_cost,
    usr/lib/byobu/reboot_required, usr/lib/byobu/release,
    usr/lib/byobu/services, usr/lib/byobu/.shutil, usr/lib/byobu/swap,
    usr/lib/byobu/time, usr/lib/byobu/time_utc, usr/lib/byobu/trash,
    usr/lib/byobu/updates_available, usr/lib/byobu/uptime,
    usr/lib/byobu/users, usr/lib/byobu/whoami,
    usr/lib/byobu/wifi_quality:
    - rework status scripts into sourcable functions
    - update copyright info, update email address, standardize headers
  * usr/lib/byobu/.shutil:
    - add frequencies
  * experimental/byobu-status-all:
    - intermediate commit, helper tool with some of the new logic
  * usr/bin/byobu-status, usr/lib/byobu/.constants,
    usr/lib/byobu/Makefile.am, usr/lib/byobu/.shutil:
    - add copyright headers, install constants
  * usr/bin/byobu-status:
    - import constants
  * usr/lib/byobu/date:
    - add trailing whitespace back
  * usr/lib/byobu/.shutil:
    - fix slow/lag associated with testing for metadata server
  * usr/lib/byobu/raid:
    - fix coloring, needed grouping around colored print
  * usr/bin/byobu-status:
    - get detail working again

 -- Dustin Kirkland <kirkland@ubuntu.com>  Mon, 27 Jun 2011 14:14:14 +0000

byobu (4.14-0ubuntu1) oneiric; urgency=low

  * usr/share/byobu/profiles/tmux:
    - getting tmux keybindings much closer!
  * usr/lib/byobu/ec2_cost, usr/lib/byobu/hostname,
    usr/lib/byobu/ip_address:
    - use wget instead of host to check for metadata

 -- Dustin Kirkland <kirkland@ubuntu.com>  Thu, 16 Jun 2011 16:16:29 -0500

byobu (4.13-0ubuntu1) oneiric; urgency=low

  [ Scott Moser ]
  * usr/lib/byobu/network:
    - fix but where /proc/net/dev has so much traffic that integers
      run up against colons with no whitespace

  [ Dustin Kirkland ]
  * debian/config, debian/postinst, experimental/byobu-aggregate-status,
    usr/bin/byobu, usr/bin/byobu-ctrl-a, usr/bin/byobu-disable,
    usr/bin/byobu-enable, usr/bin/byobu-export, usr/bin/byobu-janitor,
    usr/bin/byobu-launch, usr/bin/byobu-launcher, usr/bin/byobu-
    launcher-install, usr/bin/byobu-launcher-uninstall, usr/bin/byobu-
    quiet, usr/bin/byobu-reconnect-sockets, usr/bin/byobu-select-
    profile, usr/bin/byobu-shell, usr/bin/byobu-silent, usr/bin/byobu-
    status, usr/bin/byobu-status-detail, usr/lib/byobu/apport,
    usr/lib/byobu/arch, usr/lib/byobu/battery, usr/lib/byobu/cpu_count,
    usr/lib/byobu/cpu_freq, usr/lib/byobu/cpu_temp,
    usr/lib/byobu/custom, usr/lib/byobu/date, usr/lib/byobu/disk,
    usr/lib/byobu/disk_io, usr/lib/byobu/ec2_cost,
    usr/lib/byobu/fan_speed, usr/lib/byobu/hostname,
    usr/lib/byobu/ip_address, usr/lib/byobu/load_average,
    usr/lib/byobu/logo, usr/lib/byobu/mail, usr/lib/byobu/mem_available,
    usr/lib/byobu/mem_used, usr/lib/byobu/menu, usr/lib/byobu/network,
    usr/lib/byobu/notify_osd, usr/lib/byobu/processes,
    usr/lib/byobu/raid, usr/lib/byobu/rcs_cost,
    usr/lib/byobu/reboot_required, usr/lib/byobu/release,
    usr/lib/byobu/services, usr/lib/byobu/swap, usr/lib/byobu/time,
    usr/lib/byobu/time_utc, usr/lib/byobu/trash,
    usr/lib/byobu/updates_available, usr/lib/byobu/uptime,
    usr/lib/byobu/users, usr/lib/byobu/whoami,
    usr/lib/byobu/wifi_quality, usr/sbin/byobu-classroom:
    - add vi modelines
  * usr/lib/byobu/hostname:
    - whitespace handled elsewhere
  * usr/bin/byobu-launch:
    - fix typo, missing whitespace

 -- Dustin Kirkland <kirkland@ubuntu.com>  Thu, 16 Jun 2011 16:16:27 -0500

byobu (4.12-0ubuntu1) oneiric; urgency=low

  * usr/bin/byobu-launch:
    - support users who chose to set LC_BYOBU=0, since
      LC_* are passed over SSH by default in Debian/Ubuntu
  * usr/lib/byobu/network:
    - fix network threshold handling, which was not working properly
  * usr/share/byobu/keybindings/f-keys, usr/share/man/man1/byobu.1:
    - LP: #797442
    - ctrl-F6 kills this split
    - update docs to reflect reality
  * usr/share/byobu/profiles/tmux:
    - added an early draft of a tmux profile
  * usr/lib/byobu/hostname, usr/lib/byobu/ip_address:
    - in EC2, use metadata for ip and hostname, far more useful
      in that environment
  * === added directory experimental, experimental/byobu-aggregate-
    status:
    - working on an experimental status aggregator

 -- Dustin Kirkland <kirkland@ubuntu.com>  Thu, 16 Jun 2011 11:37:53 -0500

byobu (4.11-0ubuntu1) oneiric; urgency=low

  [ Dustin Kirkland ]
  * debian/postinst: LP: #796422
    - handle ownerships of the reload profile flag more gracefully

  [ Ahmed El-Mahmoudy ]
  * usr/share/byobu/keybindings/screen-escape-keys: LP: #796134
    - fix refresh keybinding (missing eval)

 -- Dustin Kirkland <kirkland@ubuntu.com>  Sun, 12 Jun 2011 23:37:20 -0500

byobu (4.10-0ubuntu1) oneiric; urgency=low

  * debian/postinst:
    - re-enable postinst to succeed on hardy

 -- Dustin Kirkland <kirkland@ubuntu.com>  Sat, 11 Jun 2011 09:42:03 -0400

byobu (4.9-0ubuntu1) oneiric; urgency=low

  [ Dustin Kirkland ]
  * === added directory usr/sbin, usr/sbin/byobu-classroom,
    usr/share/byobu/profiles/classroom:
    - added to the byobu repository for source control, but not yet
      QA'd for release, so they're not yet installed by the makefiles
      or documented;  will get to this eventually
  * usr/bin/byobu: LP: #791617
    - fix "byobu -r session", zero out NAME if user has a -r
  * Close LP: #789647
  * Close LP: #789408

  [ Emanuele Rocca ]
  * usr/bin/byobu-config: LP: #789274
    - fix autodetection of byobu launch

 -- Dustin Kirkland <kirkland@ubuntu.com>  Thu, 02 Jun 2011 15:22:08 -0400

byobu (4.8-0ubuntu1) oneiric; urgency=low

  [ Scott Moser and Dustin Kirkland ]
  * usr/bin/byobu-select-session:
    - add an option to select-session for running a shell without byobu

  [ Dustin Kirkland ]
  * usr/bin/byobu-select-session, usr/share/man/man1/byobu-select-
    session.1:
    - updated to document the .always-select configuration

 -- Dustin Kirkland <kirkland@ubuntu.com>  Wed, 01 Jun 2011 09:24:43 -0500

byobu (4.7-0ubuntu1) oneiric; urgency=low

  * usr/lib/byobu/network:
    - fix shell comparator bug when number has decimal
  * etc/byobu/statusrc:
    - revert recent change which enabled disk_io by default
  * close bug LP: #789408, which was fixed in the previous release
  * usr/lib/byobu/custom:
    - ensure that you can run more than one custom script, LP: #789647

 -- Dustin Kirkland <kirkland@ubuntu.com>  Sat, 28 May 2011 22:22:28 -0500

byobu (4.6-0ubuntu1) oneiric; urgency=low

  * usr/bin/byobu-select-session: LP: #789408
    - fix select session, when there is only 1 session to attach to
  * usr/share/byobu/keybindings/f-keys:
    - use shift-F6 (in both ssh and tty) for detach, but don't logout
    - seems that ctrl-F6 doesn't work in tty right now
  * usr/bin/byobu-launch:
    - merge history
  * usr/bin/byobu-launch:
    - move the location of the BYOBU_DISABLE test
  * debian/rules, usr/bin/byobu, usr/bin/byobu-janitor,
    usr/bin/Makefile.am, usr/bin/shell => usr/bin/byobu-shell,
    usr/share/byobu/windows/common, usr/share/man/man1/Makefile.am,
    usr/share/man/man1/shell.1 => usr/share/man/man1/byobu-shell.1:
    - byobu installing "/usr/bin/shell" might be a little egregious from
      a namespace perspective;  so call it "byobu-shell" and just update
      the window title when calling it

 -- Dustin Kirkland <kirkland@ubuntu.com>  Sat, 28 May 2011 12:57:58 -0500

byobu (4.5-0ubuntu1) oneiric; urgency=low

  * usr/lib/byobu/custom, usr/share/byobu/keybindings/f-keys:
    - fix regression in custom scripts
    - get ctrl-F5 working correctly again
  * usr/share/byobu/keybindings/f-keys, usr/share/byobu/profiles/common:
    - avoid some screen crashes associated with buggy 'layout' saving
      feature; only save layouts if user is splitting screens, LP: #788670
  * usr/bin/byobu:
    - fix logic error in showing user@host in gnome-terminal tabs

 -- Dustin Kirkland <kirkland@ubuntu.com>  Thu, 26 May 2011 15:14:50 -0500

byobu (4.4-0ubuntu1) oneiric; urgency=low

  [ Dustin Kirkland ]
  * usr/lib/byobu/uptime: fix string bug in uptime introduced by smoser's
    changes
  * usr/lib/byobu/disk_io: fix scaling, LP: #787773
  * usr/bin/byobu-disable, usr/bin/byobu-select-session, usr/bin/shell:
    - fix some of the messaging
    - add a welcome message with the toggle on/off info
    - fix the motd display at auto launch, which was broken recently
  * usr/lib/byobu/mem_available:
    - fix MB display bug
  * etc/byobu/statusrc, usr/lib/byobu/disk_io, usr/lib/byobu/network,
    usr/share/man/man1/byobu.1:
    - add support for a network threshold setting; set to 20kbps by default,
      ignore network traffic less than threshold, less busy status
    - add support for a disk threshold setting; set to 50kB/s by default,
      ignore disk traffic less than threshold, less busy status
  * usr/bin/byobu-janitor:
    - on initial setup, if it looks like we're running in ec2, enable
      ec2_cost monitor
  * usr/share/byobu/ec2/Makefile.am, usr/share/byobu/ec2/rates.ap_si,
    usr/share/byobu/ec2/rates.ap_to, usr/share/byobu/ec2/rates.eu_ie,
    usr/share/byobu/ec2/rates.us_ca, usr/share/byobu/ec2/rates.us_va:
    - update AWS prices, add the two new AP zones
  * usr/lib/byobu/ec2_cost, usr/share/byobu/ec2/Makefile.am,
    usr/share/byobu/ec2/rates.ap_si => usr/share/byobu/ec2/rates.ap-
    southeast-1, usr/share/byobu/ec2/rates.ap_to =>
    usr/share/byobu/ec2/rates.ap-northeast-1,
    usr/share/byobu/ec2/rates.eu_ie => usr/share/byobu/ec2/rates.eu-
    west-1, usr/share/byobu/ec2/rates.us_ca => usr/share/byobu/ec2/us-
    west-1, usr/share/byobu/ec2/rates.us_va =>
    usr/share/byobu/ec2/rates.us-east-1, usr/bin/byobu-janitor:
    - rework ec2_cost entirely, using metaservice; much more accurate
  * usr/lib/byobu/ec2_cost, usr/share/byobu/ec2/Makefile.am,
    usr/share/byobu/ec2/us-west-1 => usr/share/byobu/ec2/rates.us-west-
    1: fix a couple of bugs

  [ Scott Moser ]
  * usr/lib/byobu/.shutil: fix rounding across a decimal point in fpdiv()
  * usr/lib/byobu/swap: update to address fix in fpdiv
  * usr/lib/byobu/mem_used: use fpdiv to round free memory properly

 -- Dustin Kirkland <kirkland@ubuntu.com>  Wed, 25 May 2011 19:37:14 -0500

byobu (4.2-0ubuntu1) oneiric; urgency=low

  [ Dustin Kirkland ]
  * usr/bin/byobu-config: remove debug output, LP: #782372
  * usr/lib/byobu/disk_io: fix minor bug in 'command' call
  * usr/lib/byobu/.shutil (properties changed: -x to +x): fix perm
  * usr/bin/byobu-janitor: fix regression, ensure we can run from
    a clean setup
  * etc/byobu/statusrc:
    - turn on battery, disk_io, users, wifi, as nothing is displayed
      if we have none
  * usr/lib/byobu/disk: add trailing whitespace
  * usr/bin/byobu-silent, usr/bin/Makefile.am: add a total silence
    mode for Byobu
  * usr/share/man/man1/byobu-quiet.1, usr/share/man/man1/byobu-silent.1:
    - add a manpage for byobu-silent.1, and update byobu-silent.1
  * usr/lib/byobu/disk_io:
    - support super fast next generation SSD hard drives

  [ Scott Moser ]
  * usr/bin/byobu, usr/bin/byobu-reconnect-sockets,
    usr/lib/byobu/.shutil:
    - source _shutil
    - exec screen -v rather than waiting and exiting
    - use HOSTNAME if set (it is set in bash), avoiding the fork for 'hostname'
    - use 'uncommented_lines' function in _shutil rather than grep
    - use 'command -v' (posix sh shell builtin) rather than 'which'
    - mention that byobu-janitor should not be called every time
  * usr/bin/byobu, usr/bin/byobu-reconnect-sockets,
    usr/bin/byobu-status, usr/lib/byobu/.shutil,
    usr/lib/byobu/battery, usr/lib/byobu/cpu_freq,
    usr/lib/byobu/cpu_temp, usr/lib/byobu/custom,
    usr/lib/byobu/date, usr/lib/byobu/disk,
    usr/lib/byobu/disk_io, usr/lib/byobu/fan_speed,
    usr/lib/byobu/ip_address, usr/lib/byobu/load_average,
    usr/lib/byobu/mem_available, usr/lib/byobu/mem_used,
    usr/lib/byobu/network, usr/lib/byobu/raid,
    usr/lib/byobu/release, usr/lib/byobu/swap,
    usr/lib/byobu/updates_available, usr/lib/byobu/uptime,
    usr/lib/byobu/wifi_quality:
    - lots of performance improvements
    - define a few helpers
    - use 'read' for obtaining input from file
    - use built-in math functions for computation

 -- Dustin Kirkland <kirkland@ubuntu.com>  Mon, 23 May 2011 19:21:31 -0500

byobu (4.1-0ubuntu1) oneiric; urgency=low

  [ Dustin Kirkland ]
  * usr/bin/byobu-ctrl-a: fix ctrl-a in screen-mode
  * usr/share/byobu/keybindings/f-keys: minor comment update
  * usr/bin/byobu-status:
    - move byobu-status back to sh (dash?), for a 2x performance improvement
    - note that we cannot pass arguments to sourced scripts
  * usr/bin/byobu-status, usr/lib/byobu/apport, usr/lib/byobu/battery,
    usr/lib/byobu/cpu_freq, usr/lib/byobu/cpu_temp,
    usr/lib/byobu/custom, usr/lib/byobu/disk_io, usr/lib/byobu/ec2_cost,
    usr/lib/byobu/fan_speed, usr/lib/byobu/hostname,
    usr/lib/byobu/ip_address, usr/lib/byobu/load_average,
    usr/lib/byobu/logo, usr/lib/byobu/mail, usr/lib/byobu/mem_available,
    usr/lib/byobu/mem_used, usr/lib/byobu/menu, usr/lib/byobu/network,
    usr/lib/byobu/processes, usr/lib/byobu/raid, usr/lib/byobu/rcs_cost,
    usr/lib/byobu/reboot_required, usr/lib/byobu/release,
    usr/lib/byobu/services, usr/lib/byobu/swap, usr/lib/byobu/time_utc,
    usr/lib/byobu/updates_available, usr/lib/byobu/uptime,
    usr/lib/byobu/users, usr/lib/byobu/whoami,
    usr/lib/byobu/wifi_quality, usr/share/byobu/tests/byobu-time-
    notifications:
    - with advice from Scott Moser, almost all $(color ...) calls have
      been updated to inline calls to the color() function, which does
      the printf itself
    - this provides some measurable performance improvements

  [ Scott Moser ]
  * usr/bin/byobu-status:
    - performance improvements, save a few forks
  * usr/bin/byobu-reconnect-sockets:
    - performance improvements, save a few forks
  * usr/bin/byobu-janitor:
    - performance improvements, save a few forks

 -- Dustin Kirkland <kirkland@ubuntu.com>  Fri, 13 May 2011 18:57:57 +0200

byobu (4.0-0ubuntu1) oneiric; urgency=low

  * usr/bin/byobu-config, usr/share/byobu/keybindings/f-keys,
    usr/share/byobu/keybindings/screen-escape-keys,
    usr/share/doc/byobu/help.txt, usr/bin/Makefile.am,
    usr/bin/byobu-ctrl-a: LP: #776743
    - use ctrl-^ as the default escape character
    - bind F12 to printing the escape character
    - adjust everything accordingly
  * usr/share/byobu/keybindings/f-keys,
    usr/share/byobu/keybindings/screen-escape-keys: LP: #776743
    - the first time a user presses ctrl-a, prompt them with a choice
      as to their preference of behavior (emacs vs. screen)
    - preserve this choice
  * usr/share/byobu/keybindings/f-keys: LP: #776740
    - improve alt-pgup / alt-pgdown
  * usr/share/byobu/profiles/common: LP: #776742
    - disable xterm/gnome-terminal's scrollback buffer
    - it seems we should be able to do this, at this point since byobu
      now has keybindings for alt-pgup and alt-pgdn
    - note that this commit does, however, revert the fix for an older bug
  * usr/share/byobu/keybindings/f-keys:
    - fix regression in rename F8 functionality, use <home> key
  * usr/lib/byobu/.notify_osd, usr/share/byobu/keybindings/f-keys,
    usr/share/byobu/profiles/common: LP: #776742, #776740
    - set msgwait and msginwait to both 0, to turn down the verbosity of
      screen's messaging, and speed up some byobu operations
    - improve scrollback (alt-pgup and alt-pgdn) by disabling screen's
      status message updates about 'copy mode', etc.
    - speed up the printscreen functionality
    - when running printscreen, open the result with the user's default
      viewer in a new window entitled PRINTSCREEN
  * usr/bin/byobu: LP: #777888
    - enable users to disable the title printing at launch (helpful for
      those launching byobu detached from cron, e.g.)
  * usr/share/byobu/tests/byobu-time-notifications:
    - fixup notification testing
  * usr/bin/byobu-status: minor performance improvement
  * usr/share/doc/byobu/help.txt: rearrange and update documentation
  * usr/bin/byobu-ctrl-a, usr/share/byobu/tests/byobu-time-
    notifications: update doc message
  * usr/bin/byobu-launch: LP: #780430, support a BYOBU_DISABLE environment
    variable, that ssh clients could export and globally disable launching
    byobu on ssh logins (note that this will require whitelisting that
    variable on the ssh client and server)
  * usr/share/byobu/profiles/common: fix printscreen screen exchange file
  * usr/share/byobu/keybindings/f-keys,
    usr/share/byobu/keybindings/screen-escape-keys:
    - simplify all calls to the screen escape key
  * usr/bin/byobu-quiet, usr/bin/byobu-status, usr/bin/Makefile.am,
    usr/share/byobu/profiles/common: LP: #780380
    - add a byobu-quiet utility, to silence eyecandy
  * usr/share/man/man1/byobu-ctrl-a.1, usr/share/man/man1/byobu-quiet.1,
    usr/share/man/man1/Makefile.am: document the new tools
  * usr/bin/byobu-config: ensure that escape key changing through byobu-config
    continues to work

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 10 May 2011 23:34:53 +0200

byobu (3.34-0ubuntu1) oneiric; urgency=low

  [ Baptiste Jonglez ]
  * usr/lib/byobu/updates_available: add support for ArchLinux in the
    updates-available script, LP: #767546

  [ Jeffrey William Edwards ]
  * usr/lib/byobu/.notify_osd: fix minor regex error, LP: #764813

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 03 May 2011 12:11:07 -0500

byobu (3.33-0ubuntu1) natty; urgency=low

  * usr/bin/byobu-launch: make sure this finishes with a true
  * usr/lib/byobu/disk_io: conditionally use readlink -f, LP: #764584

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 19 Apr 2011 16:34:33 -0400

byobu (3.32-0ubuntu1) natty; urgency=low

  * usr/bin/byobu-launch, usr/bin/byobu-launcher:
    - fix situation where the profile might exit 0,
      and prevent a user from logging in

 -- Dustin Kirkland <kirkland@ubuntu.com>  Sun, 17 Apr 2011 13:30:23 -0500

byobu (3.31-0ubuntu1) natty; urgency=low

  * usr/bin/byobu-select-session: LP: #762031
    - fix path to screen binary, use os.execvp()
    - drop use of PREFIX here, rely on byobu being in your path

 -- Dustin Kirkland <kirkland@ubuntu.com>  Fri, 15 Apr 2011 13:40:26 -0500

byobu (3.30-0ubuntu1) natty; urgency=low

  [ Dustin Kirkland ]
  * usr/share/applications/byobu.desktop: shorten description
    to work better in Unity
  * usr/bin/byobu-status-detail: make a couple of minor modifications
    noticed while investigating the already-fixed LP: #750887
  * usr/lib/byobu/raid: fix grep that changed recently in Linux's
    md driver's printing to /proc/mdstat, LP: #760693
  * usr/share/byobu/profiles/common: preserve splits across detach/reattach,
    LP: #760696
  * usr/bin/byobu-launcher: don't disrupt work flow, but rather inform
    user about launching byobu in a nested screen session, LP: #747649
  * usr/bin/byobu-launch, usr/bin/byobu-launcher-install: fix handling
    of logout behavior, when dpkg-configured globally by the sysadmin,
    LP: #741281
  * usr/share/byobu/profiles/common: fix bold color intensity, LP: #727466
  * usr/bin/byobu-janitor, usr/bin/byobu-launch, usr/bin/byobu-launcher-
    install, usr/bin/byobu-launcher-uninstall,
    usr/share/byobu/keybindings/f-keys,
    usr/share/byobu/keybindings/screen-escape-keys,
    usr/share/man/man1/byobu.1:
    - add a more permanent fix for LP: #604931
    - update documentation
  * usr/share/byobu/keybindings/f-keys,
    usr/share/byobu/keybindings/screen-escape-keys:
    - fix ctrl-f5
  * debian/source/format, === removed directory debian/source: remove these
    until bzr builddeb bug gets fixed
  * usr/bin/byobu, usr/share/byobu/profiles/byoburc,
    usr/share/byobu/profiles/Makefile.am,
    usr/share/byobu/profiles/screenrc: support using ~/.byoburc, instead of
    ~/.screenrc, if present; some users seem to want to use byobu and screen
    separately, and keep their profiles separate, LP: #731529
  * usr/bin/byobu-janitor: use greadlink on Mac OSX, LP: #740370
  * usr/bin/byobu-select-session: fix broken path to screen, affects users
    who build/install byobu locally only, LP: #758177

  [ Chaskiel Grundman ]
  * debian/postinst: correctly fix old-school screen-profiles era diversions
    of /usr/bin/screen, LP: #727738

 -- Dustin Kirkland <kirkland@ubuntu.com>  Thu, 14 Apr 2011 18:11:27 -0500

byobu (3.29-0ubuntu1) natty; urgency=low

  [ Dustin Kirkland ]
  * usr/share/man/man1/byobu.1: document PS1 workaround, LP: #525552
  * usr/share/man/man1/byobu.1: fix minor manpage typo, add SERVICES example
  * usr/lib/byobu/wifi_quality, usr/share/man/man1/byobu.1: support overriding
    the default wireless interface, LP: #723260
  * usr/share/man/man1/byobu.1: document TERM=vt100 for Mac keyboard users,
    LP: #482623
  * usr/bin/byobu-janitor: use readlink, much more graceful
  * usr/lib/byobu/time_binary, usr/share/byobu/profiles/common,
    usr/share/man/man1/byobu.1: fixup a couple of minor issues with the binary
    clock commit
  * usr/bin/byobu-status: switch the interpreter from sh to bash; this is
    needed to support James' time_binary script, which is bash and cannot be
    simply sourced by byobu-status; if significant performance regressions
    occur, we will need to back this change out and approach it a different
    way

  [ James Hunt ]
  * etc/byobu/statusrc, usr/bin/byobu-config, usr/lib/byobu/time_binary,
    usr/share/byobu/profiles/common, usr/share/man/man1/byobu.1:
    - add support for the super-geeky-but-fun binary clock; requires
      UTF8 support in GNU Screen, LP: #705037

  [ Chow Loong Jin and Dustin Kirkland ]
  * usr/lib/byobu/disk_io: canonicalize symlinks so that disk_io works
    with raid, lvm, dm volumes, LP: #709224, #711373, #723187

 -- Dustin Kirkland <kirkland@ubuntu.com>  Sun, 27 Feb 2011 10:29:49 -0600

byobu (3.28-0ubuntu1) natty; urgency=low

  [ Dustin Kirkland ]
  * usr/lib/byobu/wifi_quality: don't show wifi-quality if connectivity == 0
  * usr/lib/byobu/disk_io: don't show disk_io if rate = 0
  * usr/lib/byobu/services: finally fix that nagging, mysterious whitespace
  * rename:
    - wastebasket -> trash
    - uclock -> time_binary
    - ugraph -> /usr/bin/byobu-ugraph
    - ulevel -> /usr/bin/byobu-ulevel
  * usr/share/applications/byobu.desktop: change the "window manager"
    verbiage to "command line"; looks a little better on desktop
    applications menu where "window manager" sounds quite different
  * usr/lib/byobu/date, usr/share/man/man1/byobu.1: fix issues from
    Question #144881

  [ James Hunt <james.hunt@ubuntu.com> ]
  * usr/lib/byobu/time_binary: New UTF-8 notification showing time in binary
    (requires bash for UTF-8 handling) (LP: #705037).
  * usr/bin/byobu-ugraph: New UTF-8 notification utility showing
    historical byobu-ugraph data (required bash for UTF-8 handling).
  * usr/bin/byobu-ulevel: New UTF-8 notification utility which displays
    some 'level' using various unicode characters (requires bash for
    UTF-8 handling). Also has an accessibility mode using an option or
    environment variable to display all values as percentages in ASCII.
    (LP: #705032).
  * usr/lib/byobu/trash: New ASCII+UTF-8 notification indicating
    contents of trash.
  * usr/lib/byobu/wifi_quality: added UTF-8 icon.

 -- Dustin Kirkland <kirkland@ubuntu.com>  Wed, 23 Feb 2011 16:24:26 -0600

byobu (3.27-0ubuntu1) natty; urgency=low

  * usr/bin/byobu: -v|--version
  * usr/lib/byobu/fan_speed: drop detail section, nothing interesting here
  * usr/share/byobu/profiles/common: accommodate for powernap's off- and on-
    lining of processors dynamically
  * etc/byobu/statusrc, usr/bin/byobu-config, usr/lib/byobu/network,
    usr/share/byobu/profiles/common, usr/share/man/man1/byobu.1:
    - enable the network monitor by default (it seems I *always* turn this
      on, on every single byobu instance)
    - only display when traffic is non-zero
    - move further to the left, so that entire line doesn't jump around
  * usr/share/byobu/profiles/common: move disk_io further left, so line
    does jump around so much

 -- Dustin Kirkland <kirkland@ubuntu.com>  Fri, 28 Jan 2011 17:12:23 -0600

byobu (3.26-0ubuntu1) natty; urgency=low

  [ Dustin Kirkland ]
  * usr/bin/byobu-reconnect-sockets, usr/lib/byobu/date,
    usr/share/byobu/keybindings/f-keys,
    usr/share/byobu/keybindings/screen-escape-keys:
    - add a ctrl-f5 keybinding for reconnecting sockets
  * usr/share/byobu/profiles/common: explicitly set deflogin on,
    LP: #525552

  [ swalker <sdwalker@myrealbox.com> ]
  * A set of fixes for LP: #700911
  * usr/bin/byobu-status, usr/bin/byobu-status-detail:
    - improve support for byobu-status-detail on systems without vim
  * usr/lib/byobu/mail: test for mail dir, avoids errors
  * usr/lib/byobu/reboot_required: test for file existence, avoids errors

  [ Dustin Kirkland + swalker <sdwalker@myrealbox.com> ]
  * usr/lib/byobu/wifi_quality: avoid potential divide by zero error
  * usr/lib/byobu/fan_speed: add support for /proc/i8k for some other
    systems' fan speeds (e.g. Dell Inspiron), LP: #700204

 -- Dustin Kirkland <kirkland@ubuntu.com>  Thu, 27 Jan 2011 10:24:07 -0600

byobu (3.25-0ubuntu1) natty; urgency=low

  * usr/lib/byobu/disk_io: these look better

 -- Dustin Kirkland <kirkland@ubuntu.com>  Sun, 23 Jan 2011 16:28:43 -0600

byobu (3.24-0ubuntu1) natty; urgency=low

  * usr/lib/byobu/cpu_temp, usr/lib/byobu/disk_io, usr/lib/byobu/mail,
    usr/lib/byobu/network: very early, initial uft8-in-the-caption-and-
    hardstatus support; requires a patched version of screen; use at
    your own risk right now; should not affect older screen users

 -- Dustin Kirkland <kirkland@ubuntu.com>  Fri, 21 Jan 2011 12:07:20 -0600

byobu (3.23-0ubuntu1) natty; urgency=low

  * README: put byobu dir on the front of the path, if doing a local
    install (just wanted to update to a newer version on a system that
    already has byobu, but I'm not an admin)
  * usr/share/byobu/keybindings/f-keys: when splitting, move the focus
    in the new split to the first window (rather than that annoying
    blank screen)

 -- Dustin Kirkland <kirkland@ubuntu.com>  Mon, 10 Jan 2011 11:04:34 -0600

byobu (3.22-0ubuntu1) natty; urgency=low

  * usr/share/byobu/windows/common: should not be executable
  * usr/share/man/man1/byobu.1, usr/share/man/man1/byobu-select-
    session.1: escape hyphens
  * === added directory debian/source, debian/source/format:
    - fix lintian info, add debian/source/format, 3.0 quilt
  * usr/bin/byobu, usr/bin/byobu-janitor: move the window title setting
    back to /usr/bin/byobu (didn't work well in byobu-janitor)

 -- Dustin Kirkland <kirkland@ubuntu.com>  Thu, 06 Jan 2011 12:34:38 -0600

byobu (3.21-0ubuntu1) natty; urgency=low

  [ Dustin Kirkland ]
  * usr/bin/byobu-select-profile: ensure that $DATA exists, LP: #697724
  * usr/bin/byobu, usr/bin/byobu-janitor: move the print for window
    title setting into byobu-janitor, which should ensure that it
    gets run on F5/refresh operations
  * usr/share/byobu/keybindings/f-keys, usr/share/byobu/profiles/common:
    move the "fit" statement to the common profile, which is sourced on
    profile refresh
  * usr/share/byobu/keybindings/f-keys: add keybindings for splits in
    tty; sadly ctrl-f2 (vertical split) not working yet
  * usr/share/man/man1/byobu.1, usr/share/man/man1/byobu-config.1,
    usr/share/man/man1/byobu-export.1, usr/share/man/man1/byobu-
    launcher.1, usr/share/man/man1/byobu-launcher-install.1,
    usr/share/man/man1/byobu-launcher-uninstall.1,
    usr/share/man/man1/byobu-reconnect-sockets.1,
    usr/share/man/man1/byobu-select-profile.1, usr/share/man/man1/byobu-
    select-session.1, usr/share/man/man1/byobu-status.1,
    usr/share/man/man1/byobu-status-detail.1,
    usr/share/man/man1/shell.1: add a url link to the GPL
  * usr/share/man/man1/byobu.1, usr/share/man/man1/byobu-janitor.1:
    - clean up the "SEE ALSO" section of a few manpages

  [ Jan Klepek ]
  * usr/share/man/man1/byobu.1, usr/share/man/man1/byobu-status.1,
    usr/share/man/man1/byobu-disable.1, usr/share/man/man1/byobu-
    enable.1, usr/share/man/man1/byobu-janitor.1,
    usr/share/man/man1/byobu-launch.1, usr/share/man/man1/Makefile.am:
    - add a few missing manpages
    - add notes to the location of the GPL on Fedora

 -- Dustin Kirkland <kirkland@ubuntu.com>  Thu, 06 Jan 2011 11:28:33 -0600

byobu (3.20-0ubuntu1) natty; urgency=low

  * usr/lib/byobu/network: drop unnecessary unit=kbps
  * usr/bin/byobu: allow for -xS or the like, LP: #684926
  * usr/bin/byobu-select-session, usr/share/man/man1/byobu.1,
    usr/share/man/man1/byobu-select-session.1: support "hiding"
    sessions, by prepending a "." to the session name, LP: #599334
  * usr/share/man/man1/byobu-launcher.1: update documentation
  * usr/bin/byobu-launcher-install, usr/share/man/man1/byobu-launcher-
    install.1, usr/share/man/man1/byobu-launcher-uninstall.1,
    usr/share/man/man1/Makefile.am:
    - add an option for -n|--no-logout to byobu-launcher-install,
      document changes in new manpages, LP: #604931
  * usr/lib/byobu/cpu_temp: find the temp monitor, LP: #676080
  * usr/lib/byobu/battery, usr/share/man/man1/byobu.1: allow for
    overriding detected BATTERY, LP: #693560
  * usr/lib/byobu/cpu_temp: test that file exists, is readable, and has
    size > 0, LP: #696071

 -- Dustin Kirkland <kirkland@ubuntu.com>  Mon, 03 Jan 2011 11:44:12 -0600

byobu (3.19-0ubuntu1) natty; urgency=low

  * usr/lib/byobu/network: ensure that up/down and units are always set

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 28 Dec 2010 00:05:07 -0600

byobu (3.18-0ubuntu1) natty; urgency=low

  * usr/bin/byobu: LP: #684926, list byobu default sessions, plus named
    screen sessions

 -- Dustin Kirkland <kirkland@ubuntu.com>  Mon, 27 Dec 2010 23:44:00 -0600

byobu (3.17-0ubuntu1) natty; urgency=low

  * usr/lib/byobu/cpu_temp: add cpu temp path for modern (x201) thinkpads,
    LP: #693568
  * usr/share/byobu/windows/common: must set a target site for the sample
    w3m window to work, LP: #689340
  * usr/bin/byobu: list all sessions, LP: #684926
  * usr/share/applications/byobu.desktop: enable the desktop icon by default

 -- Dustin Kirkland <kirkland@ubuntu.com>  Sun, 26 Dec 2010 17:22:18 -0600

byobu (3.16-0ubuntu1) natty; urgency=low

  * usr/share/byobu/keybindings/f-keys,
    usr/share/byobu/keybindings/screen-escape-keys: drop the -k arg to
    bindkey, doesn't seem to be working

 -- Dustin Kirkland <kirkland@ubuntu.com>  Wed, 08 Dec 2010 08:57:45 -0600

byobu (3.15-0ubuntu1) natty; urgency=low

  * usr/lib/byobu/raid: only match one raid rebuild (the first one)
  * debian/rules, usr/share/applications/byobu.desktop: try to get
    the icon working in Unity, LP: #683444
  * usr/share/byobu/keybindings/f-keys,
    usr/share/byobu/keybindings/screen-escape-keys,
    usr/share/man/man1/byobu.1: add some keybindings for better handling
    of screen splits, LP: #686847
  * usr/lib/byobu/ip_address: look for the ip address on global scope,
    helps with labeled and tagged interfaces, LP: #685748

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 07 Dec 2010 22:19:41 -0600

byobu (3.14-0ubuntu1) natty; urgency=low

  * debian/install, etc/update-motd.d/55-window-manager, === removed
    directory etc/update-motd.d, debian/postinst:
    - dropped motd message; unfortunately annoyed some people, LP: #680657
    - we still need a way to enable people who don't know about byobu
      to actually find it

 -- Dustin Kirkland <kirkland@ubuntu.com>  Mon, 29 Nov 2010 14:57:08 -0600

byobu (3.13-0ubuntu1) natty; urgency=low

  [ Dustin Kirkland ]
  * etc/update-motd.d/55-window-manager: print the MOTD appendage up to 3
    times, LP: #680657

  [ Anders Kaseorg <andersk@mit.edu> ]
  * usr/bin/byobu-launcher-install, usr/lib/byobu/whoami: Use getent instead
    of reading /etc/passwd directly , LP: #682296

 -- Dustin Kirkland <kirkland@ubuntu.com>  Sun, 28 Nov 2010 10:41:09 -0600

byobu (3.12-0ubuntu1) natty; urgency=low

  * etc/update-motd.d/55-window-manager: LP: #681616, fix printing of the
    motd message

 -- Dustin Kirkland <kirkland@ubuntu.com>  Thu, 25 Nov 2010 18:50:33 -0600

byobu (3.11-0ubuntu1) natty; urgency=low

  [ Marcin Juszkiewicz ]
  * usr/lib/byobu/cpu_freq: fix cpu frequency detection on ARM, LP: #675442

  [ Dustin Kirkland ]
  * etc/update-motd.d/55-window-manager: fix a spelling error, allow for
    easy disabling of the motd message, LP: #680657
  * usr/share/byobu/keybindings/f-keys: resize on each window change,
    LP: #680559
  * README: minor edit to the instructions;  tested and working for me now

 -- Dustin Kirkland <kirkland@ubuntu.com>  Wed, 24 Nov 2010 13:03:58 -0600

byobu (3.10-0ubuntu1) natty; urgency=low

  * usr/lib/byobu/custom: fix typo in for loop, LP: #673728, thanks for
    the triage Jorge E. Gómez
  * usr/bin/byobu-janitor: make sure this runs to completion, LP: #676605
  * usr/lib/byobu/cpu_freq: scale bogomips by number of processors, if
    using bogomips to estimate frequency, LP: #675442
  * etc/byobu/statusrc, usr/bin/byobu-config, usr/lib/byobu/Makefile.am,
    usr/lib/byobu/swap, usr/share/byobu/profiles/common,
    usr/share/man/man1/byobu.1: add a swap memory usage notification,
    LP: #677259
  * usr/lib/byobu/release: fix the ubuntu devel release printing

 -- Dustin Kirkland <kirkland@ubuntu.com>  Thu, 18 Nov 2010 21:44:26 -0600

byobu (3.9-0ubuntu1) natty; urgency=low

  * debian/templates, etc/byobu/statusrc, usr/bin/byobu, usr/bin/byobu-
    config, usr/bin/byobu-janitor, usr/bin/byobu-launcher,
    usr/bin/byobu-launcher-install, usr/bin/byobu-launcher-uninstall,
    usr/bin/byobu-select-profile, usr/bin/byobu-status,
    usr/lib/byobu/custom, usr/lib/byobu/disk_io, usr/lib/byobu/ec2_cost,
    usr/lib/byobu/hostname, usr/lib/byobu/ip_address,
    usr/lib/byobu/logo, usr/lib/byobu/mem_available, usr/lib/byobu/menu,
    usr/lib/byobu/network, usr/lib/byobu/.notify_osd,
    usr/lib/byobu/reboot_required, usr/lib/byobu/services,
    usr/lib/byobu/updates_available, usr/share/byobu/keybindings/f-keys,
    usr/share/byobu/keybindings/screen-escape-keys,
    usr/share/byobu/profiles/byoburc, usr/share/byobu/profiles/common,
    usr/share/man/man1/byobu.1: clean up the broken xdg changes,
    maintain both the xdg dir and a symlink for now;  LP: #674217
  * usr/lib/byobu/release: use /etc/issue first, much, much faster,
    thanks to the suggestion from Daniel Hahler, LP: #674275

 -- Dustin Kirkland <kirkland@ubuntu.com>  Fri, 12 Nov 2010 22:45:16 -0600

byobu (3.8-0ubuntu1) natty; urgency=low

  * usr/bin/byobu-janitor: fix migration to XDG, LP: #673797, #673727

 -- Dustin Kirkland <kirkland@ubuntu.com>  Wed, 10 Nov 2010 18:29:01 -0600

byobu (3.7-0ubuntu1) natty; urgency=low

  [ Dustin Kirkland ]
  * usr/lib/byobu/ec2_cost, usr/share/byobu/ec2/rates.eu_ie,
    usr/share/byobu/ec2/rates.us_ca, usr/share/byobu/ec2/rates.us_va:
    - add ec2_cost support for t1.micro instances, LP: #669190
  * etc/byobu/statusrc, usr/bin/byobu-config, usr/lib/byobu/Makefile.am,
    usr/lib/byobu/notify_osd, usr/share/byobu/profiles/common,
    usr/share/man/man1/byobu.1:
    - add notify_osd support to byobu, LP: #669189
    - separate the perl into a script of its own
    - add per-pid notifier monitors, terminate when screen terminates
    - allow for disabling the notify_osd status; must handle in the perl
      script
    - use BYOBU_PREFIX for local installs
  * usr/bin/byobu-config, usr/bin/byobu-janitor, usr/bin/byobu-launcher-
    uninstall, usr/share/byobu/keybindings/f-keys:
    - use gsed, where available; should help with BSD issues running byobu,
      LP: #651993
  * README: add a note about gsed
  * usr/share/man/man1/byobu.1: add a synopsis section that mentions options
    simply passed through to screen, LP: #669566
  * usr/bin/byobu, usr/bin/byobu-janitor,
    usr/share/byobu/profiles/common: change location of $SSH_AUTH_SOCK symlink
    from /var/run to $HOME, as we can't be sure that the user's var/run
    dir will exist before screen starts, LP: #664059
  * etc/update-motd.d, etc/update-motd.d/55-window-manager,
    etc/update-motd.d/Makefile.am, Makefile.am, usr/bin/byobu-disable,
    usr/bin/byobu-enable:
    - add a helpful update-motd message and a convenient command to enable-and-
      launch byobu
  * usr/bin/byobu-select-session: enable byobu-select-session to list
    custom session names, LP: #630673
  * debian/templates, etc/byobu/statusrc, usr/bin/byobu, usr/bin/byobu-
    janitor, usr/bin/byobu-launcher, usr/bin/byobu-launcher-install,
    usr/bin/byobu-launcher-uninstall, usr/bin/byobu-select-profile,
    usr/bin/byobu-status, usr/lib/byobu/custom, usr/lib/byobu/disk_io,
    usr/lib/byobu/ec2_cost, usr/lib/byobu/hostname,
    usr/lib/byobu/ip_address, usr/lib/byobu/logo,
    usr/lib/byobu/mem_available, usr/lib/byobu/menu,
    usr/lib/byobu/network, usr/lib/byobu/.notify_osd,
    usr/lib/byobu/reboot_required, usr/lib/byobu/services,
    usr/lib/byobu/updates_available, usr/share/byobu/keybindings/f-keys,
    usr/share/byobu/keybindings/screen-escape-keys,
    usr/share/byobu/profiles/byoburc, usr/share/byobu/profiles/common,
    usr/share/man/man1/byobu.1:
    - xdg user dirs overhaul, LP: #553105
  * etc/byobu/statusrc, usr/bin/byobu-config, usr/lib/byobu/mail,
    usr/lib/byobu/Makefile.am, usr/lib/byobu/raid,
    usr/share/byobu/profiles/common, usr/share/man/man1/byobu.1:
    - add a raid notification, LP: #669191
  * usr/bin/byobu-status, usr/lib/byobu/notify_osd:
    - fix all detail printing
  * usr/bin/byobu:
    - fix listing of sessions, LP: #672023
  * usr/lib/byobu/services:
    - drop max instance count from NC service reporting;  was inaccurate

  [ Marcus Asshauer ]
  * usr/bin/byobu-config: add directory option when creating new window,
    LP: #623033

 -- Dustin Kirkland <kirkland@ubuntu.com>  Mon, 08 Nov 2010 18:24:09 -0600

byobu (3.6-0ubuntu1) natty; urgency=low

  [ Ryan Thompson ]
  * usr/bin/byobu-launcher: return false, if byobu doesn't launch because
    TERM=dumb, LP: #654608

  [ Dustin Kirkland ]
  * usr/bin/byobu: fix SSH_AUTH_SOCK breakage, define $RUN dir, LP: #664059
  * experimental/byobu.php, experimental/README: delete

 -- Dustin Kirkland <kirkland@ubuntu.com>  Thu, 21 Oct 2010 12:09:08 -0500

byobu (3.5-0ubuntu1) maverick; urgency=low

  [ Jan Klepek ]
  * usr/bin/byobu-status: fix libexec path for Fedora, LP: #630054

  [ Dustin Kirkland ]
  * usr/lib/byobu/rcs_cost, usr/lib/byobu/ec2_cost: testing crontab
    creation time is not accurate, seems this happens at image creation
    rather than instance instantiation; use /etc/hostname instead; ensure
    that minimum hours is 1, not 0; LP: #639855
  * usr/lib/byobu/network: use bps rather than B/s by default for network
    traffic, LP: #578377
  * This Maverick release also includes the fix:
    - usr/share/applications/byobu.desktop: add gettext domain, LP: #623935

 -- Dustin Kirkland <kirkland@ubuntu.com>  Wed, 15 Sep 2010 13:30:56 -0600

byobu (3.4-0ubuntu1) maverick; urgency=low

  * usr/share/byobu/keybindings/f-keys: make F1 also point to the menu,
    along with F9; this might help in some tty environments outside of
    gnome-terminal
  * bin/byobu-janitor, share/byobu/keybindings/f-keys: use sed -e, for
    Mac OS X compatibility, LP: #625387, #623595
  * lib/byobu/ip_address, share/man/man1/byobu.1:
    - display both ifconfig and ip output in ip_address detail display
    - use ip rather than ifconfig to get the ip address, slight performance
      improvement
    - support a flag, IPV6=1, in .byobu/status, to allow for showing
      IPv6 addresses instead of IPv4
    - thanks to Mark Schouten <mark@prevented.net> for the IPv6 idea and
      sample code
  * usr/share/man/man1/byobu.1: fix typos
  * usr/share/applications/byobu.desktop: add gettext domain, LP: #623935

 -- Dustin Kirkland <kirkland@ubuntu.com>  Wed, 01 Sep 2010 13:11:23 -0600

byobu (3.3-0ubuntu1) maverick; urgency=low

  * lib/byobu/network, share/man/man1/byobu.1: clean up binary/decimal
    multipliers for network transfer vs. memory/disk capacities, in
    accordance with industry standards
  * usr/share/man/man1/byobu.1: add a note about non-utf8 locales,
    LP: #613769

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 24 Aug 2010 18:21:09 -0400

byobu (3.2-0ubuntu1) maverick; urgency=low

  * usr/share/byobu/keybindings/f-keys: resize the screen as part of the
    F5/refresh, LP: #619899
  * usr/bin/byobu-launcher: don't launch if in a dumb terminal, LP: #612886
  * usr/lib/byobu/network, usr/share/man/man1/byobu.1: allow for
    configuration of network traffic in [kM]ps, LP: #578377
  * configure.ac: POSIX sed doesn't include -i option, LP: #619328, #622640
  * usr/bin/byobu-janitor: improve dash replacement in status config,
    LP: #598488
  * usr/bin/byobu-janitor: fix upgrades where one's window list might have
    motd+shell, LP: #589715

 -- Dustin Kirkland <kirkland@ubuntu.com>  Mon, 23 Aug 2010 17:52:21 -0400

byobu (3.1-0ubuntu1) maverick; urgency=low

  * configure.ac: drop autoconf version dependency to 2.61, so that we
    can build on Hardy

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 03 Aug 2010 15:19:16 -0400

byobu (3.0-0ubuntu1) maverick; urgency=low

  [ Dustin Kirkland ]
  * usr/bin/byobu: allow users to specify their own -S, LP: #610134
  * Makefile.am, configure.ac, etc/byobu/Makefile.am, usr/bin/Makefile.am,
    usr/bin/byobu, usr/bin/byobu-config, usr/bin/byobu-janitor,
    usr/bin/byobu-launcher, usr/bin/byobu-select-profile,
    usr/bin/byobu-select-session, usr/bin/byobu-status,
    usr/lib/byobu/Makefile.am, usr/lib/byobu/ec2_cost,
    usr/share/applications/Makefile.am, usr/share/byobu/ec2/Makefile.am,
    usr/share/byobu/keybindings/Makefile.am,
    usr/share/byobu/keybindings/f-keys,
    usr/share/byobu/keybindings/screen-escape-keys,
    usr/share/byobu/pixmaps/Makefile.am,
    usr/share/byobu/profiles/Makefile.am,
    usr/share/byobu/tests/Makefile.am,
    usr/share/byobu/tests/byobu-time-notifications,
    usr/share/byobu/windows/Makefile.am, usr/share/doc/byobu/Makefile.am,
    usr/share/man/man1/Makefile.am:
    - Positively massive changeset, enabling users of Unix/Linux distros
      for which Byobu is not packaged (as well as non-root users of any
      Unix/Linux distro) to $(./configure && make && make install) byobu!
      LP: #609851, #608995, #503554
    - I think this is a significant enough milestone to bump version to 3.0
  * install, manpages, rules: update package build/install procedures to
    use configure && make && make install
  * debian/control:
    - depend on automake
    - autoconf for new build
    - bump standards
    - use breaks instead of conflicts
  * AUTHORS, README: update email address and install instructions
  * debian/rules, usr/bin/byobu-export, usr/share/man/man1/byobu-export.1:
    - deprecate the byobu-export utility
  * usr/share/man/man1/byobu.1: fix lintian warning about hyphen
  * usr/share/applications/byobu.desktop: fix lintian warning about encoding
    key
  * debian/source/format: added
  * configure.ac: fixup BYOBU_PREFIX in the configure, LP: #611157
  * rpm/byobu.spec: deprecated; byobu is now in Fedora proper; please use
    that package if you require RPMs
  * configure.ac, usr/bin/byobu: bump to version 3.0

 -- Dustin Kirkland <kirkland@ubuntu.com>  Mon, 02 Aug 2010 22:30:46 -0400

byobu (2.82-0ubuntu1) maverick; urgency=low

  * usr/bin/byobu-select-session:
    - save a few forks, use regexes for screen -ls processing
    - fix select-session code, LP: #602750
    - handle ctrl-c bail-out of select-session, LP: #602753

 -- Dustin Kirkland <kirkland@ubuntu.com>  Wed, 07 Jul 2010 11:35:55 -0400

byobu (2.81-0ubuntu1) maverick; urgency=low

  * Save some forks:
    - usr/bin/byobu-status
    - usr/lib/byobu/custom
    - usr/lib/ec2_cost, usr/lib/rcs_cost
    - usr/lib/byobu/ip_address
    - usr/lib/byobu/release
    - usr/lib/services
    - usr/lib/updates_available
    - usr/bin/byobu-status-detail
    - usr/bin/byobu-reconnect-sockets
    - usr/bin/byobu-launch, usr/bin/byobu-launcher-install,
      usr/bin/byobu-launcher-uninstall
    - usr/bin/byobu-launcher
    - usr/bin/byobu
    - usr/bin/byobu-export
    - usr/bin/byobu-janitor
  * usr/bin/byobu-status: save a conditional
  * usr/bin/byobu-config, usr/share/doc/byobu/help.txt: improve help
    text, per feedback from Turnkey Linux users
  * debian/release,sh, debian/release-build.sh: drop, no longer needed,
    now in lp:~kirkland/+junk/bin
  * usr/bin/byobu-janitor: clean up launch gardening code; fix color
    detection and correction
  * byobu, byobu-select-session: name new byobu sessions, only select byobu
    sessions, LP: #599334
  * uploading to Maverick, LP: #599876

 -- Dustin Kirkland <kirkland@ubuntu.com>  Fri, 02 Jul 2010 10:02:10 -0500

byobu (2.80-0ubuntu1) maverick; urgency=low

  * usr/bin/byobu-launcher: handle nasty recursion, if ssh'ing to localhost,
    and byobu-launches-by-default, LP: #595137

 -- Dustin Kirkland <kirkland@ubuntu.com>  Wed, 16 Jun 2010 12:46:22 -0500

byobu (2.79-0ubuntu1) maverick; urgency=low

  * debian/rules: symlink motd+shell to shell, LP: #589715

 -- Dustin Kirkland <kirkland@ubuntu.com>  Fri, 04 Jun 2010 16:04:55 -0500

byobu (2.78-0ubuntu1) maverick; urgency=low

  * usr/bin/byobu-status, usr/lib/byobu/menu,
    usr/share/byobu/keybindings/f-keys,
    usr/share/byobu/keybindings/screen-escape-keys: show a visual queue
    when toggling on/off the f-key keybindings; Menu:<F9> vs. Menu:<^a-@>,
    LP: #589016
  * usr/bin/byobu-select-session: revert recent change, which defaulted to
    -UDR (which detached and logged out other connections on reattach);
    feedback was negative on this one, numerous questions in IRC, LP: #589027
  * usr/bin/byobu-select-session: allow for default selection of session 1
  * usr/bin/byobu-config: prevent the user from changing the escape sequence
    to / or \, both of which cause problems, LP: #581533
  * debian/manpages, rpm/byobu.spec, usr/bin/byobu, usr/bin/shell,
    usr/share/byobu/windows/common, usr/share/man/man1/shell.1: fix shelltitle
    breakage by dropping the "-t shell" title hardcoding, and move/rename
    motd+shell to just shell, LP: #368925

 -- Dustin Kirkland <kirkland@ubuntu.com>  Thu, 03 Jun 2010 01:58:15 -0500

byobu (2.77-0ubuntu1) maverick; urgency=low

  * debian/control: drop update-notifier-common and lsb-release from
    Recommends to Suggests (their status scripts are smart enough to
    operate without them), LP: #588340

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 01 Jun 2010 10:53:49 -0500

byobu (2.76-0ubuntu1) maverick; urgency=low

  [ Dustin Kirkland ]
  * usr/bin/byobu-select-session: default to -UDR, the "author's favorite"
    according to the screen(1) manpage; slightly more secure as it logs out
    other sessions; special handling is needed if the user wants to share
    sessions, LP: #578373; also, droping the -x should fix some resize
    problems, LP: #553085

  [ Jon Bernard ]
  * ec2_cost, rcs_cost: calculate cost from the start of the
    instance, rather than the uptime

 -- Dustin Kirkland <kirkland@ubuntu.com>  Fri, 21 May 2010 09:37:10 -0500

byobu (2.75-0ubuntu1) maverick; urgency=low

  * usr/bin/byobu: ensure that .screenrc gets sourced if byobu is run
    with arguments, LP: #580760
  * ec2_cost, ip_address, network, rcs_cost: fix bug when calling ifconfig
    without setting lang to english, LP: #578792
  * byobu-launcher-uninstall: create the directory, in case this script is
    executed before byobu actually runs, LP: #580384
  * usr/bin/byobu-launcher: allow user to add custom screen arguments to
    byobu-launcher (useful in .profile for adding an option like -UDR),
    LP: #578373

 -- Dustin Kirkland <kirkland@ubuntu.com>  Sat, 15 May 2010 16:50:41 -0400

byobu (2.74-0ubuntu1) maverick; urgency=low

  * usr/lib/byobu/disk_io: fix regex to support RAID devices, LP: #572855
  * debian/postinst: make debconf question failsafe, LP: #569041
  * usr/bin/byobu, usr/share/byobu/profiles/byoburc: add support for
    different window sets, LP: #517796
  * usr/bin/byobu-select-session: use screen -ls, less overhead
  * usr/share/man/man1/byobu.1: document the different window sets

 -- Dustin Kirkland <kirkland@ubuntu.com>  Wed, 05 May 2010 16:07:24 +0200

byobu (2.73-0ubuntu1) maverick; urgency=low

  [ Dustin Kirkland ]
  * usr/bin/byobu-reconnect-sockets: look for gpg sessions quietly
  * usr/bin/byobu-launcher: ensure that if user does not want a nested
    session, they still get a local shell

  [ Jon Bernard ]
  * etc/byobu/statusrc, usr/bin/byobu-config, usr/lib/byobu/rcs_cost,
    usr/share/byobu/profiles/common, usr/share/man/man1/byobu.1:
    - Rackspace cost estimation (based on the ec2 one)

 -- Dustin Kirkland <kirkland@ubuntu.com>  Wed, 28 Apr 2010 23:11:08 -0500

byobu (2.72-0ubuntu1) maverick; urgency=low

  * usr/bin/byobu: support nethack screen mode, LP: #568751
  * usr/share/man/man1/byobu.1: document a sample custom script using
    custom colors, LP: #568967
  * usr/bin/byobu: LANG=C before grepping for text
  * usr/bin/byobu: handle unset term in tput 256 color check
  * bin/byobu-config, lib/byobu/disk_io, share/byobu/profiles/common,
    share/man/man1/byobu.1: added a disk throughput notification
  * usr/bin/byobu-janitor: add hyphenation to the regex to allow for
    disk_io
  * usr/lib/byobu/disk_io: improve MONITORED_DISK overriding
  * usr/lib/byobu/disk: minor simplification

 -- Dustin Kirkland <kirkland@ubuntu.com>  Mon, 26 Apr 2010 19:25:37 -0500

byobu (2.71-0ubuntu1) maverick; urgency=low

  * usr/bin/byobu-launch, usr/bin/byobu-launcher-install,
    usr/bin/byobu-janitor: exit 0 after launching byobu; this is superior
    to previously reverted implementations where we exec'd byobu, since
    we'll only exit 0 if the byobu/screen session exits cleanly; this will
    keep the user from having to do the double-exit when detaching,
    LP: #568306

 -- Dustin Kirkland <kirkland@ubuntu.com>  Thu, 22 Apr 2010 12:31:12 -0500

byobu (2.70-0ubuntu1) maverick; urgency=low

  * usr/bin/byobu-launcher: fix regression in last upload

 -- Dustin Kirkland <kirkland@ubuntu.com>  Wed, 21 Apr 2010 23:08:06 -0500

byobu (2.69-0ubuntu1) lucid; urgency=low

  * usr/bin/byobu-launcher: prompt on nested screen connection, LP: #565398
  * debian/po/POTFILES.in, debian/po/de.po, debian/po/en_GB.po,
    debian/po/es.po, debian/po/pt.po, debian/po/ru.po,
    debian/po/templates.pot, po/bg.po, po/cs.po, po/de.po, po/es.po,
    po/fr.po, po/hu.po, po/is.po, po/it.po, po/la.po, po/lt.po, po/nl.po,
    po/pt.po, po/pt_BR.po, po/ru.po, po/sv.po, po/tr.po, po/uk.po:
    - translations merged, LP: #567309
  * bin/byobu-janitor, share/byobu/keybindings/f-keys,
    share/byobu/profiles/common, share/man/man1/byobu.1: add a keybinding,
    ctrl-a ~ to write the current window's buffer to a file, LP: #565399
  * debian/control, debian/screen-profiles.postinst, debian/preinst,
    debian/prerm, debian/rules, usr/bin/byobu-janitor:
    - remove more remnants of screen-profiles
  * debian/rules: drop color symlinks, no longer necessary, should be
    cleaned up by byobu-janitor now

 -- Dustin Kirkland <kirkland@ubuntu.com>  Wed, 21 Apr 2010 15:07:06 -0500

byobu (2.68-0ubuntu1) lucid; urgency=low

  * usr/lib/byobu/logo: update the default Ubuntu logo to match the
    10.04 brand refresh, white U on a purple background

 -- Dustin Kirkland <kirkland@ubuntu.com>  Thu, 15 Apr 2010 12:12:31 -0500

byobu (2.67-0ubuntu1) lucid; urgency=low

  * Close LP: #528967, which was also fixed by the last upload
  * usr/bin/byobu-select-session: fix create-a-new-session on
    select-session dialog, LP: #550808

 -- Dustin Kirkland <kirkland@ubuntu.com>  Wed, 31 Mar 2010 15:27:24 -0500

byobu (2.66-0ubuntu1) lucid; urgency=low

  * usr/bin/byobu, usr/bin/byobu-janitor: ensure that the SSH_AUTH_SOCK
    link is not circular, LP: #549091

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 30 Mar 2010 00:56:11 -0500

byobu (2.65-0ubuntu1) lucid; urgency=low

  * etc/byobu/statusrc, usr/bin/byobu-config, usr/lib/byobu/time_utc,
    usr/share/byobu/profiles/common, usr/share/man/man1/byobu.1:
    - daylight savings really sucks for those few weeks now when the
      US is completely different from the rest of the world; having
      a UTC time byobu status is really useful, LP: #540038

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 16 Mar 2010 23:27:20 -0500

byobu (2.64-0ubuntu1) lucid; urgency=low

  * debian/postinst: fix bug introduced by last upload, $d contains
    $DIR

 -- Dustin Kirkland <kirkland@ubuntu.com>  Wed, 10 Mar 2010 19:06:34 -0600

byobu (2.63-0ubuntu1) lucid; urgency=low

  [ Dustin Kirkland ]
  * etc/byobu/socketdir, usr/bin/byobu-config, usr/bin/byobu-janitor,
    usr/bin/byobu-select-profile: increase portability to other distros,
    create socketdir conffile and SOCKETDIR variable for users who don't
    use /var/run/screen as the socket directory, LP: #535378
  * usr/bin/byobu-config: change a sample reference from "bash" to "shell"
    again for portability, LP: #535407
  * bin/byobu-export, bin/byobu-reconnect-sockets, bin/byobu-status,
    lib/byobu/cpu_temp: avoid programmatic use of ls in for loops,
    LP: #452405

  [ Torsten Spindler ]
  * debian/postinst: handle situation where /var/run/screen does not
    exist, LP: #535648

 -- Dustin Kirkland <kirkland@ubuntu.com>  Wed, 10 Mar 2010 18:48:47 -0600

byobu (2.62-0ubuntu1) lucid; urgency=low

  * usr/share/byobu/keybindings/common: added symlink, LP: #535166
  * debian/rules: drop get-orig-source target

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 09 Mar 2010 14:52:59 -0600

byobu (2.61-0ubuntu1) lucid; urgency=low

  [ Sebastian Markow ]
  * usr/share/byobu/pixmaps/byobu_multi.svg: added second icon

  [ Dustin Kirkland ]
  * usr/share/byobu/profiles/common: remove underline; does not play
    nicely with reverse on tty's, LP: #532666

 -- Dustin Kirkland <kirkland@ubuntu.com>  Fri, 05 Mar 2010 08:42:42 -0600

byobu (2.60-0ubuntu1) lucid; urgency=low

  [ Dustin Kirkland ]
  * usr/bin/byobu-export, usr/lib/byobu/ec2_cost,
    usr/share/byobu/ec2/rates.eu_ie, usr/share/byobu/ec2/rates.us_ca,
    usr/share/byobu/ec2/rates.us_va: LP: #531497
    - update ec2 pricing model, allow for local overrides of prices
      via a sourced symlink or bespoke file in $HOME/.byobu/ec2_rates
  * usr/bin/byobu: more completely support attaching to an existing ssh
    agent on first launch of byobu, LP: #528967
  * usr/share/man/man1/byobu.1: add manpage note about Mac OSX terminal
    setting, LP: #506576
  * debian/control: drop the screen-profiles-extras transitional package

  [ Meethune Bhowmick <meethune@gmail.com> ]
  * rpm/byobu.spec: specfile updated/modernized for current layout, LP: #526233

 -- Dustin Kirkland <kirkland@ubuntu.com>  Wed, 03 Mar 2010 12:55:52 -0600

byobu (2.59-0ubuntu1) lucid; urgency=low

  * usr/bin/byobu-config: fix logic auto-launch detection logic, LP: #528545

 -- Dustin Kirkland <kirkland@ubuntu.com>  Fri, 26 Feb 2010 10:42:55 -0600

byobu (2.58-0ubuntu1) lucid; urgency=low

  * usr/share/byobu/pixmaps/byobu.svg: cleaned up icon
  * byobu-export, byobu-janitor, byobu-select-profile, byobu-status:
    make MONOCHROME more discoverable

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 16 Feb 2010 23:16:27 -0600

byobu (2.57-0ubuntu1) lucid; urgency=low

  * debian/postinst, usr/bin/byobu-config, usr/bin/byobu-launcher,
    usr/bin/byobu-launcher-uninstall: install the profile.d script
    at Z97-* to ensure that it's sourced last-ish; clean up and check
    for the new location; check if shell is interactive before exec'ing
    in the launcher
  * byobu-config: correct logic in determining if byobu is set to auto
    launch
  * debian/postinst, usr/bin/byobu-launch, usr/bin/byobu-launcher,
    usr/bin/byobu-launcher-install: ensure that all login methods work
    (tty, ssh, gdm), and that each detach behaves properly (c-a-d, c-a-DD)
  * usr/bin/byobu-janitor, usr/bin/byobu-launcher-install: ensure that we
    don't end up with two byobu-launch commands in both the global profile
    and local one

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 09 Feb 2010 13:55:21 -0600

byobu (2.56-0ubuntu1) lucid; urgency=low

  * debian/control: drop byobu-extras empty package
  * usr/bin/byobu-launcher: fix recent regression, do exec byobu by default,
    but allow for not exec'ing if ~/.byobu/disable-exec exists, LP: #519018
  * usr/lib/byobu/network: improve regex of the interface matching, which
    was broken for device names >6 chars, LP: #509278

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 09 Feb 2010 00:07:20 -0600

byobu (2.55-0ubuntu1) lucid; urgency=low

  * debian/postinst: make sure that byobu-launcher, if selected by default,
    gets installed late in the /etc/profile.d list
  * usr/bin/byobu-launcher: do not exec, as this precludes detaching from a
    session, and being in a non-byobu shell

 -- Dustin Kirkland <kirkland@ubuntu.com>  Sat, 06 Feb 2010 22:10:32 -0600

byobu (2.54-0ubuntu1) lucid; urgency=low

  * usr/bin/byobu-launcher: profile.d is sourced, not executed

 -- Dustin Kirkland <kirkland@ubuntu.com>  Fri, 05 Feb 2010 09:16:38 -0800

byobu (2.53-0ubuntu1) lucid; urgency=low

  * debian/control: suggest po-debconf

 -- Dustin Kirkland <kirkland@ubuntu.com>  Fri, 05 Feb 2010 01:17:11 -0800

byobu (2.52-0ubuntu1) lucid; urgency=low

  * debian/rules, usr/bin/byobu, usr/bin/byobu-launcher:
    - deprecate the launcher script as a separate script; do this
      in /usr/bin/byobu
  * debian/config, debian/postinst, debian/prerm, debian/rules,
    debian/templates, usr/bin/byobu, usr/bin/byobu-launcher,
    usr/bin/byobu-launcher-install, usr/bin/byobu-launcher-uninstall:
    - support a preseedable debconf question that allows
      an administrator to launch byobu by default on all logins on a
      system (default = false), allow for per-user overriding
  * debian/control, debian/po/POTFILES.in, debian/po/templates.pot,
    debian/templates, usr/bin/byobu-config:
    - make the new debconf question translatable
  * usr/bin/byobu-export:
    - install profile symlink properly, LP: #507461

 -- Dustin Kirkland <kirkland@ubuntu.com>  Fri, 05 Feb 2010 01:02:43 -0800

byobu (2.51-0ubuntu1) lucid; urgency=low

  * usr/lib/byobu/services: fix eucalyptus-nc service handling, was
    broken when running no vm's

 -- Dustin Kirkland <kirkland@ubuntu.com>  Wed, 03 Feb 2010 10:56:02 -0800

byobu (2.50-0ubuntu1) lucid; urgency=low

  * debian/rules: fix lintian warning about PWD
  * usr/bin/byobu-export: silence cd -
  * usr/share/applications/byobu.desktop: hide menu item by default,
    LP: #513586

 -- Dustin Kirkland <kirkland@ubuntu.com>  Wed, 27 Jan 2010 23:09:19 -0600

byobu (2.49-0ubuntu1) lucid; urgency=low

  * Re-release, cleaning up the tarball a bit, removing the debian/
    directory
  * ChangeLog: replace symlink with URLs to pertinent changelog information
  * debian/rules: fix get-orig-source target, such that .bzr and debian
    directories are not shipped as part of the upstream release tarball
  * debian/release-build.sh: perform some rudimentary checks for recurring
    issues with release tarballs

 -- Dustin Kirkland <kirkland@ubuntu.com>  Mon, 18 Jan 2010 11:10:47 +1300

byobu (2.48-0ubuntu1) lucid; urgency=low

  [ launchpad.net/~rct86 ]
  * usr/bin/byobu-launcher: use screen -wipe, instead of screen -ls, to
    clean up destroyed sessions, LP: #508609

  [ launchpad.net/~dperson ]
  * usr/bin/byobu-export: correct paths to their new locations, LP: #507461

 -- Dustin Kirkland <kirkland@ubuntu.com>  Mon, 18 Jan 2010 09:54:03 +1300

byobu (2.47-0ubuntu1) lucid; urgency=low

  [ Dustin Kirkland ]
  * usr/lib/byobu/network: fix network script regresssion, LP: #506315
  * usr/lib/byobu/wifi_quality: silence error
  * byobu.desktop, byobu.svg: install these again, but hide the menu item
    by default, per pitti's fallback suggestion to LP: #498322
  * Make byobu more portable, much help from Derek Carter, LP: #503554
    - debian/rules, debian/manpages, usr/share/man/man1/*: move the manpages
      to make byobu more portable
    - debian/install, bin/*, usr/lib/byobu/*: move the status scripts
    - debian/install, usr/share/byobu/*: move the share files
    - debian/install, usr/bin/*: move the binary scripts
    - debian/install, usr/share/doc/byobu/*: move the docs
    - debian/install, etc/*: move the config file
    - debian/install, debian/rules, po/*: move the translations
    - usr/share/applications/byobu.desktop, usr/share/byobu/pixmaps/byobu.svg:
      moved
    - usr/share/byobu/tests/byobu-time-notifications: relocate, rename, and
      install the notification timing tests, add a copyright header
    - AUTHORS, ChangeLog, NEWS: added
  * bin/byobu-launcher, bin/byobu-select-session,
    share/man/man1/byobu-select-session.1: add a dynamic prompt if
    automatically launching byobu on a server where multiple sessions
    exist, LP: #368963
  * byobu-export, byobu-janitor, byobu-status: default to white text on
    black backgrounds

  [ Jason Cohen ]
  * usr/bin/byobu: check if our terminfo supports 256 colors, LP: #409353

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 12 Jan 2010 12:13:48 -0600

byobu (2.46-0ubuntu1) lucid; urgency=low

  * byobu-janitor: seed the default color choices more effciently, also
    fixes some strange crashes on first run; default the colors to white
    on black
  * byobu-config, doc/help.txt: insert version number in byobu help menu,
    LP: #502119
  * bin/network: match interface a bit better for bridges, LP: #498722
  * bin/logo, bin/release: when looking at /etc/issue, grab the first
    line that starts with a real letter rather than control character,
    LP: #432751
  * byobu: deprecate code that prevented nested byobu sessions; this is
    is actually quite useful, although you should choose different
    escape sequences for each nested host, LP: #403988
  * bin/battery, bin/custom, bin/fan_speed, bin/temp, bin/temp_f: don't
    use ls programatically in for-loops, LP: #452405
  * bin/cpu_temp, bin/temp_f, bin/temp_c, byobu-config, byobu.1,
    profiles/common, rpm/byobu.spec, statusrc: merge temp_f and temp_c
    into a single cpu_temp script
  * profiles/common: adjust the formatting-only, and run-only-at-startup
    status scripts to run every 9,999,999 seconds (~115 days), minor
    performance improvement once a day, easier to identify such jobs;
    adjust cpu_count and mem_available to run more frequently, as
    cpu-hotplug and memory-ballooning are becoming more feasible,
    particularly in VMs

 -- Dustin Kirkland <kirkland@ubuntu.com>  Mon, 11 Jan 2010 22:54:07 -0600

byobu (2.45-0ubuntu1) lucid; urgency=low

  * bin/services: look for /usr/bin/kvm in the eucalyptus-nc service
    handling
  * byobu-status: can't source /bin/true
  * re-upload, as bin/services was missing from the previous tarball

 -- Dustin Kirkland <kirkland@ubuntu.com>  Thu, 07 Jan 2010 21:52:49 -0600

byobu (2.44-0ubuntu1) lucid; urgency=low

  * byobu-config, byobu.1, profiles/common, rpm/byobu.spec, statusrc,
    bin/services: add a service status item to monitor running services

 -- Dustin Kirkland <kirkland@ubuntu.com>  Thu, 07 Jan 2010 18:43:10 -0600

byobu (2.43-0ubuntu1) lucid; urgency=low

  * byobu.1: improve putty bug documentation
  * profiles/common: monitor windows, showing "@" next to the window name,
    but don't print an "Activity" message
  * byobu-select-profile, byobu-config: improve color selection with more
    informative color names and support screen default background/foreground
    colors, LP: #500669
  * bin/logo, profiles/common: must undo each color change on logo printing
    like all other status items, fix hardstatus line for "default color"
  * profiles/common: fix active window highlight, make it reverse+underline
    for all color combinations

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 29 Dec 2009 20:31:42 -0600

byobu (2.42-0ubuntu1) lucid; urgency=low

  * bin/disk: use bolding similar to the rest of the status notifications
  * debian/install: drop desktop file installation, LP: #498322

 -- Dustin Kirkland <kirkland@ubuntu.com>  Wed, 23 Dec 2009 14:01:32 -0600

byobu (2.41-0ubuntu1) lucid; urgency=low

  [ Dustin Kirkland ]
  * byobu:
    - check number of args for "1", and "-v", LP: #494465
    - make more zsh friendly, don't use -c

  [ Jon Bernard ]
  * bin/disk: fix missing %, LP: #497136

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 15 Dec 2009 20:24:39 -0600

byobu (2.40-0ubuntu1) lucid; urgency=low

  * bin/updates_available, statusrc: move the color coding out to the config
    file
  * byobu-config, byobu.1, po/*, profiles/common,
    profiles_generator/profile.skel, rpm/byobu.spec, statusrc:
    - add an apport hook, LP: #485380
  * bin/apport: improve the formatting of the detailed output to
    suggest installing apport if necessary
  * debian/control: suggest apport
  * bin/apport, bin/battery, bin/cpu_freq, bin/disk, bin/ec2_cost,
    bin/fan_speed, bin/hostname, bin/ip_address, bin/load_average,
    bin/logo, bin/mail, bin/mem_available, bin/mem_used, bin/menu,
    bin/network, bin/processes, bin/reboot_required, bin/release,
    bin/temp_c, bin/temp_f, bin/updates_available, bin/uptime, bin/users,
    bin/whoami, bin/wifi_quality statusrc: define a set of color variables,
    such that it's easier to make these theme-able
  * windows/common: suggest w3m rather than elinks
  * byobu-status, profiles/common, profiles_generator/profile.skel,
    statusrc: obviate the need for separate profiles per color; read the
    profile colors from a config file, and use a special "color" status
    item to dynamically render it
  * bin/menu: add a space to the -r test, LP: #490894
  * profiles_generator/profile.skel: use the reverse color for the current
    window highlighting; works better with odd color combinations, maximizes
    contrast
  * byobu-status: separate COLOR into FOREGROUND and BACKGROUND; more
    flexibility
  * byobu-config, byobu-select-profile: rework to independently select
    background color and foreground color, rather than profile; improve text
  * debian/install, debian/rules, profiles/common,
    profiles_generator/generate, profiles_generator/profile.skel,
    rpm/byobu.spec: get rid of the generated profiles; now, everything is
    handled by FOREGROUND and BACKGROUND colors, dynamically
  * byobu-janitor: clean up old ~/.byobu/profile symlinks; guess the user's
    colors and set them in ~/.byobu/colors; ensure that profile gets linked
    to the common one
  * byobu-select-profile, byobu-select-profile.1: deprecate the --set
    option, only support --background and --foreground now; update the
    documentation
  * debian/profile: establish symlinks for the color profiles to ensure
    smooth upgrades; all point to the common profile now
  * byobu-config, statusrc: enable whoami, hostname, ip_address by default;
    it seems I almost *always* turn these on, seem useful; re-disable if
    there are noisy complaints
  * byobu-janitor, statusrc: seed the ~/.byobu/status file with the
    default values, making it easier for users to customize themselves
  * bin/custom, byobu-config, byobu.1, profiles/common, rpm/byobu.spec,
    statusrc: add support for a custom status script indicator
  * byobu-config, byobu-select-profile: make color selection more readable;
    support ctrl-<space> escape sequence
  * bin/custom, byobu-status: support --detail in custom scripts
  * byobu-export, byobu-config:
    - comprehensively rewritten, basically put all of byobu's installed
      files in ~/.byobu, and use some clever sed scripts to fixup paths
    - drop the color selection, no longer necessary
  * byobu-reconnect-sockets, byobu-reconnect-sockets.1, debian/install,
    debian/rules: create a sourcable shell script that updates the gpg-agent
    and dbus socket environment variables, LP: #486511
  * README: update link to exported tarball
  * debian/install, rpm/byobu.spec, byobu-launcher-install,
    byobu-launcher-uninstall, byobu-janitor: put the launcher install and
    uninstall utilities in /usr/bin
  * bin/*: drop sourcing of /etc/byobu/statusrc, as this is done in
    byobu-status now
  * bin/apport, bin/battery, bin/cpu_freq, bin/custom, bin/disk,
    bin/ec2_cost, bin/fan_speed, bin/hostname, bin/ip_address,
    bin/load_average, bin/logo, bin/mail, bin/mem_available, bin/mem_used,
    bin/menu, bin/network, bin/processes, bin/reboot_required,
    bin/release, bin/temp_c, bin/temp_f, bin/updates_available,
    bin/uptime, bin/users, bin/whoami, bin/wifi_quality, byobu-status,
    statusrc:
    - define and use a color function for all status indicators, gives
      infinite flexibility
    - replace "undo" with "-"
  * byobu-status: allow for no color decorations, helps with older versions
    of screen, LP: #432165

 -- Dustin Kirkland <kirkland@ubuntu.com>  Sun, 13 Dec 2009 19:16:04 -0800

byobu (2.39-0ubuntu1) lucid; urgency=low

  [ Dustin Kirkland ]
  * debian/install, desktop/byobu.desktop, desktop/byobu.svg: add a
    desktop icon for Byobu, LP: #449200
  * bin/menu: improve logic for the menu button, to explicitly look for
    screen-escape-keys (^a-@), or none (byobu-config), else (F9), LP: #450421
  * debian/prerm: the for loop might not actually do anything, so make
    sure we do "something", like run "true", LP: #441788
  * byobu-config: make byobu more python 2.5 friendly, by dropping the
    'finally' clauses
  * bin/menu: add some logic in support of byobu-export'd configurations
  * byobu-export: add byobu-config to the export tarball
  * debian/release-build.sh, debian/release.sh: update for karmic->lucid

  [ Derek Carter ]
  * rpm/byobu.spec: updated for Fedora 11

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 10 Nov 2009 10:18:00 -0600

byobu (2.38-0ubuntu1) karmic; urgency=low

  * bin/menu: dynamically change the menu message between
    Menu:<F9> and Menu:^a-@, based on the users chosen keybinding set,
    LP: #446248
  * po/*: import translations just before karmic release

 -- Dustin Kirkland <kirkland@ubuntu.com>  Fri, 02 Oct 2009 11:35:53 -0500

byobu (2.37-0ubuntu1) karmic; urgency=low

  * bin/updates_available: fix yum output when listing updates
    available, LP: #440659
  * byobu-config: fix crash, due to undefined variable, LP: #428418

 -- Dustin Kirkland <kirkland@ubuntu.com>  Fri, 02 Oct 2009 11:31:57 -0500

byobu (2.36-0ubuntu1) karmic; urgency=low

  * bin/fan_speed: improve the logic for find the fan_speed system monitor
    LP: #439524
  * byobu-launcher, byobu-janitor: sometimes the ssh socket link can become
    a symlink to itself, causing byobu to fail to start due to too many
    levels of symlinks; remove the link first, before creating it;
    LP: #440221

 -- Dustin Kirkland <kirkland@ubuntu.com>  Thu, 01 Oct 2009 21:43:41 -0500

byobu (2.35-0ubuntu1) karmic; urgency=low

  * bin/updates_available: fix updates available, broken when updates
    cache file does not exist, LP: #434736

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 22 Sep 2009 09:30:21 -0700

byobu (2.34-0ubuntu1) karmic; urgency=low

  * bin/users: use wc -l, since pgrep -c doesn't work in some
    distros (busybox, Arch), LP: #434047
  * byobu.1: fix manpage, mem_used was listed twice, mail was in the wrong
    place, LP: #434052
  * byobu-export.1, byobu-launcher.1, byobu-select-profile.1: minor manpage
    fixes, updating the names of the utilities to use "byobu" rather than
    "screen"

 -- Dustin Kirkland <kirkland@ubuntu.com>  Mon, 21 Sep 2009 11:27:09 -0700

byobu (2.33-0ubuntu1) karmic; urgency=low

  * cpu_count, disk, logo, network, reboot_required, release, temp_c,
    temp_f, updates_available, wifi: make byobu status scripts friendlier
    for busybox environments (tested on the Palm Pre), LP: #430096
  * bin/updates_available: print the current cache even if we're
    updating the cache, handle it more efficiently
  * po/byoub-*.po: rename to just *.po, fix translations location, LP: #430095
  * debian/postinst, debian/preinst: move symlink of screen-profiles-status ->
    byobu-status from the postinst to the preinst
  * byobu-janitor, byobu-launcher, profiles/common: establish and update an
    SSH_AUTH_SOCK link, on screen launch and reconnect, LP: #424522

 -- Dustin Kirkland <kirkland@ubuntu.com>  Thu, 17 Sep 2009 11:07:03 -0500

byobu (2.32-0ubuntu1) karmic; urgency=low

  * bin/updates_available: also monitor /var/lib/apt/lists for changes,
    as this is touched on 'apt-get update', LP: #427855

 -- Dustin Kirkland <kirkland@ubuntu.com>  Fri, 11 Sep 2009 07:59:50 -0500

byobu (2.31-0ubuntu1) karmic; urgency=low

  [ Dustin Kirkland ]
  * bin/updates-available, profiles/common:
    - reworked to be far more efficient, and accurate, LP: #427373
    - look at the timestamp on /var/lib/apt, and only update cache
      if /var/lib/apt has been touched since the cache
    - in particular, these changes fix a bug when the user does an
      apt-get install or upgrade, and changes to the update status
      are not update for up to an hour later; with these fixes, it's
      nearly immediate
    - and now that updates_available is trivial (in most cases), we
      can run it more frequently

  [ Mathias Gug ]
  * Check that byobu-launcher exists before calling it (chroots use the same
    .profile as the main system but may not have byobu installed).

 -- Dustin Kirkland <kirkland@ubuntu.com>  Mon, 31 Aug 2009 19:30:20 -0500

byobu (2.30-0ubuntu1) karmic; urgency=low

  * byobu-launcher: LP: #422155
    - it seems that checking $STY is not totally sufficient for
      determining if we're already in a screen session; additionally
      check that TERM != screen-bce
    - set window title before we attach to an existing session, LP: #422158
  * byobu: LP: #422155
    - test TERM against screen-bce here too
    - checking that $SHELL is executable covers -n too

 -- Dustin Kirkland <kirkland@ubuntu.com>  Fri, 28 Aug 2009 11:14:40 -0500

byobu (2.29-0ubuntu1) karmic; urgency=low

  * bin/disk: fix disk units for <10GB disks

 -- Dustin Kirkland <kirkland@ubuntu.com>  Mon, 24 Aug 2009 22:58:20 -0500

byobu (2.28-0ubuntu1) karmic; urgency=low

  [ Daniel Hahler ]
  * Fix bashism in byobu script (LP: #418273)

 -- Dustin Kirkland <kirkland@ubuntu.com>  Mon, 24 Aug 2009 15:18:03 -0500

byobu (2.27-0ubuntu1) karmic; urgency=low

  [ Derek Carter <goozbach@friocorte.com> ]
  * byobu-config, rpm/byobu.spec: fixed to build on Fedora 11; merged
    with minor modifications (install keybindings/common as a symlink to
    f-keys)

  [ Dustin Kirkland ]
  * byobu-config: use Derek's *awesome* "screen -X" hack to reload profiles
    automatically, and drop the "reload" prompt

 -- Dustin Kirkland <kirkland@ubuntu.com>  Mon, 17 Aug 2009 16:08:53 -0500

byobu (2.26-0ubuntu1) karmic; urgency=low

  * bin/temp_c, bin/temp_f: fix temperature listing, LP: #411108
  * bin/disk, bin/logo, bin/network, bin/release, bin/temp_c, bin/temp_f,
    byobu-janitor: move config files to sourced config file, use
    janitor item to clean up
  * byobu-status: source, rather than exec the target status script,
    such that the script inherits the source status config variables;
    source statusrc (which contains overrides)
  * bin/disk: fix up reading of MONITORED_DISK
  * byobu.1: update documentation for new .byobu/statusrc file
  * bin/ip_address: allow interface override
  * bin/ip_address, bin/mem_used, bin/temp_c, bin/temp_f,
    bin/wifi_quality: performance improvements, reduce the number of
    forked shells by multiple sed-calls on one line by using a single
    sed call with multiple -e arguments (thanks for the suggestion smoser)
  * debian/control: bumping standards version
  * po/byobu-bg.po, po/byobu-de.po, po/byobu-en_GB.po, po/byobu-es.po,
    po/byobu-fr.po, po/byobu-hu.po, po/byobu-id.po, po/byobu-it.po,
    po/byobu-ja.po, po/byobu-la.po, po/byobu-nl.po, po/byobu-ru.po,
    po/byobu-sv.po, po/es.po, po/fr.po, po/ru.po: translations import
    from launchpad

 -- Dustin Kirkland <kirkland@ubuntu.com>  Mon, 17 Aug 2009 14:30:27 -0500

byobu (2.25-0ubuntu1) karmic; urgency=low

  [ Dustin Kirkland ]
  * hostname, ip_address, mem_available: make sure statusrc exists
    before sourcing it, LP: #407478
  * temp_f, temp_c: use degree character
  * release, logo: default the logo and release to Byobu, if undetermined
  * profiles/common: ip_address is really cheap, changes more frequently
    than previously considered, check this every ~2 minutes
  * profiles/common: enable 256 color support, LP: #409353
  * debian/control: bump standards version

  [ Scott Moser ]
  * debian/source_byobu.py: invoke ls command allowing for shell expansion,
    LP: #408936
  * byobu-janitor: do not fail on optional sed replacement, LP: #408945

 -- Dustin Kirkland <kirkland@ubuntu.com>  Wed, 05 Aug 2009 16:28:15 +0100

byobu (2.24-0ubuntu1) karmic; urgency=low

  [ Chow Loong Jin and Dustin Kirkland ]
  * byobu, byobu-launcher, byobu-select-profile: check $STY rather than
    $TERM, to determine if we're already inside of a screen session, per
    screen's manpage; wrap $STY in double quotes; use -n rather than -z;
    LP: #403988, LP: #403809

  [ Dustin Kirkland ]
  * debian/rules: fix update-pot section of rules file; previous code
    was only actually gathering messages from the last file input
    (byobu-config); this joins the code properly
  * bin/wifi_quality: actually evaluate the wifi quality, fixes broken
    quality percentage

 -- Dustin Kirkland <kirkland@ubuntu.com>  Wed, 29 Jul 2009 23:52:25 -0500

byobu (2.23-0ubuntu1) karmic; urgency=low

  [ Kees Cook ]
  * byobu, byobu-launcher:
    - set the window title to "$USER@HOST - byobu"
    - do this in byobu, rather than byobu-launcher so that all byobu
      sessions, and not just auto-launched sessions get this
    - note that we're dropping $PWD since this does not actually work
      and replacing this with " - byobu"
    - for $PWD to work, we'd need screen to support two separate
      hardstatus lines, as we can either put it at the bottom of byobu,
      or in the window title, and hardstatus is the only tool available
      to us for tracking $PWD
    - drop the bash -i hack in byobu-launcher; this speeds up logins

 -- Dustin Kirkland <kirkland@ubuntu.com>  Wed, 22 Jul 2009 21:26:42 -0500

byobu (2.22-0ubuntu1) karmic; urgency=low

  * byobu-launcher: must explicitly set PROMPT_COMMAND in byobu_launcher;
    this used to be in /etc/skel/.bashrc, but has since been dropped
    (see Debian Bug #420656); thus, we need to set it ourself if we
    want gnome-terminal to be updated with the remote host/username

 -- Dustin Kirkland <kirkland@ubuntu.com>  Wed, 22 Jul 2009 19:34:51 -0500

byobu (2.21-0ubuntu1) karmic; urgency=low

  * byobu-launcher: drop "Launching byobu", since this ends up in the
    bash history, LP: #400275
  * bin/disk: unbold the first letter of the disk size units, match
    format of the mem status reporting

 -- Dustin Kirkland <kirkland@ubuntu.com>  Mon, 20 Jul 2009 15:27:06 -0500

byobu (2.20-0ubuntu1) karmic; urgency=low

  * byobu: make this script set -e, such that it will fail if byobu-janitor
    exits non-zero
  * byobu-janitor: check that ~/.byobu is writable; print an error message
    and exit non-zero if not; handles odd situation where user launches
    byobu from a sudo/root shell, and root owns their ~/.byobu dir, but then
    they launch as non-root sometime later, LP: #394147
  * profiles/common: add a backtick helper hack to print %-1
  * profiles_generator/profile.skel: improve handline of window overflow
    on the caption line; use a ... elipsis at the beginning or end of line
    to show that there are more windows or information available than
    immediately shown, LP: #369828
  * debian/source_byobu.py: add apport hooks for byobu

 -- Dustin Kirkland <kirkland@ubuntu.com>  Sun, 12 Jul 2009 13:29:15 -0500

byobu (2.19-0ubuntu1) karmic; urgency=low

  * byobu-launcher: print 'Launching Byobu...' banner for slower terminals,
    and drop the printing of 'exit'; much nicer user experience
  * bin/cpu_freq, bin/disk, bin/mem_available, bin/mem_used: use bold
    font for these, to help with dark colored tty's
  * bin/temp_c, bin/temp_f: fix display of yellow on dark tty's
  * bin/*: use bold for measurements, and non-bold for units; this really
    makes byobu's status items 'pop'!
  * bin/fan_speed, byobu-config, byobu.1, profiles/common,
    profiles_generator/profile.skel, rpm/byobu.spec, statusrc: added cpu
    fan speed status
  * bin/users, byobu.1: don't display '0#' if no users logged in; waste of
    space, match behavior of updates_available
  * bin/processes, byobu.1: use white text on yellow background, more
    readable on tty's

 -- Dustin Kirkland <kirkland@ubuntu.com>  Mon, 06 Jul 2009 15:50:50 -0500

byobu (2.18-0ubuntu1) karmic; urgency=low

  * debian/screen-profiles.postinst: try to remove the dpkg-divert, but
    if it fails, let the installation proceed, since we've copied
    screen.real back into place now, (much hate shall descend upon
    dpkg-divert!!!), LP: #393204
  * byobu-launcher-uninstall, byobu-janitor: byobu-launcher is no longer
    fully qualified, update the remove to account for this; clean out
    old screen-launcher entries as a janitor item LP: #392978
  * keybindings/f-keys, keybindings/screen-escape-keys: call the
    byobu-config window 'config', rather than 'help'

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 30 Jun 2009 16:08:47 -0700

byobu (2.17-0ubuntu1) karmic; urgency=low

  [ Dustin Kirkland ]
  * debian/postinst: can't assume a group named for the user, LP: #391722
  * debian/postinst, debian/screen-profiles.postinst: ensure that
    /usr/bin/screen doesn't disappear, which causes the dpkg-divert
    removal to fail; LP: #390808
  * bin/mem_available: read mem_available from /proc, should be more
    efficient
  * byobu-launcher-uninstall: uninstall old screen-launcher entries too,
    LP: #391913
  * byobu: detect and emit an error message if the user tries to run
    byobu from within a screen session
  * byobu: add a -v version argument
  * byobu.1, byobu-config.1: move the putty bug note to the byobu manpage
    next to the keybinding documentation
  * debian/byobu-extras.install, debian/control, debian/install,
    debian/release.sh, debian/rules, generate, rpm/byobu.spec: eliminate
    the byobu-extras package; this was originally created because we
    used to force select-screen-profile on first run, and the number of
    profiles was overwhelming;  we're no longer doing this, and this
    separate package is more trouble than its worth

  [ Ciemon Dunville ]
  * byobu.1: update description, add note about units of measure

 -- Dustin Kirkland <kirkland@ubuntu.com>  Fri, 26 Jun 2009 17:34:30 -0500

byobu (2.16-0ubuntu1) karmic; urgency=low

  * byobu-config, doc/help.txt: update the verbage of some text
  * byobu-config, byobu-janitor, byobu-select-profile, debian/install,
    debian/rules, po/POTFILES.sh, rpm/byobu.spec: rename select-screen-profile
    to byobu-select-profile; fits our namespace better
  * byobu-config, byobu-launcher, byobu-launcher-install,
    byobu-launcher-uninstall, debian/install, debian/rules,
    rpm/byobu.spec: rename to byobu-launcher*

  Fixes for: LP: #391105, #390405, #391039
  * debian/control: add screen-profiles and screen-profiles-extras
    transitional packages
  * debian/postinst, debian/prerm, debian/rules: fix screen-profiles ->
    byobu upgrades; drop byobu's attempt to remove the dpkg-divert on
    /usr/bin/screen, as this fails; establish links in the postinst,
    remove in the prerm
  * debian/screen-profiles.postinst: remove the diversion on *installation*
    of this transitional package

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 23 Jun 2009 14:47:10 -0500

byobu (2.15-0ubuntu1) karmic; urgency=low

  * profiles/common: defutf8 on seems like a sane default, at this point,
    LP: #301447
  * debian/control: trying to fix upgrade issues, add
    provides/replaces/conflicts screen-profiles (<< 2.0), LP: #390808
    NOTE: we can't provide a dummy screen-profiles package, as we
    must have screen-profiles uninstalled first, to remove the
    dpkg-diversion of /usr/bin/screen
  * byobu: force the janitor to run on startup to create the environment
  * byobu-status: fix --detail, detect script dir

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 23 Jun 2009 01:00:09 -0500

byobu (2.14-0ubuntu1) karmic; urgency=low

  * debian/postinst: remove set -x debugging
  * debian/control: create dummy screen-profiles and screen-profiles-extras
    packages, to handle seamless upgrades from screen-profiles -> byobu

 -- Dustin Kirkland <kirkland@ubuntu.com>  Mon, 22 Jun 2009 11:28:14 -0500

byobu (2.13-0ubuntu1) karmic; urgency=low

  [ Dustin Kirkland ]
  * bin/updates_available: direct which out to devnull
  * screen-launcher-install: no need to check for executability of
    screen-launcher
  * byobu-config: improve the verbage of some of the menus, per
    review with the Canonical Design Team
  * statusrc, byobu-status, byobu-export, debian/install: source default
    status states, rather than the big case statement, performance
    improvement for all status, also reduces the number of places to
    touch when a new status script is added
  * byobu-status: move all of the cleanup hacks to byobu-janitor; create
    a find_script() function that allows for scripts in both /usr/lib and
    $HOME/.byobu
  * byobu, byobu-janitor, debian/install, profiles/common,
    profiles/profile.skel: remove janitorial logic scattered across
    several scripts and put it in a single place; call this script before
    launching byobu, and then only once a day or when the user refreshes
    their profile
  * bin/reboot_required, byobu-janitor, byobu-status, byobu.1,
    debian/postinst: display an <F5> next to the reboot symbol, if a byobu
    reload is required; flag this in the postinst, after upgrading byobu
  * byobu-config: add note about ctrl-a-R to reload profile, flag the
    reload-required file when making changes
  * byobu-janitor: add fix for the collapsed disk* and network* status
    items
  * byobu-config, windows/common: add some examples in the common windows
    file, all disabled by default;  in byobu-config, if the user's windows
    file is empty, show the examples in the default window management
    panel
  * bin/ec2_cost, bin/ip_address, bin/network: get default interface from
    /proc/net/route, much more efficient
  * bin/network: read bytes sent/received straight from /proc; more
    efficient

  [ Ciemon Dunville ]
  * byobu.1: reflect the keybinding toggle change to Ctrl-a-!

 -- Dustin Kirkland <kirkland@ubuntu.com>  Sun, 21 Jun 2009 12:44:19 -0500

byobu (2.12-0ubuntu1) karmic; urgency=low

  [ Massive changeset for LP: #386546 ]
  * bin/cpu_count, bin/cpu_freq, bin/disk_available, bin/disk_used,
    bin/ec2_cost, bin/ip_address, bin/load_average, bin/mem_available,
    bin/mem_used, bin/network_down, bin/network_up, bin/reboot_required,
    bin/temp_c, bin/temp_f, bin/updates_available, bin/wifi_quality,
    byobu-config, byobu-export, byobu-status, byobu.1, debian/control,
    doc/help.txt, profiles/common, rpm/byobu.spec: massive changeset, moving
    all status scripts from *-* to *_*; this allows us to source the
    ~/.byobu/status file, rather than grepping through it for configuration
    information, yielding significant performance improvements
  * profiles/common: massive rework of status frequencies; use prime numbers
    to minimize collisions; increase/decrease a few, based on statistical
    testing of required runtimes
  * bin/wifi_quality: significant performance improvements, remove unneeded
    route call, cache iwconfig output so that it's only called once
  * bin/processes: improve performance by listing /proc (doubles the speed)
  * bin/network, profiles/common, profiles/profile.skel, byobu-config,
    byobu-status, byobu.1, rpm/byobu.spec: merge network_down and
    network_up to a single status script; too much duplication of code,
    causes performance problems
  * bin/disk_available, bin/disk_used, bin/hostname, bin/ip_address,
    bin/mem_available, byobu-status: drop grepping of status config file,
    source it instead, should improve performance
  * bin/reboot-required: don't exit 1 when a reboot is not required
  * bin/cpu-freq: drop "cat" and just use awk, don't printf twice,
    performance improvements
  * bin/updates_available: drop "cat", and just use grep, performance
    improvement
  * bin/load_average: drop "cat", and just use awk, performance
    improvement
  * bin/network: pull network bytes directly from /proc/net/dev, performance
    improvement
  * bin/users: use pgrep -c, performance improvement
  * bin/time, bin/date, bin/reboot-required: use case statement, performance
    improvement
  * bin/battery: ensure that only one present battery is displayed in the
    status area
  * bin/disk, bin/disk_used, profiles/common, profiles/profile.skel:
    collapse disk usage down to a single status script for performance,
    support disk partitions as well as mountpoints in ~/.byobu/disk,
    LP: #388053

  * byobu-config: have ESC be a hotkey for 'cancel', LP: #373473

  * byobu-config, debian/rules, keybindings/common.disable,
    keybindings/f-keys, keybindings/screen-escape-keys: massive fix for
    byobu keybindings; use ctrl-a-! to toggle on/off byobu's f-keys;
    also support a new keyset, screen-escape-keys which profiles ctrl-a
    keybindings for common byobu functions, LP: #380944

  * bin/mail, byobu-status, byobu.1, profiles/common,
    profiles/profile.skel, rpm/byobu.spec: add a mail status notification,
    LP: #387936

  * byobu-config: fix keybinding disabling for non-standard escape sequences,
    LP: #389129

 -- Dustin Kirkland <kirkland@ubuntu.com>  Fri, 19 Jun 2009 00:35:39 -0500

byobu (2.11-0ubuntu1) karmic; urgency=low

  [ Dustin Kirkland ]
  * debian/install, keybindings/common.disable: add support for
    enabling/disabling the byobu keybindings, with ctrl-a-( and
    ctrl-a-), LP: #386363
  * screen-launcher-install, screen-launcher-uninstall: use
    .hushlogin to prevent double-printing of motd
  * bin/network-*, byobu.1: allow monitored network interface overrides in
    ~/.byobu/network-interface, update manpage accordingly, LP: #386364
  * byobu-export, select-screen-profile: fix bashisms
    on the read command, Debian Bug (closes: #530989)
  * byobu: use -c for motd+shell, LP: #387201

  [ Ciemon Dunville ]
  * byobu.1: Simply added a SEE ALSO to byobu.1; added section on the
    keybindings

 -- Dustin Kirkland <kirkland@ubuntu.com>  Mon, 15 Jun 2009 22:43:23 -0500

byobu (2.10-0ubuntu1) karmic; urgency=low

  [ Dustin Kirkland ]
  * byobu: don't create an extra shell, if the user has some default
    windows specified
  * bin/updates-available, byobu, byobu-export, byobu-status,
    screen-launcher-install: remove hardcoded /usr/bin paths; some users
    install without root privileges and want to run from a location other
    than /usr/bin, LP: #385762
  * README: mention the statically exported byobu tarball, LP: #385762

  [ Ciemon Dunville ]
  * byobu.1, byobu-config.1: manpages refactored, to move the status
    descriptions to the main byobu manpage

 -- Dustin Kirkland <kirkland@ubuntu.com>  Thu, 11 Jun 2009 23:29:10 -0500

byobu (2.9-0ubuntu1) karmic; urgency=low

  * screen-launcher: slightly cleaner bash exit (still could use some
    improvement)
  * select-screen-profile: update to say "byobu" rather than screen,
    LP: #382643
  * bin/wifi-quality, bin/network-up, bin/network-down: must use /sbin
    in iwconfig and ifconfig paths
  * bin/cpu-count: performance improvement, use getconf
  * bin/cpu-freq: performance improvement, simplify pipes
  * bin/disk-*: use the POSIX output format
  * bin/ec2-cost: performance improvement, cache ifconfig output
  * bin/logo: use a case-statement instead of nasty if/then/else stack
  * profiles/NONE: don't source ~/.screenrc, causes a nasty recursion,
    LP: #382642

 -- Dustin Kirkland <kirkland@ubuntu.com>  Mon, 08 Jun 2009 17:46:24 -0500

byobu (2.8-0ubuntu1) karmic; urgency=low

  * profiles/byoburc, profiles/profile.skel: move the .screenrc sourcing
    to the byoburc file

 -- Dustin Kirkland <kirkland@ubuntu.com>  Mon, 01 Jun 2009 23:15:58 -0500

byobu (2.7-0ubuntu1) karmic; urgency=low

  * debian/postinst: clean up old screen -> byobu symlink before undoing
    the dpkg-divert, LP: #382462

 -- Dustin Kirkland <kirkland@ubuntu.com>  Mon, 01 Jun 2009 13:46:40 -0500

byobu (2.6-0ubuntu1) karmic; urgency=low

  * byobu, debian/postrm, debian/preinst, debian/rules, screen-launcher:
    remove the dpkg diversion on /usr/bin/screen as this has proven
    to be controversial; users will need to call "byobu" to launch
    a byobu-style screen session; LP: #330322
  * bin/network-*: set rate=0 when rate is negative (ie, on startup)
  * bin/temp-*: better support for temperature zones, LP: #380885
  * byobu: If the user is running byobu with some arguments, but has
    not selected their profile yet, don't bother them with profile
    selection at this time, LP: #330322
  * screen-launcher-install: handle non-interactive shells correctly,
    LP: #380761
  * keybindings/common: add keybindings, @=config, R=reload, LP: #380944
  * po/ru.po: added russian translation, thanks Slava, LP: #380977

 -- Dustin Kirkland <kirkland@ubuntu.com>  Mon, 01 Jun 2009 09:11:22 -0500

byobu (2.5-0ubuntu1) karmic; urgency=low

  * bin/temp-c, bin/temp-f, byobu-config, byobu-config.1, byobu-status,
    profiles/common, profiles/profile.skel, rpm/byobu.spec: added a
    cpu temperature indicator
  * byobu-export: echo the version to file, in an exported byobu tarball

 -- Dustin Kirkland <kirkland@ubuntu.com>  Fri, 22 May 2009 18:51:49 +0200

byobu (2.4-0ubuntu1) karmic; urgency=low

  [ Dustin Kirkland ]
  * byobu: support Debian/Ubuntu's diversion of screen to screen.real,
    as well as RH, which does not divert the real screen binary
  * debian/release.sh: handle version incrementing in the rpm specfile
  * bin/disk-used: fix situations where df output wraps to the next
    line
  * bin/logo: check that lsb_release is available before using it
  * bin/release: try to grab both distro and version from /etc/issue
    if that's what we're forced to use
  * bin/updates-available: improve counting of yum updates available
  * bin/ip-address,whoami,release,hostname: use +b rather than =b,
    colors look bad on the light* profiles
  * bin/ip-address: hostname -i doesn't always work, use ifconfig
    instead, LP: #376080
  * bin/network-down,network-up,updates-available: use /var/run/screen
    for status cache files, to keep from waking up the disk
  * bin/battery: color the entire battery the same way, only use 3 tones,
    Green/Yellow/Red (6 was too confusing), always use black text on
    capital G/Y/R background
  * byobu-export: tar files with owner/group as root/root, LP: #371025
  * byobu, debian/install, motd+shell, profiles/byoburc: launch screen
    with a simple config file that includes the chosen profile plus
    the chosen windows; but on refresh, only reload the chosen profile;
    revert previous hack that did this by creating a temporary config
    file and broke on hardy, LP: #375309
  * screen-launcher: don't use the -x argument if launching a new screen,
    as this fails to launch default windows, LP: #375768
  * debian/control: suggest vim, for better handling of status details

  [ David Duffey ]
  * rpm/byobu.spec: initial specfile for RH packaging

 -- Dustin Kirkland <kirkland@ubuntu.com>  Sat, 16 May 2009 21:06:53 +0100

byobu (2.3-0ubuntu1) karmic; urgency=low

  * byobu-status-detail: foldcolumn=2, print bars on the left side
    that should make the folding output easier to read
  * byobu-status: print some navigation hints at the top of the detailed
    status output

 -- Dustin Kirkland <kirkland@ubuntu.com>  Mon, 11 May 2009 10:49:30 -0500

byobu (2.2-0ubuntu1) karmic; urgency=low

  * bin/cpu-count: print cpu model names for --detail
  * byobu-status: print the short description (matching the status
    in the lower bar) first, then the description in parens in the
    first line of the indented/folded text

 -- Dustin Kirkland <kirkland@ubuntu.com>  Thu, 07 May 2009 15:56:34 -0500

byobu (2.1-0ubuntu1) karmic; urgency=low

  * byobu-export: touch an empty .byobu/profile, silence error message
  * byobu-status, debian/rules: migrate existing screen-profiles config
    dir smoothly by linking the old screen-profiles-status script to the
    new byobu-status, and add a migrate function to that script
  * bin/disk-available, bin/disk-used, byobu-config, byobu-config.1,
   byobu-status, profiles/common, profiles/profile.skel: add a new
   pair of status notifications for disk space available and used;
   default to / directory, allow user override in config dir

  Tranform byobu-status --detail to use vim's folding feature
  * byobu-status: output text compatible with vim's folding feature
  * byobu-status-detail: use vim's folding status feature to allow
    for collapsing/expanding each status item; fall back on
    sensible-pager if +folding is not available; and fall back on less
    if sensible-pager is not available
  * bin/cpu-count: nothing to print on --detail
  * bin/date: add --short which actually prints the current date
  * bin/ec2-cost: handle on/off configuration like *all* other status
    scripts, no need for FORCE
  * bin/ip-address: --detail shows all inet addr's in ifconfig
  * bin/logo: --detail should be empty
  * bin/network-down, bin/network-up: trim trailing whitespace
  * bin/reboot-required: add a --short option, which prints Yes or No
  * bin/time: add --short which actually prints the current time
    rather than the screen escape sequence
  * bin/updates-available: add a --short option, which only displays the
    number of updates available; show more info on --detail about upgrades
  * bin/users: grep out the grep statement in the ps
  * bin/whoami: print /etc/passwd info on --detail

 -- Dustin Kirkland <kirkland@ubuntu.com>  Thu, 07 May 2009 00:54:43 -0500

byobu (2.0-0ubuntu1) karmic; urgency=low

  Renaming project screen-profiles to byobu
  * bin/users: make the --detail output match the status output
  * bin/ec2-cost, bin/hostname, bin/ip-address, bin/logo,
    bin/mem-available, bin/network-down, bin/network-up,
    bin/updates-available, debian/postrm, debian/preinst,
    debian/release.sh, debian/rules, screen, screen-launcher-install,
    screen-profiles, screen-profiles-export, screen-profiles-status,
    select-screen-profile: abstract the package name (currently,
    screen-profiles) to a variable

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 05 May 2009 23:04:06 -0500

screen-profiles (1.54-0ubuntu1) karmic; urgency=low

  * bin/ip-address: don't color the whitespace
  * bin/cpu-count: don't echo blank line in detailed status
  * bin/updates-available: print "None" in detailed status, if no updates
    are available
  * screen-profiles-status: ensure that all detail scripts get a chance
    to run
  * debian/copyright: there have *never* been icons in screen-profiles;
    remove the CC2.5 license statement, as this was erroneously copied over
    from another package for the initial packaging
  * screen-profiles-status: color code and format the detailed status output
  * screen-profiles-status-detail: use less -R to render ansi escaped
    color formatting correctly; seed the search pattern with the header
    for each section

 -- Dustin Kirkland <kirkland@ubuntu.com>  Sat, 02 May 2009 14:29:06 -0500

screen-profiles (1.53-0ubuntu1) karmic; urgency=low

  * screen: some users gripe about the default launched window being
    called "motd+shell", LP: #369397
  * motd+shell, screen: clean up temp file
  * bin/users, screen-profiles.1: when counting users, count remote ssh
    sessions
  * bin/ec2-cost: update location of ec2_version file
  * debian/install, screen-profiles-export, screen-profiles-status,
    screen-profiles-status.1: move status gathering scripts from /var/lib
    to /usr/lib, LP: #369368

 -- Dustin Kirkland <kirkland@ubuntu.com>  Wed, 29 Apr 2009 18:57:27 -0500

screen-profiles (1.52-0ubuntu1) karmic; urgency=low

  * bin/updates-available: drop leading "Inst" in detailed report
  * bin/logo: add logo for altlinux
  * screen: drop the -t title, causes hangs if user defines shelltitle,
    LP: #368925
  * profiles/profile.skel: swap the position of ip-address and menu
  * screen-profiles.1: document all notifications, LP: #369040
  * profiles/common, screen: create a temp file to use on screen launch,
    consisting of the profile plus the windows, but don't source default
    windows otherwise as this breaks F5-refresh, LP: #368786
  * screen-profiles: ensure that all registered keybindings get updated
    if the user changes their escape sequence, LP: #368937
  * screen-launcher-install, screen-launcher-uninstall: support
    screen-by-default installation for zsh users, LP: #368960

 -- Dustin Kirkland <kirkland@ubuntu.com>  Wed, 29 Apr 2009 02:28:48 -0500

screen-profiles (1.51-0ubuntu1) karmic; urgency=low

  * bin/cpu-freq: only print cpu-freq if available
  * bin/hostname: hostname -s fails sometimes, it seems
  * screen: respect $SCREENRC environment variable, LP: #367250
  * bin/ip-address: add an ip-address status script

  Detailed status
  * bin/*: add special actions if --detail is specified; basically,
    print all relevant information on stdout without formatting
  * screen-profiles-status: add support for --detail, loop through
    all status scripts with --detail specified
  * screen-profiles-status-detail: wrapper using sensible-pager
  * screen-profiles-status-detail.1: documentation added

 -- Dustin Kirkland <kirkland@ubuntu.com>  Mon, 27 Apr 2009 21:55:38 -0500

screen-profiles (1.50-0ubuntu1) jaunty; urgency=low

  * keybindings/common, screen-profiles, select-screen-profile: add a
    carriage return to the F5-refresh keybinding
  * keybindings/common, doc/help.txt: change F8 from advanced help to
    window re-titling (over time, this is far more useful than adv help)
  * profiles/plain: renamed to NONE to more clearly convey the fact that
    if you choose this profile, you are not, in fact, using a supplied
    screen-profile; correct broken symlinks in the 'screen' script
  * select-screen-profile: set the default, recommended, simple profile
    to 'light'

 -- Dustin Kirkland <kirkland@ubuntu.com>  Thu, 23 Apr 2009 16:59:59 -0500

screen-profiles (1.49-0ubuntu1) jaunty; urgency=low

  * motd+shell: should use exec to run shell, LP: #365115

 -- Dustin Kirkland <kirkland@ubuntu.com>  Wed, 22 Apr 2009 21:50:00 -0500

screen-profiles (1.48-0ubuntu1) jaunty; urgency=low

  Drop the distro name in generated profiles
  * debian/install: fix installation of profiles
  * debian/rules: don't create the ubuntu profile symlink
  * debian/screen-profiles-extras.install: no longer need to install
    the distro-specific profiles
  * profiles/generate: generate profiles which do not have ubuntu-
    prepended
  * select-screen-profile: remove the ubuntu specific profile handling
  * screen: fix broken symlinks to ubuntu-* profiles
  * screen-profiles: drop special ubuntu handling
  * screen-profiles-export: drop ubuntu prepending

  * screen: default to the light profile, if unspecified; this should be
    acceptable now that the F9:Menu prompt is always shown, and from there,
    any user can easily change their profile; just touch the windows config
    file since F5 reloads reopens all windows; launch with motd+shell if
    no args to screen are specified
  * keybindings/common: don't force users to name a window on F2 window
    creation
  * debian/postrm: remove the || true on the diversion removal, per Debian
    ITP; I suppose we want to know if the diversion removal failed
  * screen-profiles, screen-profiles-status: default uptime status to 'on',
    generally useful, and pretty compact
  * bin/mem-available: fix subtle bug where whitespace is printed if in a
    totally default (no status file) configuration
  * screen-profiles-status.1, debian/rules: manpage added
  * screen-profiles-export: randomly generate tarball name, if unspecified

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 21 Apr 2009 16:45:35 -0500

screen-profiles (1.47-0ubuntu1) jaunty; urgency=low

  * screen-profiles-status: stop grepping after one match, subtle perf
    improvement
  * bin/logo: lsb_release is really expensive, try /etc/issue first,
    and fall back to lsb_release if that fails
  * bin/date, bin/time: last release installed 644 for some reason?

 -- Dustin Kirkland <kirkland@ubuntu.com>  Sat, 18 Apr 2009 16:10:35 -0500

screen-profiles (1.46-0ubuntu1) jaunty; urgency=low

  * bin/date, bin/time, screen-profiles-status, screen-profiles-export,
    screen-profiles: allow for configuring on/off the date and time
    status, LP: #359050
  * bin/logo: added logos for foresight and xandros
  * bin/battery: use the more intense yellow for lower battery percentage

 -- Dustin Kirkland <kirkland@ubuntu.com>  Fri, 17 Apr 2009 10:26:40 -0500

screen-profiles (1.45-0ubuntu1) jaunty; urgency=low

  [ Dustin Kirkland ]
  * bin/cpu-freq: fix for powerpc LP: #352286, fix for arm LP: #362157,
    always report in GHz, round to nearest hundred
  * bin/uptime: don't print seconds, since we don't update often enough
  * bin/*: route and ifconfig are in /sbin, fully qualify
  * Performance improvements, LP: #360759
    - screen-profiles-status: use home bin scripts, if available first,
      then fallback to system-wide, allows for local overrides; comment
      out nice and ionice calls;  this *really* slows down startup
    - bin/release: eliminate one expensive lsb_release call
    - bin/updates-available: background updates checking processes,
      let them write to cache, and let the next cache check pick up the
      changes
  * debian/control: add a versioned dependency on python-newt, as
    screen-profiles appears to crash on gutsy systems (but is okay on
    hardy systems), LP: #346603

  [ Jon Bernard <bernardj@gmail.com> ]
  * debian/control: fix typo in screen-profiles-extras description

  [ Steven Danna <ssd7@pitt.edu> ]
  * bin/battery: hide percentage when battery is in charged state

 -- Dustin Kirkland <kirkland@ubuntu.com>  Thu, 16 Apr 2009 13:40:00 -0500

screen-profiles (1.44-0ubuntu1) jaunty; urgency=low

  * bin/updates-available: print one ! for updates, two !! for security
    updates available (should have a unit for each item)
  * profiles/profile.skel: updates-available and reboot-required should
    be over with the rest of the status

 -- Dustin Kirkland <kirkland@ubuntu.com>  Wed, 08 Apr 2009 14:43:23 -0700

screen-profiles (1.43-0ubuntu1) jaunty; urgency=low

  [ Dustin Kirkland ]
  New status notifiers, LP: #357911
  * bin/logo: allow users to define their own logo
  * bin/processes: display a count of the running processes
  * bin/network-down, bin/network-up: added network transmit status
  * bin/wifi-quality: show wireless signal quality
  * bin/*, profiles/profile.skel: make all status scripts handle their
    own colors and trailing whitespace;  this should help alleviate the
    16-color-change limitation on un-patched screens;  it also simplifies
    the hardstatus string significantly, LP: #357917
  * profiles/profile.skel: move reboot-required and updates-available to
    the early part of the status string, since these require action
  * screen-profiles-status: new, central script for all status actions;
    allows us to centralize some things, like enable/disable checking
    and process nice-ness, LP: #357923

  [ Raphaël Pinson and Dustin Kirkland ]
  * bin/battery, bin/users, bin/uptime, profiles/common, screen-profiles:
    added new status items for battery state, number of users, and system
    uptime, LP: #357911

 -- Dustin Kirkland <kirkland@ubuntu.com>  Wed, 08 Apr 2009 11:49:15 -0700

screen-profiles (1.42-0ubuntu1) jaunty; urgency=low

  [ Dustin Kirkland ]
  * bin/cpu-freq: fix cpu freq for powerpc hardware, LP: #352286;
    use 2 decimals for GHz (bring this down to 1 decimal when cpus hit 10GHz)
  * debian/postinst, debian/prerm, screen: remove some maintainer hacks
    that should be cleaned up before Jaunty GA, LP: #352291
  * po/*: screen-profiles-export translation template
  * profiles/common: added 'altscreen on', which cleans the screen for
    programs that support this, such as vi and emacs, LP: #349677
  * bin/logo, profiles/common, profiles/generate: dynamically print logo
    LP: #352632
  * screen-profiles-export, screen-profiles-export.1: drop distro selection,
    no longer needed
  * added logo for Arch linux

  [ Adi Roiban ]
  * debian/install, debian/rules, po/POTFILES.python, po/POTFILES.sh,
    po/es.po, po/fr.po, po/screen-profiles.pot: LP: #347521, i18n support
    in the screen-profiles build and install


 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 31 Mar 2009 17:31:10 -0500

screen-profiles (1.41-0ubuntu1) jaunty; urgency=low

  [ Dustin Kirkland ]
  * profiles/logos/gentoo: added a gentoo logo
  * profiles/logos/mandriva: added a mandriva logo
  * profiles/generate-profiles: reorganize cleaning and echo's
  * debian/rules: generate profiles as part of the build, rather than
    get-orig-source
  * bin/release: determine release from /etc/issue if lsb-release not found;
    don't use fully qualified path for lsb_release as it seems this has moved
    around (see Dapper); for Ubuntu use -d, but use -r -i for other os's
  * licenses updated to GPLv3 (dropped "or later" clause)
  * screen-profiles-export: new script, for exporting a profile to systems
    where screen-profiles are not installed
  * screen-profiles-export.1: manpage for new script
  * debian/install: install screen-profiles-export
  * profiles/generate-profiles renamed to profiles/generate

  [ James Wilcox ]
  * bin/updates-available: support SUSE's zypper

 -- Dustin Kirkland <kirkland@ubuntu.com>  Sat, 28 Mar 2009 13:31:39 -0500

screen-profiles (1.40-0ubuntu1) jaunty; urgency=low

  * bin/updates-available: cache /var/run/updates-available locally, to
    persist across reboots, LP: #344993
  * profiles/logos/suse: added a simple SuSE green on white logo

 -- Dustin Kirkland <kirkland@ubuntu.com>  Wed, 18 Mar 2009 14:17:30 -0500

screen-profiles (1.39-0ubuntu1) jaunty; urgency=low

  * debian/screen-profiles-extras.install: new package, providing the
    additional, color profiles, LP: #342244
  * debian/control: suggest screen-profiles-extra, and create the package
  * screen: recommend the screen-profiles-extras package, if the user's
    chosen profile isn't readable
  * select-screen-profile: silence stderr on ls

 -- Dustin Kirkland <kirkland@ubuntu.com>  Fri, 13 Mar 2009 12:53:09 -0500

screen-profiles (1.38-0ubuntu1) jaunty; urgency=low

  * screen-profiles: add support for toggling on/off each status item
  * bin/arch: new status notifier, default is 'off'
  * bin/*: speed these up by dropping the 'basename' shell call
  * profiles/common: change the refresh on status items that don't change
    to once-a-day; add arch

 -- Dustin Kirkland <kirkland@ubuntu.com>  Fri, 13 Mar 2009 00:18:59 -0500

screen-profiles (1.37-0ubuntu1) jaunty; urgency=low

  * bin/menu: make internationalizable menu prompt
  * debian/rules: get-po from menu
  * bin/*: test if enabled/disabled before executing, LP: #341557

 -- Dustin Kirkland <kirkland@ubuntu.com>  Thu, 12 Mar 2009 02:33:59 -0500

screen-profiles (1.36-0ubuntu1) jaunty; urgency=low

  * profiles/profile.skel: Menu:<F9> white text on dark background
  * profiles/logos/debian: red on white for the Debian logo
  * bin/release: improve printing of release information

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 10 Mar 2009 16:44:54 -0500

screen-profiles (1.35-0ubuntu1) jaunty; urgency=low

  [ Adrien Cunin ]
  * Fixed Vcs-Bzr url
  * Don't install README as changelog, it's already installed as doc
  * Fixed bin/whoami's header which had bin/hostname's one
  * Minor fix in the french translation

  [ Dustin Kirkland ]
  * bin/ec2-cost: fix &2>1 typo, LP: #339774

 -- Dustin Kirkland <kirkland@ubuntu.com>  Sun, 08 Mar 2009 23:41:23 -0500

screen-profiles (1.34-0ubuntu1) jaunty; urgency=low

  Fixes for LP: #339186
  * screen-profiles: remove welcome screen toggle support; collapsed into a
    tooltip on the status line
  * windows/common: remove screen-profiles default window; now launched from
    tooltip
  * profiles/profile.skel: add Menu:F9 tool tip to far right of window bar

 -- Dustin Kirkland <kirkland@ubuntu.com>  Sat, 07 Mar 2009 08:51:16 -0600

screen-profiles (1.33-0ubuntu1) jaunty; urgency=low

  * screen-launcher: add little bash hack to ensure that PROMPT_COMMAND gets
    displayed and gnome-title is updated, LP: #338722
  * debian/control: build-depend on gettext-base, in case the builder needs to
    run get-po
  * bin/ec2-cost: trivial interface detection fix, nice the apt checks
  * bin/hostname: improve performance

 -- Dustin Kirkland <kirkland@ubuntu.com>  Sat, 07 Mar 2009 01:11:20 -0600

screen-profiles (1.32-0ubuntu1) jaunty; urgency=low

  * bin/ec2-cost: since route -n is being used, must grep for 0.0.0.0,
    LP: #336955
  * debian/postinst, debian/prerm: add/remove symlink for bin scripts to
    /var/lib/screen-profiles (should be removed before Jaunty GA)
  * profiles/common, debian/install: install helper scripts into
    /var/lib/screen-profiles rather than /usr/share/screen-profiles/bin,
    LP: #336961

 -- Dustin Kirkland <kirkland@ubuntu.com>  Mon, 02 Mar 2009 17:46:42 -0600

screen-profiles (1.31-0ubuntu1) jaunty; urgency=low

  * keybindings/common, profiles/common, profiles/plain,
    profiles/profile.skel: replace ~ with $HOME, LP: #336208

 -- Dustin Kirkland <kirkland@ubuntu.com>  Sun, 01 Mar 2009 10:26:13 -0600

screen-profiles (1.30-ubuntu1) jaunty; urgency=low

  * screen-profiles: note <F5> profile refresh key, LP: #335922; use single
    <Back> button instead of 2 <Okay> <Exit> buttons when there's only really
    one path, LP: #335923; standardize all buttons to the same words
  * screen: revert "clear" changes
  * select-screen-profile: align profile options properly, LP: #335943;
    order profile options better, LP: #335944; match "F5" text to that in
    screen-profiles
  * doc/help.txt: improve help text
  * po/*: text updated

 -- Dustin Kirkland <kirkland@ubuntu.com>  Sat, 28 Feb 2009 12:19:04 -0600

screen-profiles (1.29-0ubuntu1) jaunty; urgency=low

  * bin/ec2-cost: add --force, and --detail mode for stand-alone runs; test for
    existence of /etc/ec2-version for Amazon instance (LP: #335274), allow
    local use to turn ec2-cost on
  * bin/updates-available, keybindings/common, profiles/common, screen,
    screen-profiles, select-screen-profile, select-screen-profile.1: updated
    to collapse ~/.screenrc-* into ~/.screen-profiles/*, LP: #335275
  * screen: added a hack to move ~/.screenrc-* into ~/.screen-profiles/*;
    this hack should be removed after Jaunty GA (only affects upgrading
    Alpha users), clear after screen exit (cleans up misleading status bar)
  * screen-launcher: drop santizer code; no longer necessary; handled by the
    screen wrapper, and screen patched to ignore missing sourced files.
  * bin/ec2-cost: speed up route with -n
  * screen-profiles.1: Add a note about PuTTY's odd key mapping for F1-F4,
    LP: #317550
  * keybindings/common, doc/help.txt: Change F5 from kill window to hot-reload
    profile (killing a window is easy enough, with 'exit' command)
  * profiles/*: provide other colored profiles

 -- Dustin Kirkland <kirkland@ubuntu.com>  Fri, 27 Feb 2009 16:20:41 -0600

screen-profiles (1.28-0ubuntu1) jaunty; urgency=low

  * bin/ec2-cost: update the hostname regex to work with the latest Ubuntu
    ec2 beta, LP: #335274

 -- Dustin Kirkland <kirkland@ubuntu.com>  Thu, 26 Feb 2009 22:50:12 -0600

screen-profiles (1.27-0ubuntu1) jaunty; urgency=low

  * Fix for LP: #333189:
    - keybindings/common: add profile reload shortcut, "ctrl-a ~"
    - screen-profiles: updated messages to point to ^a ~
    - po/*: updated for the new messages
  * Fix for LP: #333180
    - screen-profiles: add toggle for auto launch of welcome
    - po/*: updated for the new messages
  * Fix for LP: #332890
    - bin/updates-available: prefer /var/run/updates-available over
      ~/.screenrc-updates-available, if touched more recently

 -- Dustin Kirkland <kirkland@ubuntu.com>  Mon, 23 Feb 2009 14:59:26 -0600

screen-profiles (1.26-0ubuntu1) jaunty; urgency=low

  Fixes for LP: #331648
  * bin/whoami: report user logged in
  * bin/hostname: report hostname
  * profiles/common, debian/install: add whoami, hostname
  * profiles/profile.skel: append user@host to the far right of window bar

 -- Dustin Kirkland <kirkland@ubuntu.com>  Thu, 19 Feb 2009 10:55:04 -0600

screen-profiles (1.25-0ubuntu1) jaunty; urgency=low

  * screen: don't prompt with select-screen-profile, if ~/.screenrc exists
    and ~/.screenrc-profile does not, LP: #330322

 -- Dustin Kirkland <kirkland@ubuntu.com>  Mon, 16 Feb 2009 20:41:24 -0600

screen-profiles (1.24-0ubuntu1) jaunty; urgency=low

  * screen-profiles: remove the scroll bar on the help page, LP: #330276

 -- Dustin Kirkland <kirkland@ubuntu.com>  Mon, 16 Feb 2009 16:34:32 -0600

screen-profiles (1.23-0ubuntu1) jaunty; urgency=low

  * profiles/common, profiles/plain: remove double-sourcing of /etc/screenrc,
    LP: #328365

 -- Dustin Kirkland <kirkland@ubuntu.com>  Wed, 11 Feb 2009 23:26:46 -0600

screen-profiles (1.22-0ubuntu1) jaunty; urgency=low

  * profiles/plain: rather than symlinking to /etc/screenrc, source it, and
    then source ~/.screenrc to ensure that the user's local customizations
    are loaded, LP: #328312
  * debian/install: install plain profile
  * debian/rules: drop the symlink to /etc/screenrc

 -- Dustin Kirkland <kirkland@ubuntu.com>  Wed, 11 Feb 2009 22:22:03 -0600

screen-profiles (1.21-0ubuntu1) jaunty; urgency=low

  * motd+shell, motd+shell.1: trivial script to print the motd then launch
    a shell; manpage accordingly, fixes for LP: #328066
  * windows/common: use motd+shell for shell window, drop motd window
  * debian/install: install motd+shell
  * debian/rules: install motd+shell.1 manpage
  * doc/help.txt, screen-profiles: try hard to get the help text to fit
    on a tty console screen

 -- Dustin Kirkland <kirkland@ubuntu.com>  Wed, 11 Feb 2009 08:58:24 -0600

screen-profiles (1.20-0ubuntu1) jaunty; urgency=low

  * profiles/logos/*: remove unneeded trailing formatting
  * screen-launcher-install: no longer need the pruning code, since we just
    call screen-launcher-uninstall
  * bin/*: added gpl/copyright header
  * bin/ec2-cost, profiles/common, debian/install: initial script for
    estimating ec2 cost
  * bin/updates-available: write out local cache of updates available; add !
    only if there are security updates
  * debian/rules: drop po4a rule, no longer valid
  * screen-profiles-helper renamed to screen-profiles; updated all references
    LP: #315886
  * select-screen-profile, screen-profiles: update translation handling
    and inline documentation
  * bin/reboot-required: simplified
  * bin/cpu-freq: simplified, made more efficient
  * bin/cpu-count: simplified
  * bin/ec2-cost: exit immediately if not running in EC2
  * profiles/common: run cpu-freq, mem-used, and reboot-required every 2
    seconds (as these are cheap and dynamic)
  * profiles/skel: add ec2-cost to status bar

 -- Dustin Kirkland <kirkland@ubuntu.com>  Mon, 09 Feb 2009 15:07:29 -0600

screen-profiles (1.19-0ubuntu1) jaunty; urgency=low

  * screen: wrapper script should add a -c arg, and specify your chosen
    profile, and ensure that .screenrc at least exists, prevent recursion
    from happening to upgrading users by pruning source of ~/.screenrc-profile
    from ~/.screenrc, LP: #323756
  * screen-launcher-install: test executability of screen-launcher; install to
    .profile unconditionally, and only .bash_profile and .bash_login if they
    exist; sanitize the environment; LP: #319691, LP: #321869
  * screen-launcher-uninstall: test writability of file to prune; prune from
    .profile, .bash_profile, and .bash_login
  * screen-profiles-helper: update auto-launch-on-login detection accordingly
  * windows/common: start counting at 1, add a window for watching /etc/motd
  * profiles/profile.skel, profiles/*: source the user's local ~/.screenrc
    as a last step (allowing for overrides)
  * select-screen-profile: don't mess with the user's ~/.screenrc file here;
    only set up the ~/.screenrc-profile symlink

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 03 Feb 2009 10:24:28 +0100

screen-profiles (1.18-0ubuntu1) jaunty; urgency=low

  * debian/install: install all non-ubuntu profiles into
    /usr/share/screen-profiles/profiles/misc; install the ubuntu-light
    profile as "ubuntu-light"
  * debian/rules: call the generate-profiles script as part of the
    get-orig-source target; dh_link the ubuntu-light profile to ubuntu (to
    maintain legacy compatibility to existing ~/.screenrc-profile's)
  * profiles/debian,fedora,redhat,ubuntu: removed since these are auto
    generated now
  * profiles/debian-dark,debian-light,fedora-dark,fedora-light,redhat-dark,
    redhat-light,ubuntu-dark,ubuntu-light: new, autogenerated profiles
  * profiles/generate-profiles: shell script that will generate profiles
    using a skel file and a set of custom "logos"
  * profiles/logos/*: extracted the unique logo component of each profile
    and dropped in here
  * profiles/profile.skel: skeleton profile functionality, to be sed-upon
    by the generate-profiles script
  * select-screen-profile: some hackery to work around the fact that we now
    have a 'misc' directory in the profile listing, as well as a possibly
    duplicated ubuntu and ubuntu-light profiles
  * select-screen-profile & screen: move the environment sanitation code
    to the screen script, such that it is executed each time screen is run,
    rather than on screen profile selection only
  * screen-profiles-helper: add support for keybinding selection, LP: #321735
  * debian/install, keybindings/none: install an empty set of keybindings for
    the "none" selection
  * profiles/common: strip out the automatic loading of the common
    keybindings now that each user sets this in their local
  * profiles/generate-profiles, profiles/profile.skel: drop the grep of the
    caption, put it the skeleton
  * select-screen-profile: remove (), LP: #322833

 -- Dustin Kirkland <kirkland@ubuntu.com>  Sat, 31 Jan 2009 19:40:51 +0100

screen-profiles (1.17-0ubuntu1) jaunty; urgency=low

  * screen: wrapper script for calling select-screen-profile on a per-user,
    first-run basis
  * preinst, postrm: maintainer scripts to dpkg-divert screen to screen.real

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 27 Jan 2009 15:47:46 -0500

screen-profiles (1.16-0ubuntu1) jaunty; urgency=low

  * select-screen-profile: limit erroneous attempts to 5; make the "plain"
    profile default; remove the "recommended" pointer
  * screen-profiles-helper: drop the "recommended" pointer
  * doc/help.txt: make the help text more readable

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 27 Jan 2009 14:42:27 -0500

screen-profiles (1.15-0ubuntu1) jaunty; urgency=low

  * profiles/ubuntu: Ubuntu pseudo-logo looks better on dark black
  * select-screen-profile: append -light to default Ubuntu profile
  * debian/rules, debian/install: automatically generate and install an
    ubuntu-dark themed profile, thanks to Tyler Willingham for the
    inspiration

 -- Dustin Kirkland <kirkland@ubuntu.com>  Mon, 26 Jan 2009 15:22:44 -0600

screen-profiles (1.14-0ubuntu1) jaunty; urgency=low

  * bin/mem-used: fix calculation to account for buffers and cache

 -- Dustin Kirkland <kirkland@ubuntu.com>  Thu, 22 Jan 2009 23:03:39 -0600

screen-profiles (1.13-0ubuntu1) jaunty; urgency=low

  * bin/updates-available: fix bug when no updates are available
  * bin/mem-used, profiles/common, profiles/ubuntu: add memory usage
    information
  * doc/help.txt: updated help page
  * keybindings/common: F12 -> lockscreen
  * debian/control, bin/*: remove dependencing on bc by using awk
  * profiles/common: print the \o/ logo on a slightly darker background to
    make it easier to see; print the mem-used after the mem-avail and a comma

 -- Dustin Kirkland <kirkland@ubuntu.com>  Wed, 21 Jan 2009 23:58:56 -0600

screen-profiles (1.12-0ubuntu1) jaunty; urgency=low

  [ Dustin Kirkland ]
  * profiles/common, select-screen-profile: add support for sourcing
    individual user's ~/.screenrc-keybindings file
  * screen-launcher: sanitize user environment by touching sourced files,
    in case they don't exist
  * Updated several scripts license header to point to the GPLv3, which
    is the license this package uses (not GPLv2)

  [ Dustin Kirkland and Nicolas Barcet]
  * screen-profiles-helper: add HOME, SHARE, DOC global variables and use
    them where possible; add functionality to change the escape key
    sequence; dynamically populate current escape sequence in the help.txt
    display, LP: #317675

 -- Dustin Kirkland <kirkland@ubuntu.com>  Wed, 21 Jan 2009 01:39:31 -0600

screen-profiles (1.11-0ubuntu1) jaunty; urgency=low

  * profiles/ubuntu: change cpu/memory colors to match those of the gnome
    panel system monitor colors for cpu/memory

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 20 Jan 2009 15:43:31 -0600

screen-profiles (1.10-0ubuntu1) jaunty; urgency=low

  * debian/control: debhelper 6; add explanation to the description as to why
    the Suggests are useful; add Enhances note
  * debian/rules: use -i in the binary-indep section, remove unneeded dh_clean
    arguments
  * profiles/ubuntu: remove the |-separators
  * bin/updates-available: allow for faster startup by skipping the apt-check
    on initial run

 -- Dustin Kirkland <kirkland@ubuntu.com>  Mon, 19 Jan 2009 22:45:25 -0600

screen-profiles (1.9-0ubuntu1) jaunty; urgency=low

  [Nicolas Barcet]
  * use gettext in screen-profiles-helper (LP: #317245)

  [ Dustin Kirkland ]
  * keybindings/common: fix leading whitespace on new window creation
    LP: #317558
  * keybindings/common, doc/help.txt: change the default escape sequence
    back to ctrl-a
  * profiles/common, bin/updates-available: the updates-available script now
    caches its value, expiring that value every 60 minutes; so subsequent
    checks are much cheaper;  we can allow the screen status script to run
    more frequently now, since most will be cache checks; we'll really benefit
    from this in Jaunty
  * debian/control: remove buildeps on gettext, po4a, which are only called
    in the prebuild; depend on ${misc:Depends} with debhelper >= 5
  * debian/rules: use dh_testdir in get-orig-source, dh_clean to clean up
    build; run as 'debian/rules get-orig-source'; removing dh_installdirs as
    its not needed; add dh_md5sums
  * debian/dirs: not needed, removing
  * debian/copyright: updated to use canonical.com address, attribute
    Canonical copyright, and mention Nick as co-author
  * select-screen-profile.1: fixed typo
  * bin/*, *: use -e for shell scripts
  * bin/updates-available: cache updates available count in the user's
    homedir, rather than world-writable /var/tmp (race conditions exist)
  * screen-launcher.1, screen-profiles-helper.1: new manpages

 -- Dustin Kirkland <kirkland@ubuntu.com>  Fri, 16 Jan 2009 16:45:05 -0600

screen-profiles (1.8-0ubuntu1) jaunty; urgency=low

  [ Dustin Kirkland ]
  * screen-profiles-helper: fix crash on startup, when
    ~/.screen-profiles-helper does not exist

 -- Dustin Kirkland <kirkland@ubuntu.com>  Mon, 12 Jan 2009 09:11:15 -0600

screen-profiles (1.7-0ubuntu1) jaunty; urgency=low

  [ Dustin Kirkland ]
  * screen-install, screen-remove: renamed to screen-launcher-install,
    screen-launcher-uninstall

  [ Nicolas Barcet ]
  * Add toggles to fix bugs LP: #315884 and LP: #315885 for help screen and
    install of screen by defaults

 -- Dustin Kirkland <kirkland@ubuntu.com>  Mon, 12 Jan 2009 00:53:20 -0600

screen-profiles (1.6-0ubuntu1) jaunty; urgency=low

  [ Dustin Kirkland ]
  * debian/install: no need to install the debian profile in ubuntu
  * debian/rules: clean up comments
  * profiles/ubuntu: zero-fill the hour component of the timestamp
  * bin/updates-available: add some rudimentary caching mechanism for updates,
    will make screen launch *much* faster on <= Ubuntu 8.10
  * screen-install, screen-remove: renamed to screen-launcher-install,
    screen-launcher-uninstall

 -- Dustin Kirkland <kirkland@ubuntu.com>  Mon, 12 Jan 2009 00:47:19 -0600

screen-profiles (1.5-0ubuntu1) jaunty; urgency=low

  [ Dustin Kirkland ]
  * bin/mem-available: added a memory count script
  * bin/load-average: added a load average script
  * debian/install, profiles/common, profiles/ubuntu.screenrc:
    updated with mem and load status scripts
  * profiles/common: fix scrollback, LP: #309393
  * profiles/*.screenrc: renamed to drop the ".screenrc" bit as this was
    unnecessary;  this will break early users, they will need to re-run
    select-screen-profile to fix
  * screen-launcher, screen-install, debian/install: install screen-launcher
    to /usr/bin, drop the symlinking to ~/.screen-launcher, just install by
    adding /usr/bin/screen-launcher to ~/.bashrc; install screen-launcher
    to both bashrc and bash_profile

  [Nicolas Barcet]
  * Allow selecting which windows are opened by default in
    screen-profiles-helper
  * Allow help message not to be displayed when starting

 -- Dustin Kirkland <kirkland@ubuntu.com>  Fri, 09 Jan 2009 17:45:03 -0600

screen-profiles (1.4-0ubuntu1) jaunty; urgency=low

  [ Dustin Kirkland ]
  * profiles/*: Fix tab mangling, LP: #309882; print cpu count in black;
